<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Score Reset Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Score_Reset extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $iGame = $this->request()->getInt('game');
        $sStage = $this->request()->get('stage', 'purge');

        $iPg = $this->request()->getInt('page', 1);
        $iPgSize = 25;

        switch($sStage)
        {
            case 'purge':
                $bContinue = SAA_Sys::getModel('score.process')->resetGame($iGame);
                break;
            case 'achieve':
                if( $iPg == 1 )
                {
                    SAA_Sys::getModel('game.achievement.process')->deleteForUsers($iGame);
                }

                $bContinue = SAA_Sys::getModel('game.achievement.process')->recountUsers($iPg, $iPgSize);
                break;
        }

        if( !$bContinue )
        {
            switch($sStage)
            {
                case 'purge':
                    $sStage = 'achieve';
                    break;
                case 'achieve':
                    $sStage = 'finish';
                    break;
            }

            $iPg = 1;
        }
        else
        {
            $iPg++;
        }

        $this->template()->assign(array(
            'sStage' => $sStage,
            'iPg' => $iPg,
            'iGame' => $iGame
        ));
    }
}
?>