<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Admin Setting Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Setting_Index extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        if( ($sController = $this->request()->get('controller')) )
        {
            if( !SAA_Sys::getModel('setting.controller')->is($sController) )
            {
                return SAA_Error::add('The setting controller cannot be found.');
            }

            list($aGroups, $aSettings) = SAA_Sys::getModel('setting')->getAllByController($sController);

            $sJsActions = '';
            $aGroups = SAA_Sys::getModel('setting.group')->getMultiple($aGroups);

            foreach($aGroups as $aGroup)
            {
                $sJsActions .= $aGroup['js_actions'] . "\n";
            }
        }
        else
        {
            $sGroup = $this->request()->get('group');

            if( !($aGroup = SAA_Sys::getModel('setting.group')->get($sGroup)) )
            {
                return SAA_Error::add('The setting group cannot be found.');
            }

            $sJsActions = $aGroup['js_actions'];
            $aSettings = SAA_Sys::getModel('setting')->getAllByGroup($aGroup);
        }

        $this->template()->assign(array(
            'sJsActions' => $sJsActions,
            'aSettings' => $aSettings
        ));
    }
}
?>
