<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin User Delete Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_User_Delete extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $oSession = SAA_Sys::getLib('session');

        if( ($aForm = $this->request()->getArray('aEdit')) )
        {
            if( !isset($aForm['user_id']) )
            {
                return SAA_Error::add('Opps! There was an error in processing your request.');
            }

            $iCurrent = $aForm['user_id'][0];

            if( count($aForm['user_id']) > 1 )
            {
                unset($aForm['user_id'][0]);

                $aRemaining = $aForm['user_id'];
            }
            else
            {
                $aRemaining = array();
            }

            $oSession->set('delete_users', array(
                'stage' => 'initial',
                'current' => $iCurrent,
                'remaining' => $aRemaining
            ));
        }
        elseif( ($iUser = $this->request()->get('user_id')) )
        {
            $oSession->set('delete_users', array(
                'stage' => 'initial',
                'current' => $iUser,
                'remaining' => array()
            ));
        }

        if( !($aVars = $oSession->get('delete_users')) )
        {
            return SAA_Error::add('Opps! There was an error in processing your request.');
        }

        $this->template()->assign('aDelete',
                SAA_Sys::getModel('user')->get($aVars['current'])
        );

        if( !($mReturn = SAA_Sys::getModel('user.process')->delete($aVars)) )
        {
            return SAA_Error::add('Opps! There was an error in processing your request.');
        }

        if( $mReturn['stage'] == 'finished' )
        {
            $oSession->delete('delete_users');
        }
        else
        {
            $oSession->set('delete_users', $mReturn);
        }

        $this->template()->assign(array(
            'aFilter' => $mReturn
        ));
    }
}
?>