<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Admin User Search Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_User_Search extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $aForm = $this->request()->getArray('aForm');
        $iPg = $this->request()->getInt('page', 1);
        $iPgSize = 10;

        list($iUsers, $aUsers) = SAA_Sys::getModel('user')->searchAdmin($aForm, $iPg, $iPgSize);

        $this->template()->assign(array(
            'aUsers' => $aUsers,
            'iUsers' => $iUsers,
            'iPg' => $iPg,
            'iPgSize' => $iPgSize,
            'aActions' => array('' => '', 'delete' => 'Delete', 'send_activation_email' => 'Send Activation Email', 'activate' => 'Activate', 'deactivate' => 'Deactivate'),
        ));
    }
}
?>
