<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Game Delete Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Game_Delete extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        if( $this->request()->get('is_public') )
        {
            SAA_Sys::getModel('public')->loadAjax();
        }
        else
        {
            SAA_Sys::getModel('admin')->preload();
        }
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $oSession = SAA_Sys::getLib('session');

        if( ($aForm = $this->request()->getArray('aEdit')) )
        {
            if( !isset($aForm['game_id']) )
            {
                return SAA_Error::add('Opps! There was an error in processing your request.');
            }

            $iCurrent = $aForm['game_id'][0];

            if( count($aForm['game_id']) > 1 )
            {
                unset($aForm['game_id'][0]);

                $aRemaining = $aForm['game_id'];
            }
            else
            {
                $aRemaining = array();
            }

            $oSession->set('delete_games', array(
                'stage' => 'initial',
                'current' => $iCurrent,
                'remaining' => $aRemaining
            ));
        }
        elseif( ($iGame = $this->request()->get('game_id')) )
        {
            $oSession->set('delete_games', array(
                'stage' => 'initial',
                'current' => $iGame,
                'remaining' => array()
            ));
        }

        if( !($aVars = $oSession->get('delete_games')) )
        {
            return SAA_Error::add('Opps! There was an error in processing your request.');
        }

        $this->template()->assign('aDelete',
                SAA_Sys::getModel('game')->get($aVars['current'], false)
        );

        if( !($mReturn = SAA_Sys::getModel('game.process')->delete($aVars)) )
        {
            return SAA_Error::add('Opps! There was an error in processing your request.');
        }

        if( $mReturn['stage'] == 'finished' )
        {
            $oSession->delete('delete_games');
        }
        else
        {
            $oSession->set('delete_games', $mReturn);
        }

        $this->template()->assign(array(
            'aFilter' => $mReturn,
            'bIsPublic' => $this->request()->get('is_public')
        ));
    }
}
?>