<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Game Score Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Game_Score_Index extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('public')->loadAjax();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        $iGame = $this->request()->getInt('game-id');

        $iTopLimit = SAA_Sys::getSett('score.top_score_limit');
        $iUserLimit = SAA_Sys::getSett('score.user_score_limit');
        $iRecentLimit = SAA_Sys::getSett('score.recent_score_limit');

        if( !($aGame = SAA_Sys::getModel('game')->getSimple($iGame)) )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('score.there_was_an_error_in_processing_you_request'));
        }
        elseif( !$aGame['scoring'] )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('score.game_does_not_support_scoring'));
        }
        elseif( $iTopLimit == 0 && $iUserLimit == 0 && $iRecentLimit == 0 )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('score.the_scores_have_been_disabled'));
        }

        $oScore = SAA_Sys::getModel('score');

        if( $iTopLimit )
        {
            $this->template()->assign('aTopScores', $oScore->getTopScores($aGame, $iTopLimit));
        }

        if( $iUserLimit )
        {
            $this->template()->assign('aUserScores', $oScore->getUserScores($aGame, SAA_Sys::getUserId(), $iUserLimit));
        }

        if( $iRecentLimit )
        {
            $this->template()->assign('aRecentScores', $oScore->getRecentScores($aGame, $iRecentLimit));
        }

        $this->template()
            ->assign(array(
                'sScoringPrefix' => $oScore->getScoringPrefix($iGame),
                'aGame' => $aGame
        ));
    }
}
?>
