<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Game Search Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Game_Search extends SAA_Controller
{
    private $_sView = 'game/search/index';

    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('public')->loadAjax();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        $aForm = $this->request()->getArray('aForm');
        $sType = $aForm['type'];

        unset($aForm['location'], $aForm['type']);

        $iPg = (isset($aForm['pg']) ? $aForm['pg'] : 1);

        switch($sType)
        {
            case 'feature':
                $iPgSize = SAA_Sys::getSett('feature.games_per_pg');

                $this->_sView = 'game/search/feature';

                break;
            case 'favorite':
                $iPgSize = SAA_Sys::getSett('favorite.games_per_pg');

                $this->_sView = 'game/search/favorite';

                break;
            case 'profile-favorite':
                $iPgSize = SAA_Sys::getSett('favorite.games_per_pg');

                $this->_sView = 'profile/game/favorite';

                break;
            default:
                $iPgSize = SAA_Sys::getSett('game.per_pg_on_browse');
        }

        list($iGames, $aGames) = SAA_Sys::getModel('game.search')->execute(false, $aForm, $iPg, $iPgSize);

        $this->template()->assign(array(
            'bRatingOn' => (SAA_Sys::getModel('rating')->isEnabled('game') ? true : false),
            'aGames' => $aGames,
            'iGames' => $iGames,
            'iPg' => $iPg,
            'iPgSize' => $iPgSize,
            'aFilter' => $aForm
        ));
    }

    /**
     * Controller view
     */
    public function view()
    {
        return $this->_sView;
    }
}
?>
