<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Profile Achievement Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Profile_Achievement_Index extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('public')->loadAjax();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        $iUser = $this->request()->getInt('user_id');
        $iGame = $this->request()->getInt('game_id', 0);

        $iPg = $this->request()->getInt('pg', 1);
        $iPgSize = 3;

        list($iAchievements, $aAchievements) = SAA_Sys::getModel('game.achievement')->getUserAll($iUser, array('game_id' => $iGame), $iPg, $iPgSize);

        if( $iGame )
        {
            $this->template()->assign(array(
                'aGame' => SAA_Sys::getModel('game')->get($iGame, false)
            ));
        }

        $this->template()->assign(array(
            'aAchievements' => $aAchievements,
            'iAchievements' => $iAchievements,
            'iGame' => $iGame,
            'iUser' => $iUser,
            'aProfile' => SAA_Sys::getModel('user')->get($iUser),
            'iPg' => $iPg,
            'iPgSize' => $iPgSize
        ));
    }
}
?>
