<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Report Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Report_Index extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('public')->loadAjax();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        if( !SAA_Sys::isUser() )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('report.you_must_be_logged_send_a_report'));
        }

        $iItem = $this->request()->getInt('item_id');

        if( !($sModel = $this->request()->get('model_id')) )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('report.missing_report_type'));
        }
        elseif( !($aItem = SAA_Sys::getModel('report')->getItem($sModel, $iItem)) )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('report.item_cannot_be_found'));
        }

        $this->template()->assign(array(
            'aItem' => $aItem,
            'sModel' => $sModel,
            'iItem' => $iItem
        ));
    }
}
?>
