<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Process Ad Class
 * @license GoLevel LLC
 */

Class SAA_Ajax_Ad extends SAA_Ajax
{
    /*
     * Removes an ad
     */
    public function delete()
    {
        if( !$this->isAdmin() )
        {
            return false;
        }

        $iId = $this->_request()->getInt('id');

        if( SAA_Sys::getModel('ad.process')->delete($iId) )
        {
            $this->remove('#js_ad_loading_' . $iId)
                ->remove('#js_ad_' . $iId)
                ->message('Ad has been deleted.');
        }
        else
        {
            $this->error('Ad could not be deleted.');
        }
    }

    /*
     * Turns an ad on/off
     */
    public function toggle()
    {
        if( !$this->isAdmin() )
        {
            return false;
        }

        $iId = $this->_request()->getInt('id');
        $iSwitch = ($this->_request()->get('action') == 'on' ? 1 : 0);

        if( SAA_Sys::getModel('ad.process')->toggle($iId, $iSwitch) )
        {
           if( $iSwitch == 1 )
           {
               $sElementShow = '#js_item_disable_' . $iId;
               $sElementHide = '#js_item_enable_' . $iId;
           }
           else
           {
               $sElementShow = '#js_item_enable_' . $iId;
               $sElementHide = '#js_item_disable_' . $iId;
           }

           $this->show($sElementShow)
                ->hide($sElementHide)
                ->message('Ad has been turned '.($iSwitch == 1 ? 'on' : 'off').'.');
        }
        else
        {
           $this->error('Ad could not be turned '.($iSwitch == 1 ? 'on' : 'off').'.');
        }
    }
}
?>
