<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Process Game Adder Class
 * @license GoLevel LLC
 */

Class SAA_Ajax_Game_Adder extends SAA_Ajax
{
    /**
     * Mochi Mass Adder
     */
    public function getMochi()
    {
        if( !$this->isAdmin() )
        {
            return false;
        }

        $aForm = $this->_request()->getArray('aForm');

        $oAdder = SAA_Sys::getModel('game.adder');

        $mAction = $oAdder->getGames('mochi', $aForm, $aForm['added'], $aForm['offset'], 50);
        $iAdded = $oAdder->getAdded();

        $iTotal = $aForm['added'] + $iAdded;

        $sSrc = SAA_Sys::getLib('url')->makeUrl(array(
                'folder' => SAA_Sys::getLib('theme')->getFile('design.theme', 'images.admin', 'loader-circle-small.gif'),
                'file' => 'loader-circle-small.gif'
            ));

        if( $mAction == 'continue' )
        {
            $iOffset = $aForm['offset'] + 50;

            $this->val('#js_offset', $iOffset)
                ->val('#js_added', $iTotal)
                ->html('#js_content', '<div class="goodBox"><img src="'.$sSrc.'"> Imported <strong>'.$iTotal.'</strong> games. Still loading more, please wait...</div>')
                ->delay('#js_form', 1000)
                ->trigger('#js_form', 'submit');
        }
        elseif( $mAction == 'complete' )
        {
            $this->val('#js_offset', 0)
                ->val('#js_added', 0)
                ->html('#js_content', '<div class="goodBox"><img src="'.$sSrc.'"> Importing games. Still loading more, please wait... </div>')
                ->hide('#js_content')
                ->show('#js_form')
                ->message('Importing complete. There were <strong>'.$iTotal.'</strong> games added to the arcade.', array('auto_close' => 0));
        }
        else
        {
            $this
                ->html('#js_content', '<div class="goodBox"><img src="'.$sSrc.'"> Importing games. Still loading more, please wait... </div>')
                ->hide('#js_content')
                ->error('Importing failure. Please reload the page and try again.');
        }
    }
}
?>
