<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Process Rating Class
 * @license GoLevel LLC
 */

Class SAA_Ajax_Rating extends SAA_Ajax
{
    public function action()
    {
        $aRating = $this->_request()->get('rating');

        if( !isset($aRating['star']) )
        {
            $aRating['star'] = 0;
        }

        $aMessage = SAA_Sys::getModel('rating')->getAjax($aRating['type']);

        if( !SAA_Sys::getModel('rating')->isEnabled('game') )
        {
            return $this->error($aMessage['error-disabled']);
        }
        elseif( !SAA_Sys::isUser() )
        {
            return $this->error($aMessage['error-login']);
        }
        elseif( !isset($aRating['item_id']) )
        {
            return $this->error($aMessage['error-other']);
        }
        elseif( ($mReturn = SAA_Sys::getModel('rating.process')->add($aRating['type'], $aRating['item_id'], $aRating['star'])) )
        {
            return $this->_call('$(\'#js_rating_item_'.$aRating['item_id'].'\').parents(\'.js_rating:first\').find(\'.js_rating_total\').val('.$mReturn[0].');')
                    ->_call('$(\'#js_rating_item_'.$aRating['item_id'].'\').parents(\'.js_rating:first\').find(\'.js_rating_value\').val('.$mReturn[1].');');
        }
        else
        {
            return $this->error($aMessage['error-other']);
        }
    }
}
?>
