<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Process Report Class
 * @license GoLevel LLC
 */

Class SAA_Ajax_Report extends SAA_Ajax
{
    /**
     * Adds a report
     */
    public function add()
    {
        if( !SAA_Sys::isUser() )
        {
            return $this->error(SAA_Sys::getPhrase('report.you_must_be_logged_send_a_report'));
        }

        $aReport = $this->_request()->get('aReport');

        if( SAA_Sys::getModel('report.process')->add($aReport) )
        {
            $this->_call('$(\'#ajax-dialog-box\').dialog("close");')
                ->message(SAA_Sys::getPhrase('report.report_has_been_sent'));
        }
    }

    /**
     * Delete report(s)
     */
    public function delete()
    {
        if( !$this->isAdmin() )
        {
            return false;
        }

        $aForm = $this->_request()->getArray('aEdit');

        if( !$aForm )
        {
            $iReport = $this->_request()->get('report_id');

            if( !$iReport )
            {
                return $this->error('Opps! There was an error in processing your request.');
            }

            $aForm['report_id'][] = $iReport;
        }

        if( SAA_Sys::getModel('report.process')->delete($aForm['report_id']) )
        {
            $this->message('The selected '.(count($aForm['report_id']) > 1 ? 'reports have' : 'report has').' been removed.')
                ->_call('iPage = $(\'#js_search_page\').val(); triggerSearch(iPage);');
        }
        else
        {
            $this->error('There was an error in trying to process your request.');
        }
    }

    /**
     * Searches reports
     */
    public function search()
    {
        if( !$this->isAdmin() )
        {
            return false;
        }

        $this->html('#js_content', $this->_loadController('admin.report'));
    }

    /**
     * Loads the report form
     */
    public function loadForm()
    {
        if( !SAA_Sys::isUser() )
        {
            return $this->error(SAA_Sys::getPhrase('report.you_must_be_logged_send_a_report'));
        }

        $this->html('#ajax-dialog-box', $this->_loadController('report'));
    }
}
?>
