<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Process Score Class
 * @license GoLevel LLC
 */

Class SAA_Ajax_Score extends SAA_Ajax
{
    /**
     * Rebuilds the high and user scoring tables
     */
    public function rebuild()
    {
        if( !$this->isAdmin() )
        {
            return false;
        }

        $aVal = $this->_request()->getArray('aForm');

        if( $aVal['stage'] == 'purge' )
        {
            SAA_Sys::getModel('score.process')->truncateDependent();

            $this->val('#js_stage', 'high')
                ->val('#js_page', 1)
                ->show('#js_content')
                ->hide('#js_form')
                ->trigger('#js_form', 'submit');
        }
        elseif( $aVal['stage'] == 'high' )
        {
            if( $aVal['total'] == 0 )
            {
                $aVal['total'] = SAA_Sys::getModel('game.stats')->getTotal();

                $this->val('#js_total', $aVal['total']);
            }

            $iIncre = 50;

            SAA_Sys::getModel('score.process')->rebuildHigh($aVal['page'], $iIncre);

            $iCompleted = $aVal['completed'] + $iIncre;

            if( $aVal['total'] - $iCompleted > 0 )
            {
                $this->show('#js_content')
                    ->val('#js_completed', $iCompleted)
                    ->val('#js_page', ($aVal['page'] + 1))
                    ->trigger('#js_form', 'submit');
            }
            else
            {
                $this->val('#js_stage', 'user')
                    ->val('#js_total', 0)
                    ->val('#js_completed', 0)
                    ->val('#js_page', 1)
                    ->show('#js_content')
                    ->trigger('#js_form', 'submit');
            }
        }
        /**
         * aVal['completed'] is the game offset
         * aVal['total'] is the total inserted into score_user
         * aVal['page'] is the user page
         */
        elseif( $aVal['stage'] == 'user' )
        {
            $iIncre = 50;

            $mVal = SAA_Sys::getModel('score.process')->rebuildUser($aVal['completed'], $aVal['page'], $iIncre);

            /**
             * Move game offset up
             */
            if( $mVal == 'game' )
            {
                $this->show('#js_content')
                    ->val('#js_completed', ($aVal['completed'] + 1))
                    ->val('#js_page', 1)
                    ->trigger('#js_form', 'submit');
            }
            elseif( $mVal !== false )
            {
                $this->show('#js_content')
                    ->val('#js_total', ($aVal['total'] + $mVal))
                    ->val('#js_page', ($aVal['page'] + 1))
                    ->trigger('#js_form', 'submit');
            }
            else
            {
                $this->val('#js_stage', 'game')
                    ->val('#js_total', 0)
                    ->val('#js_completed', 0)
                    ->val('#js_page', 1)
                    ->show('#js_content')
                    ->trigger('#js_form', 'submit');
            }
        }
        elseif( $aVal['stage'] == 'game' )
        {
            if( $aVal['total'] == 0 )
            {
                $aVal['total'] = SAA_Sys::getModel('game.stats')->getTotal();

                $this->val('#js_total', $aVal['total']);
            }

            $iIncre = 50;

            SAA_Sys::getModel('game.process')->rebuildScores($aVal['page'], $iIncre);

            $iCompleted = $aVal['completed'] + $iIncre;

            if( $aVal['total'] - $iCompleted > 0 )
            {
                $this->show('#js_content')
                    ->val('#js_completed', $iCompleted)
                    ->val('#js_page', ($aVal['page'] + 1))
                    ->trigger('#js_form', 'submit');
            }
            else
            {
                $this->val('#js_stage', 'purge')
                    ->val('#js_total', 0)
                    ->val('#js_completed', 0)
                    ->val('#js_page', 0)
                    ->show('#js_form')
                    ->message('Scores and related feeds have been rebuilt.', array('auto_close' => 0));
            }
        }
    }

    public function rebuildGame()
    {
        if( !$this->isAdmin() )
        {
            return false;
        }

        $this->html('#ajax-dialog-box', $this->_loadController('admin.score.reset'));
    }
}
?>
