<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Process Theme Class
 * @license GoLevel LLC
 */

Class SAA_Ajax_Theme extends SAA_Ajax
{
    /*
     * Removes a theme
     */
    public function delete()
    {
        if( !$this->isAdmin() )
        {
            return false;
        }

        $iId = $this->_request()->getInt('id');

        if( SAA_Sys::getModel('theme.process')->delete($iId) )
        {
            $this->remove('#js_theme_loading_' . $iId)
                ->remove('#js_theme_' . $iId)
                ->message('Theme has been deleted.');
        }
        else
        {
            $this->error('Theme could not be deleted.');
        }
    }

    /*
     * Makes a theme the default
     */
    public function makeDefault()
    {
        if( !$this->isAdmin() )
        {
            return false;
        }

        $iId = $this->_request()->getInt('id');

        if( SAA_Sys::getModel('theme.process')->setDefault($iId) )
        {
           $this->hide('.is_default')
                ->removeClass('.js_default', 'is_default')
                ->show('.js_item_default')
                ->show('#js_item_default_' . $iId)
                ->hide('#js_item_not_default_' . $iId)
                ->addClass('#js_item_default_' . $iId, 'is_default')
                ->message('A new default theme has been selected.');
        }
        else
        {
           $this->error('Theme could not be set as default.');
        }
    }

    /*
     * Turns a theme on/off
     */
    public function toggle()
    {
        if( !$this->isAdmin() )
        {
            return false;
        }

        $iId = $this->_request()->getInt('id');
        $iSwitch = ($this->_request()->get('action') == 'on' ? 1 : 0);

        if( SAA_Sys::getModel('theme.process')->toggle($iId, $iSwitch) )
        {
           if( $iSwitch == 1 )
           {
               $sElementShow = '#js_item_disable_' . $iId;
               $sElementHide = '#js_item_enable_' . $iId;
           }
           else
           {
               $sElementShow = '#js_item_enable_' . $iId;
               $sElementHide = '#js_item_disable_' . $iId;
           }

           $this->show($sElementShow)
                ->hide($sElementHide)
                ->message('Theme has been turned '.($iSwitch == 1 ? 'on' : 'off').'.');
        }
        else
        {
           $this->error('Theme could not be turned '.($iSwitch == 1 ? 'on' : 'off').'.');
        }
    }
}
?>
