<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Admin Game Achievement Index View
 * @license GoLevel LLC
 */
?>

{block "body"}

{if count($aAchievements)}

<script type="text/javascript">
var oUploadVars = { };

$(function()
{
    $('.js_award_toggle').css('cursor', 'pointer');
    $('.js_award_edit').css('cursor', 'pointer');

    $('.js_award_edit').click(function()
    {
        oParent = $(this).parents('.js_award:first');

        iId = extractId(oParent, 'js_award_');

        oUploadVars = { id:iId, type:'achievement' };

        sTitle = oParent.find('.js_award_title strong').html();
        sDesc = oParent.find('.js_award_description').html();
        sImg = oParent.find('.js_award_image').html();

        $('#edit-achievement-id').val(iId);
        $('#edit-achievement-title').val(sTitle);
        $('#edit-achievement-description').val(sDesc);
        $('#edit-achievement-image').html(sImg);

        $('#edit-achievement').dialog('open');
    });

    $('.js_award_toggle').click(function()
    {
        iId = extractId($(this).parents('.js_award:first'), 'js_award_');

        if( $(this).html() == 'Disable' )
        {
            iStatus = 0;
        }
        else
        {
            iStatus = 1;
        }

        ajaxProcess('achievement.toggle', { award_id:iId, status:iStatus });
    });
} );
</script>

{capture "paginator" assign="paginator"}
<div class="p_4" align="right">
    {paginator page=$iPg page_size=$iPgSize total=$iAchievements href="#" onclick="loadAchievements('{ldelim}pg{rdelim}');"}
</div>
{/capture}

{$paginator}

{foreach $aAchievements as $aAchievement}
    <div class="js_award p_4 {cycle values="grey,lite-grey"}" id="js_award_{$aAchievement.award_id}">
        <div style="width:64px; text-align: center" class="f_left js_award_image"><img src="{$aAchievement.thumbnail}" width="48px"/></div>
        <div>
            <div class="js_award_title"><strong>{$aAchievement.title}</strong></div>
            <div><i>Type:</i> {if $aAchievement.type_id}Medal{else}Achievement{/if}</div>
            <div class="js_award_description">{$aAchievement.award_description}</div>
            <div class="f_right" style="margin-right:20px">
                {*<a href="#" class="js_award_toggle">{if $aAchievement.is_active}Disable{else}Activate{/if}</a> |*}
                <a href="#" class="js_award_edit">Edit</a>
            </div>
        </div>
        <div class="clear"></div>
    </div>
{/foreach}

{$paginator}

{else}

<div class="errBox">
    <span></span> <strong>No achievements for the given game can be found.</strong>
</div>

{/if}

{/block}