<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Admin Game Search View
 * @license GoLevel LLC
 */
?>

{block "body"}

{if count($aGames)}

{capture "paginator" assign="paginator"}
<div class="p_4 m_4">
    <div class="f_left pager">
        <span class="m_t_10 bolder">{$iGames} Total Games</span>
    </div>
    <div class="f_right">
        {paginator page=$iPg page_size=$iPgSize total=$iGames href="#" onclick="triggerSearch('{ldelim}pg{rdelim}');"}
    </div>
    <div class="clear"></div>
</div>
{/capture}

{$paginator}

<script type="text/javascript">
$(function()
{
    $('.js_game_edit').css('cursor', 'pointer');
    $('.js_game_feature').css('cursor', 'pointer');
    $('.js_game_delete').css('cursor', 'pointer');

    $("#js_games_form_action").change(function()
    {
        if( $(this).val() == 'delete' )
        {
            bAction = false;

            sPlural = ($(".js_game:checked").length > 1 ? 's' : '');

            if( confirm('Are you sure you want to remove the selected game'+ sPlural +'? All files and data relating to the selected game'+ sPlural +' will be lost.') )
            {
                bAction = true;
            }

            if( bAction )
            {
                ajaxDialog('game.delete', $("#js_game_form").serialize(), { height:140, title:'Deleting Game' + sPlural });
            }
        }
        else if( $(this).val() == 'feature' )
        {
            ajaxProcess('game.toggleFeature', $("#js_game_form").serialize());
        }
        else if( $(this).val() == 'unfeature' )
        {
            bAction = false;

            if( confirm('Are you sure you want to unfeature the selected game'+ ( $(".js_game:checked").length > 1 ? 's' : '') +'?') )
            {
                bAction = true;
            }

            if( bAction )
            {
                ajaxProcess('game.toggleFeature', $("#js_game_form").serialize());
            }
        }

        $(this).find(":selected").removeAttr('selected');
    } );

    $(".js_game_delete").click(function()
    {
        iGame = $(this).parents("tr:first").find("input:checkbox").val();

        if( confirm('Are you sure you want to remove the selected game? All files and data relating to the selected game will be lost.') )
        {
            ajaxDialog('game.delete', 'game_id=' + iGame, { height:140, title:'Deleting Game' });
        }
    } );

    $('.js_game_edit').click(function ()
    {
        window.location.href = $(this).attr('id');
    } );

    $(".js_game_feature").click(function()
    {
        iGame = $(this).parents("tr:first").find("input:checkbox").val();
        sAction = ($(this).hasClass("ui-icon-radio-on") ? 'feature' : 'unfeature');

        ajaxProcess('game.toggleFeature', 'game_id=' + iGame + '&action=' + sAction, { loading: "#js_game_form_loading" });
    } );

    $(".js_game").click(function()
    {
        if( $(".js_game").is(":checked") )
        {
            $("#js_games_form_action").removeAttr('disabled');
        }
        else
        {
            $("#js_games_form_action").attr('disabled', 'disabled');
        }

        if( $(this).is(":checked") )
        {
            $(this).parents("tr:first").addClass("highlight");
        }
        else
        {
            $(this).parents("tr:first").removeClass("highlight");
        }
    } );

    $("#js_games_form_action").attr('disabled', 'disabled');
} );
</script>

<form method="POST" action="#" id="js_game_form">
<table class="list">
    <tr>
        <th class="table_top_left"></th>
        <th>Title</th>
        <th style="text-align:center;">Date Added</th>
        <th class="table_top_right"></th>
    </tr>
    <tbody>
{foreach $aGames as $aGame}
    <tr id="js_game_{$aGame.game_id}">
        <td style="text-align:center;">{input type="checkbox" value=$aGame.game_id name="aEdit[game_id][]" class="js_game"}</td>
        <td class="js_game_title">{$aGame.text.title}</td>
        <td style="text-align:center;">{$aGame.time_added|date_format:"%D"}</td>
        <td>
            <ul class="item_menu">
                <li><span class="ui-icon {if $aGame.feature_id}ui-icon-bullet{else}ui-icon-radio-on{/if} js_game_feature"></span></li>
                <li><span class="ui-icon ui-icon-wrench js_game_edit" id="{url link='admin.game.edit' id=$aGame.game_id}"></span></li>
                <li><span class="ui-icon ui-icon-trash js_game_delete"></span></li>
            </ul>
        </td>
    </tr>
{/foreach}
    </tbody>
</table>

<div class="table_bottom">
    <span id="js_game_form_loading" style="display: none;"><img src="{url theme='images.admin' file='loader-circle-small.gif'}"></span> <b>Action: </b>{input type="select" name="aEdit[action]" options=$aActions id="js_games_form_action"}
</div>

</form>

{$paginator}

{else}

<div class="errBox">
    <span></span> <strong>No games can be found.</strong>
</div>

{/if}

{/block}