<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Admin Language Phrase Search View
 * @license GoLevel LLC
 */
?>

{block "body"}

{if count($aPhrases)}

{capture "paginator" assign="paginator"}
<div class="p_4" align="right">
    {paginator page=$iPg page_size=$iPgSize total=$iPhrases href="#" onclick="triggerSearch('{ldelim}pg{rdelim}');"}
</div>
{/capture}

{$paginator}

<script type="text/javascript">
var iLanguages = {$iLanguages};

$(function()
{
    $("#js_phrases_form_action").change(function()
    {
        if( $(this).val() == 'delete' )
        {
            bDelete = false;

            if( iLanguages > 1 )
            {
                if( confirm('Deleting the selected phrase'+ ( $(".js_phrase:checked").length > 1 ? 's' : '') +' will delete all corresponding phrases in all the given languages. Are you sure?') )
                {
                    bDelete = true;
                }
            }
            else
            {
                if( confirm('Are you sure you want to delete the given phrase'+ ( $(".js_phrase:checked").length > 1 ? 's' : '') +'?') )
                {
                    bDelete = true;
                }
            }

            if( bDelete )
            {
                ajaxProcess('language.deletePhrase', $(".js_phrase").serialize(), 'Deleting...');

                iPage = $("#js_search_page").val();
                triggerSearch(iPage);
            }
        }
        else if( $(this).val() == 'revert' )
        {
            bRevert = false;

            if( confirm('Are you sure you want to revert the given phrase'+ ( $(".js_phrase:checked").length > 1 ? 's' : '') +' to the original'+ ( $(".js_phrase:checked").length > 1 ? 's' : '') +'?') )
            {
                bRevert = true;
            }

            if( bRevert )
            {
                ajaxProcess('language.revertPhrase', $(".js_phrase").serialize(), 'Reverting to original...');

                iPage = $("#js_search_page").val();
                triggerSearch(iPage);
            }
        }
        else if( $(this).val() == 'save' )
        {
            bSave = false;

            if( confirm('Are you sure you want to save the given phrase'+ ( $(".js_phrase:checked").length > 1 ? 's' : '') +'?') )
            {
                bSave = true;
            }

            if( bSave )
            {
                ajaxProcess('language.savePhrase', $(".js_phrase").serialize() + '&' + $(".js_phrase_text").serialize(), 'Saving changes...');
            }
        }

        $(this).find(":selected").removeAttr('selected');
    } );

    $(".js_phrase").click(function()
    {
        if( $(".js_phrase").is(":checked") )
        {
            $("#js_phrases_form_action").removeAttr('disabled');
        }
        else
        {
            $("#js_phrases_form_action").attr('disabled', 'disabled');
            
        }
    } );

    $(".js_phrase").hover(
        function ()
        {
            $(this).parent().find(".js_phrase_full").show();
        },
        function ()
        {

        }
    );

    $(".js_phrase_full").hover(
        function ()
        {

        },
        function ()
        {
            $(this).parent().find(".js_phrase_full").hide();
        }
    );

    $("#js_phrases_form_action").attr('disabled', 'disabled');
} );
</script>

<form method="POST" action="#" id="js_phrases_form">
<table class="list">
    <tr>
        <th class="table_top_left"></th>
        <th>Phrase Variable</th>
        <th>Language</th>
        <th>Original</th>
        <th class="table_top_right">Text</th>
    </tr>
    <tbody>
{foreach $aPhrases as $aPhrase}
    <tr class="{cycle values=",tr"}">
        <td>{input type="checkbox" value=$aPhrase.phrase_id name="aEdit[phrase_id][]" class="js_phrase"}</td>
        <td>
            {if $aPhrase.phrase_var|count_characters > 40}
            <div class="js_phrase_full mouseover" style="display:none;">{$aPhrase.phrase_var}</div>
            <div class="js_phrase">{$aPhrase.phrase_var|truncate:40:"...":true}</div>
            {else}
                {$aPhrase.phrase_var}
            {/if}
        </td>
        <td>{$aPhrase.language_text}</td>
        <td style="width:200px;">{$aPhrase.text_default}</td>
        <td>{input type="textarea" default=$aPhrase.text name="aEdit[text][{$aPhrase.phrase_id}]" cols="20" rows="5" style="width:100%" class="js_phrase_text"}</td>
    </tr>
{/foreach}
    </tbody>
</table>

<div class="table_bottom">
    <b>Action: </b>{input type="select" name="aEdit[action]" options=$aActions id="js_phrases_form_action"}
</div>

</form>

{$paginator}

{else}

<div class="errBox">
    <span></span> <strong>No phrases found. {if $iLanguages}<a href="{url link='admin.language.phrase.add'}">Add phrases here</a>{else}<a href="{url link='admin.language.import'}">Import language here</a>{/if}</strong>
</div>

{/if}

{/block}