<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Admin Report Index View
 * @license GoLevel LLC
 */
?>

{block "body"}

{if count($aReports)}

{capture "paginator" assign="paginator"}
<div class="p_4" align="right">
    {paginator page=$iPg page_size=$iPgSize total=$iReports href="#" onclick="triggerSearch('{ldelim}pg{rdelim}');"}
</div>
{/capture}

{$paginator}

<script type="text/javascript">
$(function()
{
    $('.js_report_view').css('cursor', 'pointer');
    $('.js_report_delete').css('cursor', 'pointer');

    $("#js_report_form_action").change(function()
    {
        if( $(this).val() == 'delete' )
        {
            bAction = false;

            sPlural = ($(".js_report:checked").length > 1 ? 's' : '');

            if( confirm('Are you sure you want to remove the selected report'+ sPlural +'?') )
            {
                bAction = true;
            }

            if( bAction )
            {
                ajaxProcess('report.delete', $("#js_report_form").serialize());
            }
        }

        $(this).find(":selected").removeAttr('selected');
    } );

    $(".js_report_delete").click(function()
    {
        iReport = $(this).parents("tr:first").find("input:checkbox").val();

        if( confirm('Are you sure you want to remove the selected report?') )
        {
            ajaxProcess('report.delete', 'report_id=' + iGame, { loading: "#js_report_form_loading" });
        }
    } );

    $('.js_report_view').click(function ()
    {
        window.location.href = $(this).attr('id');
    } );

    $(".js_report").click(function()
    {
        if( $(".js_report").is(":checked") )
        {
            $("#js_report_form_action").removeAttr('disabled');
        }
        else
        {
            $("#js_report_form_action").attr('disabled', 'disabled');
        }

        if( $(this).is(":checked") )
        {
            $(this).parents("tr:first").addClass("highlight");
        }
        else
        {
            $(this).parents("tr:first").removeClass("highlight");
        }
    } );

    $("#js_report_form_action").attr('disabled', 'disabled');
} );
</script>

<form method="POST" action="#" id="js_report_form">
<table class="list">
    <tr>
        <th class="table_top_left"></th>
        <th>Title</th>
        <th style="text-align:center;">Date Added</th>
        <th class="table_top_right"></th>
    </tr>
    <tbody>
{foreach $aReports as $aReport}
    <tr id="js_report_{$aReport.report_id}">
        <td style="text-align:center;">{input type="checkbox" value=$aReport.report_id name="aEdit[report_id][]" class="js_report"}</td>
        <td class="js_report_title">{$aReport.item.title}</td>
        <td style="text-align:center;">{$aReport.time_reported|date_format:"%D"}</td>
        <td>
            <ul class="item_menu">
                <li><span class="ui-icon ui-icon-folder-open js_report_view" id="{url link='admin.tools.report.view' id=$aReport.report_id}"></span></li>
                <li><span class="ui-icon ui-icon-trash js_report_delete"></span></li>
            </ul>
        </td>
    </tr>
{/foreach}
    </tbody>
</table>

<div class="table_bottom">
    <span id="js_report_form_loading" style="display: none;"><img src="{url theme='images.admin' file='loader-circle-small.gif'}"></span> <b>Action: </b>{input type="select" name="aEdit[action]" options=$aActions id="js_report_form_action"}
</div>

</form>

{$paginator}

{else}

<div class="errBox">
    <span></span> <strong>No reports can be found.</strong>
</div>

{/if}

{/block}