<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Admin User Achievement Index View
 * @license GoLevel LLC
 */
?>

{block "body"}

{if count($aAchievements)}

<script type="text/javascript">
$(function()
{
    $('.js_award_toggle').css('cursor', 'pointer');

    $('.js_award_toggle').click(function()
    {
        iId = extractId($(this).parents('.js_award:first'), 'js_award_');

        if( $(this).html() == 'Disable' )
        {
            iStatus = 0;
        }
        else
        {
            iStatus = 1;
        }

        ajaxProcess('achievement.toggleForUser', { award_id:iId, status:iStatus, user_id:{$iUser} });
    });
});
</script>

{capture "paginator" assign="paginator"}
<div class="p_4 m_b_10 m_t_10">
    <div class="f_left">{if $iGame}<a href="#" class="link_box" onclick="loadAchievements();">Go Back</a>{/if}</div>
    <div class="f_right">{paginator page=$iPg page_size=$iPgSize total=$iAchievements href="#" onclick="loadAchievements({ldelim}pg{rdelim}{if $iGame}, {$iGame}{/if});"}</div>
    <div class="clear"></div>
</div>
{/capture}

{$paginator}

{* Awards for Game:Start *}
{if $iGame > 0}

{foreach $aAchievements as $aAchievement}
    <div class="js_award" id="js_award_{$aAchievement.award_id}">
        <div style="width:64px; text-align: center" class="f_left js_award_image"><img src="{$aAchievement.thumbnail}" width="48px"/></div>
        <div>
            <div class="js_award_title"><strong>{$aAchievement.title}</strong></div>
            <div><i>Type:</i> {if $aAchievement.type_id}Medal{else}Achievement{/if}</div>
            <div class="js_award_description">{$aAchievement.award_description}</div>
            <div class="f_right" style="margin-right:20px">
                {*<a href="#" class="js_award_toggle">{if $aAchievement.is_active}Disable{else}Activate{/if}</a>*}
            </div>
        </div>
        <div class="clear"></div>
    </div>
{/foreach}

{* Awards for Game:End *}
{* Awards Group by Games:Start *}
{else}

{foreach $aAchievements as $aGame}
<div class="js_award_game p_4">
    <div class="m_b_4">
        <strong><a href="{url link="game.{$aGame.slug}"}">{$aGame.game_title}</a></strong> (<a href="{url link='admin.game.edit' id=$aGame.game_id}">Edit Game</a> {if count($aGame.awards) == $iPgSize}| <a href="#" onclick="loadAchievements(1, {$aGame.game_id});">View More</a>{/if})
    </div>
    <div class="m_b_4 m_t_4 p_l_10">
    {foreach $aGame.awards as $aAward}
        <div class="js_award m_t_4" id="js_award_{$aAward.award_id}">
            <div style="width:64px; text-align: center" class="f_left js_award_image"><img src="{$aAward.thumbnail}" width="48px"/></div>
            <div>
                <div class="js_award_title"><strong>{$aAward.title}</strong></div>
                <div><i>Type:</i> {if $aAward.type_id}Medal{else}Achievement{/if}</div>
                <div><i>Time Awarded:</i>{$aAward.time_awarded|date_format:"%D"}</div>
                <div class="js_award_description">{$aAward.award_description}</div>
                <div class="f_right" style="margin-right:20px">
                    {*<a href="#" class="js_award_toggle">{if $aAward.is_active}Disable{else}Activate{/if}</a>*}
                </div>
            </div>
            <div class="clear"></div>
        </div>
    {/foreach}
    </div>
</div>
{/foreach}

{/if}
{* Awards Group by Games:End *}

{$paginator}

{else}

<div class="errBox">
    <span></span> <strong>No achievements for the given user can be found.</strong>
</div>

{/if}

{/block}