<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Admin User Search View
 * @license GoLevel LLC
 */
?>

{block "body"}

{if count($aUsers)}

{capture "paginator" assign="paginator"}
<div class="p_4" align="right">
    {paginator page=$iPg page_size=$iPgSize total=$iUsers href="#" onclick="triggerSearch('{ldelim}pg{rdelim}');"}
</div>
{/capture}

{$paginator}

<script type="text/javascript">
$(function()
{
    $('.js_user_edit').css('cursor', 'pointer');
    $('.js_user_delete').css('cursor', 'pointer');

    $("#js_user_form_action").change(function()
    {
        if( $(this).val() == 'delete' )
        {
            bAction = false;

            sPlural = ($(".js_user:checked").length > 1 ? 's' : '');

            if( confirm('Are you sure you want to remove the selected user'+ sPlural +'?') )
            {
                bAction = true;
            }

            if( bAction )
            {
                ajaxDialog('user.delete', $("#js_user_form").serialize(), { height:140, title:'Delete User' + sPlural });
            }
        }
        else if( $(this).val() == 'send_activation_email' )
        {
            bAction = false;

            sPlural = ($(".js_user:checked").length > 1 ? 's' : '');

            if( confirm('Are you sure you want to send activation email to the selected user'+ sPlural +'?') )
            {
                bAction = true;
            }

            if( bAction )
            {
                ajaxProcess('user.sendActivationEmail', $("#js_user_form").serialize());
            }
        }
        else if( $(this).val() == 'activate' )
        {
            bAction = false;

            sPlural = ($(".js_user:checked").length > 1 ? 's' : '');

            if( confirm('Are you sure you want to activate the selected user'+ sPlural +'?') )
            {
                bAction = true;
            }

            if( bAction )
            {
                ajaxProcess('user.activate', $("#js_user_form").serialize());
            }
        }
        else if( $(this).val() == 'deactivate' )
        {
            bAction = false;

            sPlural = ($(".js_user:checked").length > 1 ? 's' : '');

            if( confirm('Are you sure you want to deactivate the selected user'+ sPlural +'?') )
            {
                bAction = true;
            }

            if( bAction )
            {
                ajaxProcess('user.deactivate', $("#js_user_form").serialize());
            }
        }

        $(this).find(":selected").removeAttr('selected');
    } );

    $(".js_user_delete").click(function()
    {
        iUser = $(this).parents("tr:first").find("input:checkbox").val();

        if( confirm('Are you sure you want to remove the selected user?') )
        {
            ajaxDialog('user.delete', 'user_id=' + iUser, { height:140, title:'Delete User' });
        }
    } );

    $('.js_user_edit').click(function ()
    {
        window.location.href = $(this).attr('id');
    } );

    $(".js_user").click(function()
    {
        if( $(".js_user").is(":checked") )
        {
            $("#js_user_form_action").removeAttr('disabled');
        }
        else
        {
            $("#js_user_form_action").attr('disabled', 'disabled');
        }

        if( $(this).is(":checked") )
        {
            $(this).parents("tr:first").addClass("highlight");
        }
        else
        {
            $(this).parents("tr:first").removeClass("highlight");
        }
    } );

    $("#js_user_form_action").attr('disabled', 'disabled');
} );
</script>

<form method="POST" action="#" id="js_user_form">
<table class="list">
    <tr>
        <th class="table_top_left"></th>
        <th>User Name</th>
        <th>Email</th>
        <th>Status</th>
        <th style="text-align:center;">Date Joined</th>
        <th style="text-align:center;">Last Login</th>
        <th class="table_top_right"></th>
    </tr>
    <tbody>
{foreach $aUsers as $aUser}
    <tr id="js_user_{$aUser.user_id}">
        <td style="text-align:center;">{input type="checkbox" value=$aUser.user_id name="aEdit[user_id][]" class="js_user"}</td>
        <td class="js_user_title">{$aUser.user_name}</td>
        <td class="js_email_title">{$aUser.email}</td>
        <td>{if $aUser.is_verified}Active{else}Requires Activation{/if}</td>
        <td style="text-align:center;">{$aUser.date_added|date_format:"%D"}</td>
        <td style="text-align:center;">{$aUser.last_login|date_format:"%D"}</td>
        <td>
            <ul class="item_menu">
                <li><span class="ui-icon ui-icon-wrench js_user_edit" id="{url link='admin.tools.user.edit' id=$aUser.user_id}"></span></li>
                <li><span class="ui-icon ui-icon-trash js_user_delete"></span></li>
            </ul>
        </td>
    </tr>
{/foreach}
    </tbody>
</table>

<div class="table_bottom">
    <span id="js_user_form_loading" style="display: none;"><img src="{url theme='images.admin' file='loader-circle-small.gif'}"></span> <b>Action: </b>{input type="select" name="aEdit[action]" options=$aActions id="js_user_form_action"}
</div>

</form>

{$paginator}

{else}

<div class="errBox">
    <span></span> <strong>No users can be found.</strong>
</div>

{/if}

{/block}