<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Comment List View
 * @license GoLevel LLC
 */
?>
{block "body"}
<script type="text/javascript">
iLeapTo = {$iLeapTo};

$(function()
{
    $(".comment_delete_btn").button(
    {
       icons:
       {
            primary: "ui-icon ui-icon-closethick"
       },
       text: false
    });

    if( iLeapTo )
    {
        iPos = 0 - $(window).height() / 2;

        $.scrollTo($('#js_comment_' + iLeapTo), 10, { offset:iPos });
    }
});
</script>

{* Comment Container:Start *}
<div class="m_t_20">

{if !$bController}
<h4>{phrase var='comment.comments'}</h4>
{/if}

{capture "paginator" assign="paginator"}
<div class="p_4" align="right">
    {paginator page=$iPg page_size=$iPgSize total=$iTotal href="#" onclick="loadComments({ldelim}pg:'{ldelim}pg{rdelim}'{rdelim});"}
</div>
{/capture}

{$paginator}

{* The Comment List:Start *}
<ul class="comment_list" id="js_comment_list">
    {foreach $aList as $aComment}
    <li class="parent" id="js_comment_{$aComment.comment_id}">
        {if SAA_Sys::getUserId() == $aComment.comment_user_id}
        <div class="f_right">
            <a href="#" class="comment_delete_btn"></a>
        </div>
        {/if}
        <div class="f_left m_r_10">{img user_prefix="comment_" user=$aComment link=true sq_size="50"}</div>
        <div>
            <div class="bolder">
            {if SAA_Sys::getSett('user.enable_profile')}
                <a href="{url link='profile' user=$aComment.comment_user_id}">{$aComment.comment_user_name}</a>
            {else}
                {$aComment.comment_user_name}
            {/if}
            </div>
            <div class="italic">{phrase var='comment.posted_on_date' date=$aComment.time_date}</div>
        </div>
        <div class="clear"></div>
        <div class="p_t_4 indent2">{$aComment.text}</div>
        <div class="p_4" align="right">
            {if SAA_Sys::isUser() && SAA_Sys::getSett('comment.enable_child')}
            <a href="#" class="js_add_child_btn link_box">{phrase var='comment.comment'}</a>
            {/if}
            {if isset($aComment.children) && $aComment.children.is_link}
            <a href="#" onclick="loadComments({ldelim}parent_id:{$aComment.comment_id}{rdelim});" class="link_box">{phrase var='comment.view_more'}</a>
            {/if}
        </div>
    </li>
    {if isset($aComment.children)}
        {foreach $aComment.children.content as $aChild}
    <li class="is_child" id="js_comment_{$aChild.comment_id}">
        <div class="child">
            {if SAA_Sys::getUserId() == $aChild.comment_user_id}
            <div class="f_right">
                <a href="#" class="comment_delete_btn"></a>
            </div>
            {/if}
            <div class="f_left m_r_10">{img user_prefix="comment_" user=$aChild link=true sq_size="50"}</div>
            <div>
                <div class="bolder">
            {if SAA_Sys::getSett('user.enable_profile')}
                    <a href="{url link='profile' user=$aChild.comment_user_id}">{$aChild.comment_user_name}</a>
            {else}
                    {$aChild.comment_user_name}
            {/if}
                </div>
                <div class="italic">{phrase var='comment.posted_on_date' date=$aChild.time_date}</div>
            </div>
            <div class="clear"></div>
            <div class="p_t_4 indent2">{$aChild.text}</div>
        </div>
    </li>
        {/foreach}
    {/if}

    {foreachelse}
    <li id="js_no_comment">
        <div class="goodBox">
        {if SAA_Sys::isUser()}
            {phrase var='comment.be_the_first_to_comment'}
        {else}
            {phrase var='comment.there_are_no_comments_listed'}
        {/if}
        </div>
    </li>
    {/foreach}
</ul>
{* The Comment List:End *}

{$paginator}

{* The Comment Form:Start *}
{if SAA_Sys::isUser()}
<form method="POST" action="#" onsubmit="return false;" class="js_comment_form w75" id="js_comment_form">
    <div class="p_t_4">
        <div>{input type="hidden" class="js_parent" value="0"}</div>
        <div>{input type="textarea" class="js_comment_text" cols="70" rows="3" style="width:100%;"}</div>
        <div align="right" class="p_t_4">
            <span class="js_comment_loading" style="display:none;"><img src="{url theme='images' file='loader-circle-small.gif'}"></span>
            <input type="submit" value="{phrase var='comment.submit'}" class="js_comment_btn" style="display:none;">
        </div>
    </div>
</form>
{/if}
{* The Comment Form:End *}

</div>
{* Comment Container:End *}

{/block}