<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Game Achievement Block View
 * @license GoLevel LLC
 */
?>

{block "body"}

<script type="text/javascript">
$(function()
{
    $(".js_achievement img").tooltip(
    {
	bodyHandler: function()
        {
            return $(this).parents('li:first').find('.js_achievement_tooltip').html();
	},
	showURL: false
    });

});
</script>

{if $bHeader}
<h4>{phrase var='game.achievements'}</h4>
{/if}

{if $iAchievements}
    {capture "paginator" assign="paginator"}
    <div class="p_4 m_b_10 m_t_10" align="right">
        {paginator page=$iPg page_size=$iPgSize total=$iAchievements href="#" onclick="loadAchievements({ldelim}pg{rdelim});"}
    </div>
    {/capture}

    {$paginator}

    {* Achievements for Game:Start *}
        {foreach $aAchievements as $aUser}
            <div class="p_4 m_b_10 m_t_10 block">
                <ul class="h_list">
                    <li>{img user=$aUser link="{url link='profile' user=$aUser.user_id}" sq_size="50"}</li>
                    <li style="width:15px">&nbsp;</li>
                {foreach $aUser.achievements as $aAchievement}
                    <li class="js_achievement ">
                        {img file=$aAchievement.thumbnail sq_size="48px"}
                        <div class="js_achievement_tooltip" style="display:none;">
                            <div class="js_award_title"><b>{$aAchievement.title}</b></div>
                            <div>{if $aAchievement.type_id}{phrase var='game.medal'}{else}{phrase var='game.achievement'}{/if}</div>
                            <div class="js_award_description">{$aAchievement.award_description}</div>
                        </div>
                    </li>
                {/foreach}
                </ul>
            </div>
            {/foreach}
    {* Achievements for Game:Start *}
{else}
<div class="errBox">
    <span></span> <strong>{phrase var='game.no_achievements_have_been_recorded'}</strong>
</div>
{/if}

{/block}