<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Game Search Feature View
 * @license GoLevel LLC
 */
?>

{block "body"}

<script type="text/javascript">
$(function()
{
    $('.js_user_favorite').css('cursor', 'pointer');
});
</script>

<h4>{phrase var='featured.featured_games'}</h4>

{* Paginator:Start *}
{capture "paginator" assign="paginator"}
<div class="p_bt_4 m_t_4 m_b_4" align="right">
    {paginator page=$iPg page_size=$iPgSize total=$iGames href="#" onclick="loadGames('feature', {ldelim}pg{rdelim})"}
</div>
{/capture}

{$paginator}
{* Paginator:End *}

{foreach $aGames as $aGame}
<div class="p_10 m_t_2 {cycle values="lite-grey,grey"} js_game js_game_{$aGame.game_id}" id="js_game_{$aGame.game_id}">
    <div class="bolder m_b_10"><a href="{url link="game.{$aGame.slug}"}" class="title js_game_title">{$aGame.text.title}</a></div>
    <div class="f_left m_r_10">{img file=$aGame.img_loc link="{url link="game.{$aGame.slug}"}" sq_size="100"}</div>
    <div>
    {if SAA_Sys::getSett('favorite.is_enabled') && SAA_Sys::isUser()}
        <div class="m_4 f_right">
            <div class="ui-state-highlight ui-corner-all p_4 w120p bolder js_user_favorite" align="center">
                <span class="js_fav" {if !$aGame.is_favorite}style="display:none;"{/if}>{phrase var='featured.your_favorite'}</span>
                <span class="js_make" {if $aGame.is_favorite}style="display:none;"{/if}>{phrase var='featured.make_favorite'}</span>
            </div>
        </div>
    {/if}

    {if $aGame.category}
        <div class="m_4">
            <b>{if count($aGame.category) > 1}{phrase var='featured.categories'}{else}{phrase var='featured.category'}{/if}:</b>
            {foreach $aGame.category as $aCategory}
            <a href="{url link="browse.{$aCategory.slug}"}" class="link">{phrase var=$aCategory.name}</a>{if !$aCategory@last}, {/if}
            {/foreach}
        </div>
    {/if}

    {if SAA_Sys::getSett('score.scores_on')}
        {if isset($aGame.high_score)}
        <div class="m_4"><b>{phrase var='featured.best_score'}:</b> <i>{phrase var='featured.score_score_prefix_by_user' score=$aGame.high_score score_prefix=$aGame.scoring_prefix user=$aGame.high_user}</i></div>
        {/if}
        {if isset($aGame.user_score)}
        <div class="m_4"><b>{phrase var='featured.your_best_score'}:</b> <i>{$aGame.user_score} {$aGame.scoring_prefix}</i></div>
        {/if}
    {/if}

    {if SAA_Sys::getModel('rating')->isEnabled('game')}
        <div class="m_4"><b>{phrase var='featured.total_votes'}:</b> <i>{$aGame.total_votes}</i></div>
        <div class="m_4">{call rating type='game' item_id=$aGame.game_id total_rating=$aGame.total_rating already_rated=$aGame.rate_id}</div>
    {/if}

        <div class="m_4">{$aGame.text.description}</div>

    </div>
    <div class="clear"></div>

    {if isset($aGame.tags)}
    <div class="m_t_10">
        <span class="bolder">{phrase var='featured.tags'}:</span>
        {foreach $aGame.tags as $sTag}
        <a href="{url link='browse' tag=$sTag}" class="link">{$sTag}</a>{if !$sTag@last}, {/if}
        {/foreach}
    </div>
    {/if}

    {if SAA_Sys::isAdmin()}
    <div class="p_t_8" align="right">
        <a href="{url link="game.{$aGame.slug}"}" class="link_box">{phrase var='featured.view'}</a>
        <a href="{url link='admin.game.edit' id=$aGame.game_id}" class="link_box">{phrase var='featured.edit'}</a>
        <a href="#reset-scores" class="link_box" onclick="ajaxDialog('score.rebuildGame', 'game={$aGame.game_id}&page=1&stage=purge', { height:140, title:'{phrase var='featured.reset_scores' js_escape=true}' });">{phrase var='featured.reset_scores'}</a>
        <a href="#" class="link_box js_game_delete">{phrase var='featured.delete'}</a>
    </div>
    {/if}
</div>
{foreachelse}
<div class="goodBox">
    {phrase var='featured.there_are_no_games_that_are_featured_at_this_time'}
</div>
{/foreach}

{* Paginator:Start *}
{$paginator}
{* Paginator:End *}

<div class="big_spacer"></div>

{/block}