<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ajax Profile Achievement Index View
 * @license GoLevel LLC
 */
?>

{block "body"}

<h4>{phrase var='profile.achievements'}</h4>

{if count($aAchievements)}

<script type="text/javascript">
$(function()
{
    $(".js_achievement img").tooltip(
    {
	bodyHandler: function()
        {
            return $(this).parents('li:first').find('.js_achievement_tooltip').html();
	},
	showURL: false
    });

});
</script>

{capture "paginator" assign="paginator"}
<div class="p_4 m_b_10 m_t_10">
    <div class="f_left">{if $iGame}<a href="#" class="link_box" onclick="loadAchievements();">Go Back</a>{/if}</div>
    <div class="f_right">{paginator page=$iPg page_size=$iPgSize total=$iAchievements href="#" onclick="loadAchievements({ldelim}pg{rdelim}{if $iGame}, {$iGame}{/if});"}</div>
    <div class="clear"></div>
</div>
{/capture}

{$paginator}

{* Awards for Game:Start *}
{if $iGame > 0}
<div class="p_10 m_t_2 lite-grey">
    <div class="bolder m_b_10">
        <a href="{url link="game.{$aGame.slug}"}" class="title">{$aGame.text.title}</a>
    </div>
    <ul class="h_list">
        <li>{img file=$aGame.img_loc link="{url link="game.{$aGame.slug}"}" sq_size="100" style="vertical-align:middle;"}</li>
        <li style="width:15px">&nbsp;</li>
    {foreach $aAchievements as $aAchievement}
        <li class="js_achievement ">
            {img file=$aAchievement.thumbnail sq_size="50"}
            <div class="js_achievement_tooltip" style="display:none;">
                <div class="js_award_title"><strong>{$aAchievement.title}</strong></div>
                <div>{if $aAchievement.type_id}{phrase var='profile.medal'}{else}{phrase var='profile.achievement'}{/if}</div>
                <div class="js_award_description">{$aAchievement.award_description}</div>
            </div>
        </li>
    {/foreach}
    </ul>
</div>
{* Awards for Game:End *}
{* Awards Group by Games:Start *}
{else}

{foreach $aAchievements as $aGame}
<div class="js_award_game p_10 m_t_2 {cycle values="lite-grey,grey"}">
     <div class="bolder m_b_10">
        <a href="{url link="game.{$aGame.slug}"}" class="title">{$aGame.game_title}</a>
    </div>
    <div>
        <ul class="h_list">
            <li>{img file=$aGame.img_loc link="{url link="game.{$aGame.slug}"}" sq_size="100" style="vertical-align:middle;"}</li>
            <li style="width:15px">&nbsp;</li>
    {foreach $aGame.awards as $aAward}
            <li class="js_achievement ">
                {img file=$aAward.thumbnail sq_size="50" style="vertical-align:middle;"}
                <div class="js_achievement_tooltip" style="display:none;">
                    <div class="js_award_title"><b>{$aAward.title}</b></div>
                    <div>{if $aAward.type_id}{phrase var='profile.medal'}{else}{phrase var='profile.achievement'}{/if}</div>
                    <div class="js_award_description">{$aAward.award_description}</div>
                </div>
            </li>
    {/foreach}
        </ul>
    </div>
    {if count($aGame.awards) == $iPgSize}
    <div class="p_10">
        <div align="right">
            <a href="#" onclick="loadAchievements(1, {$aGame.game_id});" class="link_box">{phrase var='profile.view_more'}</a>
        </div>
    </div>
    {/if}
</div>
{/foreach}

{/if}
{* Awards Group by Games:End *}

{$paginator}

{else}

<div class="goodBox">
    <span></span> <strong>{phrase var='profile.there_are_no_achievements_for_user_at_this_time' user=$aProfile.user_name}</strong>
</div>

{/if}

{/block}