<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Category Add Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Category_Add extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $aLanguages = SAA_Sys::getModel('language')->getAll(true);

        if( !count($aLanguages) )
        {
            return SAA_Error::add('At least one language must exist in order to continue.');
        }

        if( ($aVal = $this->request()->get('aForm'))  )
        {
            if( SAA_Sys::getModel('category.process')->add($aVal) )
            {
               $this->url()->reload(null, 'Category has been added. <a href="'. $this->url()->makeSimple('admin.category') .'">View All</a>');
            }
        }

        $this->template()
            ->setHeader('Create Category', true)
            ->assign(array(
                'aGameTypes' => SAA_Sys::getModel('game.type')->getAll(),
                'aTabs' => SAA_Sys::getModel('category.map')->getAllForList(),
                'aLanguages' => $aLanguages
        ));
    }
}
?>
