<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Category Auto Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Category_Auto extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $this->template()
                ->setHeader(array('Categories', 'Auto Sync'))
                ->setTitle('Auto Sync Categories');

        $aCategories = SAA_Sys::getModel('category')->getFromSource();

        if( ($aVals = $this->request()->get('aForm'))  )
        {
            if( SAA_Sys::getModel('category.process')->addMass($aVals, $aCategories) )
            {
                $this->url()->send('admin.category.rebuild', null, 'Categories have been auto-synced. Please rebuild category cache.');
            }
        }
        else
        {
            $this->template()->assign(array(
                'aCategories' => $aCategories
            ));
        }
    }
}
?>
