<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Game Add Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Game_Add extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $aLanguages = SAA_Sys::getModel('language')->getAll(true);

        if( !count($aLanguages) )
        {
            return SAA_Error::add('At least one language must exist in order to continue.');
        }

        $aGameTypes = SAA_Sys::getModel('game.type')->getAll();

        if( ($aVals = $this->request()->get('aForm'))  )
        {
            if( SAA_Sys::getModel('game.process')->add($aVals, $aLanguages) )
            {
                $this->url()->reload(null, 'Game has been added.');
            }
        }

        $aTypeOption = array('' => '');
        foreach($aGameTypes as $aType)
        {
            $aTypeOption[$aType['game_type_id']] = $aType['game_type_title'];
        }

        $this->template()
            ->setHeader(array('Game', 'Add'))
            ->setTitle('Add Game')
            ->assign(array(
                'aGameTypes' => $aGameTypes,
                'aTypeOption' => $aTypeOption,
                'aCategoryMapTabs' => SAA_Sys::getModel('category.map')->getAllForList(),
                'aCategories' => SAA_Sys::getModel('category')->getAll(),
                'aLanguages' => $aLanguages,
        ));
    }
}
?>
