<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Game Edit Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Game_Edit extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $aLanguages = SAA_Sys::getModel('language')->getAll(true);

        if( !count($aLanguages) )
        {
            return SAA_Error::add('At least one language must exist in order to continue.');
        }

        $oGameType = SAA_Sys::getModel('game.type');
        $iGameType = $oGameType->get('MochiMedia', false);
        $iGame = $this->request()->get('id');

        if( !($aGame = SAA_Sys::getModel('game')->getForAdmin($iGame, false)) )
        {
            return SAA_Error::add('Game cannot be found.');
        }

        $this->template()
            ->setHeader('Edit Game', true)
            ->assign(array(
                'aGameTypes' => $oGameType->getAll(),
                'aCategoryMaps' => SAA_Sys::getModel('category.map')->getAllType($iGameType, false),
                'aCategories' => SAA_Sys::getModel('category')->getAll(),
                'aLanguages' => $aLanguages,
                'aGame' => $aGame,
                'sForceHash' => SAA_Sys::getModel('user.session')->getForce()
        ));
    }
}
?>
