<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Game Featured Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Game_Featured extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $sCssElements = '';
        $sCssElements2 = '';
        $sJsElements = '';

        $aList = SAA_Sys::getModel('game')->getFeaturedForList();

        foreach($aList as $iPage => $aGames)
        {
            $sCssElements .= '#sortable'.$iPage.' li, ';
            $sCssElements2 .= '#sortable'.$iPage.' li span, ';
            $sJsElements .= '#sortable'.$iPage.', ';
        }

        $this->template()
            ->setHeader(array('Game', 'Featured'))
            ->setTitle('Featured Games')
            ->assign(array(
                'sCssElements' => rtrim($sCssElements, ', '),
                'sCssElements2' => rtrim($sCssElements2, ', '),
                'sJsElements' => rtrim($sJsElements, ', '),
                'aList' => $aList
        ));
    }
}
?>
