<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Game File Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Game_File extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $iLang = SAA_Sys::getLib('language')->getDefault();
        $iGame = $this->request()->get('id');

        if( !($aGame = SAA_Sys::getModel('game')->getForAdmin($iGame, false)) )
        {
            return SAA_Error::add('Game cannot be found.');
        }

        $this->template()
            ->setHeader(array('Upload File', $aGame['text']['title'][$iLang]), true)
            ->assign(array(
                'aGame' => $aGame,
                'sForceHash' => SAA_Sys::getModel('user.session')->getForce()
        ));
    }
}
?>
