<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Game Uploader Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Game_Uploader extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $sType = $this->request()->get('type');

        if( $sType == 'achievement' )
        {
            $this->loadAchievement();
        }
        else
        {
            $this->loadGame();
        }

        exit;
    }

    public function loadAchievement()
    {
        $iAchievement = $this->request()->get('id');

        if( !($aAchievement = SAA_Sys::getModel('game.achievement')->getById($iAchievement)) )
        {
            $this->jsError('Achievement cannot be found.');
        }

        $oFile = SAA_Sys::getLib('file');

        if( !($aItem = $oFile->getUpload('Filedata')) )
        {
            $this->jsError();
        }

        $sFile = $oFile->upload('Filedata', SAA_APP_GAME_IMAGE_ACHIEVE, $aAchievement['award_id'], false, array('jpg', 'png', 'gif'));

        if( !$sFile )
        {
            $this->jsError();
        }

        if( SAA_Error::get() )
        {
            $this->jsError();
        }

        if( file_exists(SAA_APP_GAME_IMAGE_ACHIEVE . $aAchievement['thumbnail']) )
        {
            $oFile->delete(SAA_APP_GAME_IMAGE_ACHIEVE . $aAchievement['thumbnail']);
        }

        SAA_Sys::getModel('game.achievement.process')->updateImage($iAchievement, $sFile);

        $sText = 'oAjaxMsg = SAA.message; oAjaxMsg.ini({type: \'dialog\', location: \'#ajax-dialog-message\', auto_close: 3000});';
        $sText .= 'oAjaxMsg.show(\'Achievement image has been updated\');';

        echo $sText;
    }

    public function loadGame()
    {
        $sType = $this->request()->get('type');
        $iGame = $this->request()->get('id');

        if( !($aGame = SAA_Sys::getModel('game')->getForAdmin($iGame, false)) )
        {
            $this->jsError('Game cannot be found.');
        }

        $oFile = SAA_Sys::getLib('file');

        if( $sType == 'game' )
        {
            $sKey = 'file_loc';
            $aAllowed = array('swf');
            $sDirectory = SAA_APP_GAME_SWF;
        }
        elseif( $sType == 'image' )
        {
            if( !($aItem = $oFile->getUpload('Filedata')) )
            {
                $this->jsError();
            }

            $sKey = 'img_loc';
            $aAllowed = array('jpg', 'png', 'gif');
            $sDirectory = SAA_APP_GAME_IMAGE;
        }
        else
        {
            $this->jsError('File type is not defined.');
        }

        $sFile = $oFile->upload('Filedata', $sDirectory, $iGame, false, $aAllowed);

        if( !$sFile )
        {
            $this->jsError();
        }

        if( SAA_Error::get() )
        {
            $this->jsError();
        }

        if( file_exists($sDirectory . $aGame[$sKey]) )
        {
            $oFile->delete($sDirectory . $aGame[$sKey]);
        }

        SAA_Sys::getModel('game.process')->editCol($aGame['game_id'], $sKey, $sFile);

        $sText = 'oAjaxMsg = SAA.message; oAjaxMsg.ini({type: \'dialog\', location: \'#ajax-dialog-message\', auto_close: 3000});';
        $sText .= 'oAjaxMsg.show(\'Game file(s) have been uploaded\');';

        echo $sText;
    }

    public function jsError($sText = null)
    {
        if( $sText )
        {
            SAA_Error::add($sText);
        }

        $sCall = 'oAjaxErrors = SAA.error; oAjaxErrors.ini({type: \'dialog\', location: \'#ajax-dialog-message\'});';

        $aErrors = SAA_Error::get();

        foreach($aErrors as $sError)
        {
            $sCall .= 'oAjaxErrors.add(\''.  addslashes($sError).'\');';
        }

        $sCall .= 'oAjaxErrors.show();';

        echo $sCall;

        exit;
    }
}
?>
