<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Language Edit Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Language_Edit extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        $iId = $this->request()->getInt('id');

        $aLanguage = SAA_Sys::getModel('language')->get($iId);

        if( !$aLanguage )
        {
            return SAA_Error::add('The language you are attempting to edit cannot be found');
        }

        if( ($aVal = $this->request()->get('aForm'))  )
        {
            if( SAA_Sys::getModel('language.process')->edit($aVal, $aLanguage) )
            {
                $this->url()->reload(array('id' => $iId), 'Language has been saved. <a href="'.$this->url()->makeSimple('admin.language').'">View Languages</a>');
            }
        }

        $this->template()
            ->setHeader(array('Edit Language', $aLanguage['title']), true)
            ->assign(array(
                'aLanguage' => SAA_Sys::getModel('language')->get($iId)
        ));
    }
}
?>
