<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Language Section Edit Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Language_Section_Edit extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        $iId = $this->request()->getInt('id');

        $aSection = SAA_Sys::getModel('language.section')->get($iId);

        if( !$aSection )
        {
            return SAA_Error::add('The language section you are attempting to edit cannot be found');
        }

        if( ($aVal = $this->request()->get('aForm'))  )
        {
            if( SAA_Sys::getModel('language.section.process')->edit($aVal, $aSection) )
            {
                $this->url()->reload(array('id' => $iId), 'Section has been saved. <a href="'.$this->url()->makeSimple('admin.language.section').'">View Sections</a>');
            }
        }

        $this->template()
            ->setHeader(array('Edit Language Section', $aSection['section_title']), true)
            ->assign(array(
                'aSection' => $aSection
        ));
    }
}
?>
