<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Language Uploader Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Language_Uploader extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        $oFile = SAA_Sys::getLib('file');

        $aFile = $oFile->upload('Filedata', SAA_APP_CACHE, '', 'language.xml', 'xml', false);

        if( !$aFile )
        {
            $this->jsError();
        }

        $aXml = SAA_Sys::getLib('xml.parser')->parse(SAA_APP_CACHE . 'language.xml', 'file');

        if( !isset($aXml['language']) )
        {
            $this->jsError('The xml language file attempting to be uploaded does not have a language element.');
        }
        elseif( !isset($aXml['language']['info']) )
        {
            $this->jsError('The xml file is missing the info element.');
        }

        $iId = SAA_Sys::getModel('language.process')->import($aXml);

        if( SAA_Error::get() )
        {
            $this->jsError();
        }

        $sText = '$("#js_import_id").val("'.$iId.'");';
        $sText .= '$("#js_import_stage").val("missing-phrases");';
        $sText .= '$("#js_file_table").hide();';
        $sText .= '$("#js_import_submit").trigger("submit");';

        echo $sText;

        exit;
    }

    public function jsError($sText = null)
    {
        if( $sText )
        {
            SAA_Error::add($sText);
        }

        $sCall = 'oAjaxErrors = SAA.error; oAjaxErrors.ini({type: \'dialog\', location: \'#ajax-dialog-message\'});';

        $aErrors = SAA_Error::get();

        foreach($aErrors as $sError)
        {
            $sCall .= 'oAjaxErrors.add(\''.  addslashes($sError).'\');';
        }

        $sCall .= 'oAjaxErrors.show();';

        echo $sCall;

        exit;
    }
}
?>
