<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Setting Controller Add Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Setting_Controller_Add extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        if( ($aVal = $this->request()->get('aForm'))  )
        {
            if( SAA_Sys::getModel('setting.controller.process')->add($aVal) )
            {
                $this->url()->reload(null, 'Setting has been added to the controller.');
            }
        }

        $aSettings = SAA_Sys::getModel('setting')->getAll(true);
        $aSettings = array_keys($aSettings);
        $aSettings = array_combine($aSettings, $aSettings);
        ksort($aSettings);

        $this->template()
            ->setHeader(array('Setting', 'Controller', 'Add'))
            ->setTitle('Add Controller Setting')
            ->assign(array(
                'aControllers' => SAA_Sys::getModel('admin.controller')->getControllers(),
                'aSettings' => $aSettings
            ));
    }
}
?>
