<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Setting Controller Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Setting_Controller_Index extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        $this->template()
                ->setHeader(array('Setting', 'Controllers'))
                ->setTitle('Controller Settings')
                ->assign(array(
                    'aControllers' => SAA_Sys::getModel('setting.controller')->getAll()
            ));

        if( ($sController = $this->request()->get('controller')) )
        {
            if( ($aVal = $this->request()->get('aForm'))  )
            {
                if( SAA_Sys::getModel('setting.controller.process')->saveOrder($aVal, $sController) )
                {
                    $this->url()->reload(array('controller' => $sController), 'Order has been saved.');
                }
            }

            $this->template()
                ->setHeader($sController, true)
                ->assign(array(
                    'aSettings' => SAA_Sys::getModel('setting.controller')->getBy($sController),
                    'sSelController' => $sController
                ));
        }
    }
}
?>
