<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Setting Group Edit Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Setting_Group_Edit extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        $iId = $this->request()->getInt('id');

        $aGroup = SAA_Sys::getModel('setting.group')->get($iId, true);

        if( !$aGroup )
        {
            return SAA_Error::add('The language section you are attempting to edit cannot be found');
        }

        if( ($aVal = $this->request()->get('aForm'))  )
        {
            if( SAA_Sys::getModel('setting.group.process')->edit($aVal, $aGroup) )
            {
                $this->url()->reload(array('id' => $iId), 'Group setting has been saved. <a href="'.$this->url()->makeSimple('admin.setting.group').'">View Group Settings</a>');
            }
        }

        $this->template()
            ->setHeader(array('Setting', 'Group', 'Edit'))
            ->setTitle(array('Edit Group Setting', $aGroup['group_name']))
            ->assign(array(
                'aGroup' => $aGroup
        ));
    }
}
?>
