<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Setting Order Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Setting_Order extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        $this->template()
                ->setHeader('Sort Settings', true)
                ->assign(array(
            'aGroups' => SAA_Sys::getModel('setting.group')->getForSelect(),
            'aControllers' => SAA_Sys::getModel('setting.controller')->getAll(),
        ));

        if( ($sGroup = $this->request()->get('slug_3')) )
        {
            if( !($aGroup = SAA_Sys::getModel('setting.group')->get($sGroup)) )
            {
                SAA_Error::add('The setting group cannot be found.');
            }

            if( ($aVal = $this->request()->get('aForm'))  )
            {
                if( SAA_Sys::getModel('setting.process')->saveOrder($aVal) )
                {
                    $this->url()->send('admin.setting.order.' . $sGroup, null, 'Order has been saved.');
                }
            }

            $this->template()
                ->setTitle(array('Group', $aGroup['group_name']))
                ->assign(array(
                    'aSettings' => SAA_Sys::getModel('setting')->getAllByGroup($aGroup),
                    'sSelectedGroup' => $sGroup
            ));
        }
    }
}
?>
