<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Ads Edit Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Tools_Ad_Edit extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $iId = $this->request()->get('id');

        if( !($aAd = SAA_Sys::getModel('ad')->get($iId)) )
        {
            return SAA_Error::add('The menu item you are looking for cannot be found.');
        }

        if( ($aVal = $this->request()->get('aForm'))  )
        {
            if( SAA_Sys::getModel('ad.process')->edit($aVal, $aAd) )
            {
               $this->url()->reload(array('id' => $iId), 'Advertisement has been changed. <a href="'. $this->url()->makeSimple('admin.tools.ad') .'">View All</a>');
            }
        }

        $this->template()
            ->setHeader(array('Tools', 'Ads', 'Edit'))
            ->setTitle(array('Edit Ad', $aAd['ad_name']))
            ->assign(array(
                'aAd' => $aAd
        ));
    }
}
?>
