<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Menu Add Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Tools_Menu_Add extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $aLanguages = SAA_Sys::getModel('language')->getAll(true);

        if( !count($aLanguages) )
        {
            return SAA_Error::add('At least one language must exist in order to continue.');
        }

        if( ($aVal = $this->request()->get('aForm'))  )
        {
            if( SAA_Sys::getModel('menu.process')->add($aVal) )
            {
               $this->url()->reload(null, 'Menu item has been added. <a href="'. $this->url()->makeSimple('admin.tools.menu') .'">View All</a>');
            }
        }

        $this->template()
            ->setHeader(array('Tools', 'Menu', 'Add'))
            ->setTitle('Add Menu')
            ->assign(array(
                'aMenuItems' => SAA_Sys::getModel('menu')->getAll(),
                'aLanguages' => $aLanguages
        ));
    }
}
?>
