<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Menu Edit Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Tools_Menu_Edit extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $aLanguages = SAA_Sys::getModel('language')->getAll(true);

        if( !count($aLanguages) )
        {
            return SAA_Error::add('At least one language must exist in order to continue.');
        }

        $iId = $this->request()->get('id');

        if( !($aMenu = SAA_Sys::getModel('menu')->get($iId)) )
        {
            return SAA_Error::add('The menu item you are looking for cannot be found.');
        }

        $aPhrases = SAA_Sys::getModel('language.phrase')->getByVar($aMenu['menu_name']); //get phrases for the given menu

        //store given menus phrases into language
        foreach($aLanguages as $iLanguage => $sLanguage)
        {
            $aLanguages[$iLanguage] = array(
                'title' => $sLanguage,
                'default' => $aPhrases[$iLanguage]['text']
            );
        }

        if( ($aVal = $this->request()->get('aForm'))  )
        {
            if( SAA_Sys::getModel('menu.process')->edit($aVal, $aMenu) )
            {
               $this->url()->reload(array('id' => $iId), 'Menu item has been changed. <a href="'. $this->url()->makeSimple('admin.tools.menu') .'">View All</a>');
            }
        }

        $this->template()
            ->setHeader(array('Tools', 'Menu', 'Edit'))
            ->setTitle(array('Edit Menu', SAA_Sys::getPhrase($aMenu['menu_name'])))
            ->assign(array(
                'aMenu' => $aMenu,
                'aMenuItems' => SAA_Sys::getModel('menu')->getAll(),
                'aLanguages' => $aLanguages
        ));
    }
}
?>
