<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Reset Scores Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Tools_Reset_Scores extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        if( ($aVal = $this->request()->getArray('aForm')) )
        {
            if( SAA_Sys::getModel('score.process')->reset($aVal) )
            {
                $this->url()->send('admin.tools.rebuild.scores', null, 'The scores and related feeds to the scores for the provided reset filter have been removed. Please rebuild the best score, user best score, and score feeds.');
            }
        }

        $aFirstScore = SAA_Sys::getModel('game.stats')->firstScore();

        if( $aFirstScore )
        {
            $this->template()->assign('aFirstScore', array(
                'start_year' => date('Y', $aFirstScore['time_scored']),
                'end_year' => date('Y')
            ));
        }

        $this->template()
                ->setHeader(array('Tools', 'Reset', 'Scores'))
                ->setTitle('Reset Scores');
    }
}
?>
