<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Theme Edit Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Tools_Theme_Edit extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $iId = $this->request()->get('id');

        if( !($aTheme = SAA_Sys::getModel('theme')->get($iId)) )
        {
            return SAA_Error::add('The  theme cannot be found.');
        }

        if( ($aVal = $this->request()->get('aForm'))  )
        {
            if( SAA_Sys::getModel('theme.process')->edit($aVal, $aTheme) )
            {
               $this->url()->reload(array('id' => $iId), 'Theme has been edited. <a href="'. $this->url()->makeSimple('admin.tools.theme') .'">View All</a>');
            }
        }

        $this->template()
            ->setHeader(array('Tools', 'Theme', 'Edit'))
            ->setTitle('Edit Theme')
            ->assign(array(
                'aTheme' => $aTheme,
                'aThemes' => SAA_Sys::getModel('theme')->findThemes()
        ));
    }
}
?>
