<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools User Edit Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Admin_Tools_User_Edit extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('admin')->preload();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $iId = $this->request()->get('id');

        if( !($aUser = SAA_Sys::getModel('user')->get($iId)) )
        {
            return SAA_Error::add('The user cannot be found.');
        }

        if( ($aForm = $this->request()->getArray('aForm')) )
        {
            if( SAA_Sys::getModel('user.process')->editByAdmin($aForm, $aUser) )
            {
                $this->url()->reload(array('id' => $iId), 'User data has been updated.');
            }
        }

        $this->template()
            ->setHeader('Tools')
            ->setHeader('Edit User', true)
            ->assign(array(
                'aUser' => $aUser,
                'aLanguages' => SAA_Sys::getModel('language')->getAll(true),
                'aThemes' => SAA_Sys::getModel('theme')->getAll()
            ));
    }
}
?>
