<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Bridge Mochi Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Bridge_Mochi extends SAA_Controller
{
    public function preload()
    {
        SAA_Sys::getModel('public')->load();
    }

    public function load()
    {
        if( !SAA_Sys::getSett('score.scores_on') )
        {
            return false;
        }
        elseif( !SAA_Sys::getSett('mochi.is_enabled') )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('score.sorry_you_do_not_have_permission_to_view_this_page'));
        }

        $aVals = $_POST;

        //add game
        if( isset($_POST['game_tag']) )
        {
            SAA_Sys::getModel('game.adder')->get($_POST['game_tag'], 'mochi');

            exit;
        }

        unset($aVals['signature']);

        $sUrl = $this->url()->http_build_query($aVals, 'ksort');

        //check security
        if( md5($sUrl . SAA_Sys::getSett('mochi.secret_key')) != $_POST['signature'] )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('score.opps_what_are_you_doing_here'));
        }
        //get game type
        elseif( !($aGameType = SAA_Sys::getModel('game.type')->get('MochiMedia', false)) )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('score.there_was_an_error_in_processing_you_request'));
        }

        $iGameType = $aGameType['game_type_id'];

        //check game
        if( !($aGame = SAA_Sys::getModel('game')->getByHash($aVals['gameID'], $iGameType)) )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('score.there_was_an_error_in_processing_you_request'));
        }

        //check user
        if( !($aUser = SAA_Sys::getModel('user')->get($aVals['userID'])) )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('score.there_was_an_error_in_processing_you_request'));
        }

        //add score
        if( $aVals['submission'] == 'score' )
        {
            SAA_Sys::getModel('score.process')->add($aVals, $aUser, $aGame);
        }
        //add medal
        elseif( $aVals['submission'] == 'medal' )
        {
            $oAchivement = SAA_Sys::getModel('game.achievement');

            if( !($aAchievement = $oAchivement->get($aGame['game_id'], $aVals['achievementID'])) )
            {
                $iAchievement = SAA_Sys::getModel('game.achievement.process')->add($aGame['game_id'], $aVals);

                $aAchievement = $oAchivement->get($aGame['game_id'], $aVals['achievementID']);
            }

            if( !$oAchivement->getUser($aAchievement['award_id'], $aUser['user_id']) )
            {
                SAA_Sys::getModel('game.achievement.process')->addUser($aAchievement, $aUser['user_id']);
            }
        }

        exit;
    }
}
?>
