<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Comment Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Comment_Index extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('public')->load();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        $oComment = SAA_Sys::getModel('comment');

        $this->template()
                ->setHeader(SAA_Sys::getPhrase('comment.comments'), true);

        if( !SAA_Sys::getSett('comment.is_enabled') )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('comment.the_comments_have_been_disabled'));
        }
        elseif( !SAA_Sys::isUser() && !SAA_Sys::getSett('comment.guest_can_view') )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('comment.you_must_be_logged_in_to_view_this_page'));
        }
        elseif( !($sType = $this->request()->get('slug_1')) )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('comment.the_page_you_are_looking_for_cannot_be_found'));
        }
        elseif( !($iItem = $this->request()->get('slug_2')) )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('comment.the_page_you_are_looking_for_cannot_be_found'));
        }
        elseif( !($aItem = $oComment->getItem($sType, $iItem)) )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('comment.the_page_you_are_looking_for_cannot_be_found'));
        }

        $iPg = $this->request()->get('pg', 1);
        $iLimit = SAA_Sys::getSett('comment.per_page_controller');

        $this->template()
            ->setHeader($aItem['title'], true);

        if( ($iParent = $this->request()->getInt('slug_3')) && $iParent > 0 )
        {
            if( !SAA_Sys::getSett('comment.enable_child') )
            {
                return SAA_Error::add(SAA_Sys::getPhrase('comment.the_feature_has_been_disabled'));
            }

            $aParent = $oComment->get($iParent);

            if( !$aParent || $aParent['item_id'] != $iItem )
            {
                return SAA_Error::add(SAA_Sys::getPhrase('comment.the_page_you_are_looking_for_cannot_be_found'));
            }
        }

        $this->template()
            ->assign(array(
                'sType' => $sType,
                'iItem' => $iItem,
                'iParent' => $iParent,
                'aItem' => $aItem,
                'bCommentOn' => true
        ));
    }
}
?>
