<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Create Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Create extends SAA_Controller
{
    /**
     * Controller Preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('public')->load();
    }

    /**
     * Controller Loader
     */
    public function load()
    {
        $this->template()->setHeader(SAA_Sys::getPhrase('create.create_account'), true);

        if( !SAA_Sys::getSett('user.can_register') )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('create.the_sign_up_has_been_closed'));
        }
        
        $aSecurity = SAA_Sys::getSett('user.sign_up_questions');

        if( ($iCnt = count($aSecurity)) )
        {
            $sKey = array_rand($aSecurity);

            $this->template()->assign(array(
                'sQuestion' => $sKey,
                'sQuestionHash' => $this->url()->encodeBase64($sKey)
            ));
        }

        if( ($aVal = $this->request()->get('aCreate'))  )
        {
            if( $aSecurity )
            {
                $sKey = key($aVal['security']);
                $sValue = $aVal['security'][$sKey];

                unset($aVal['security']);

                $aVal['security'] = array(
                    'key' => $this->url()->decodeBase64($sKey),
                    'value' => $sValue
                );
            }

            if( ($iUser = SAA_Sys::getModel('user.process')->addFromRegister($aVal)) )
            {
                if( SAA_Sys::getSett('user.validate_email') )
                {
                    $this->url()->send('user.validate', null, SAA_Sys::getPhrase('create.email_has_been_sent_to_verify_your_not_a_robot_please_check_your_email_to_complete_the_registration'));
                }
                else
                {
                    $this->url()->send('', null, SAA_Sys::getPhrase('create.you_are_now_registered_to_play'));
                }
            }
        }
    }
}
?>
