<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Feed Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Feed_Index extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('public')->load();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        $iPg = $this->request()->getInt('pg', 1);
        $iPgSize = SAA_Sys::getSett('feed.display_limit');

        list($iItems, $aFeed) = SAA_Sys::getModel('feed')->getAll($iPg, $iPgSize);

        $this->template()
                ->setHeader(SAA_Sys::getSett('meta.feed_title'))
                ->setDescription(SAA_Sys::getSett('meta.feed_description'))
                ->assign(array(
                    'iPg' => $iPg,
                    'iPgSize' => $iPgSize,
                    'iItems' => $iItems,
                    'aFeed' => $aFeed
                ));
    }
}
?>
