<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Game Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Game_Index extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('public')->load();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        $this->template()
            ->setHeader(SAA_Sys::getPhrase('game.game'));

        if( !SAA_Sys::isUser() && !SAA_Sys::getSett('game.guests_can_play') )
        {
            $this->url()->sendWithCrumb('login', SAA_Sys::getPhrase('game.must_be_logged_in_to_play_games'));
        }

        if( !($sSlug = $this->request()->get('slug_1')) || !($aGame = SAA_Sys::getModel('game')->get($sSlug)) )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('game.opps_the_game_you_are_looking_for_cannot_be_found', array('link' => $this->url()->makeSimple('search'))));
        }

        if( !SAA_Sys::getSett('global.show_non_scoring_games') && !$aGame['scoring'] )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('game.opps_the_game_you_are_looking_for_cannot_be_found', array('link' => $this->url()->makeSimple('search'))));
        }

        if( $this->request()->get('slug_2') == 'scores' )
        {
            return SAA_Sys::loadController('game.scores');
        }

        $this->template()
            ->clearHeader()
            ->setHeader(SAA_Sys::getSett('meta.game_title'))
            ->setDescription(SAA_Sys::getSett('meta.game_description'))
            ->setTitle($aGame['text']['title'])
            ->assign(array(
                'aGame' => $aGame,
                'aGameTypes' => SAA_Sys::getModel('game.type')->getAll(),
                'bRatingOn' => (SAA_Sys::getModel('rating')->isEnabled('game') ? true : false),
                'bCommentOn' => (SAA_Sys::getSett('comment.on_game_pg') ? true : false)
        ));
    }
}
?>
