<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Game Scores Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Game_Scores extends SAA_Controller
{
    /*
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('public')->load();
    }

    /*
     * Controller loader
     */
    public function load()
    {
        if( !SAA_Sys::isUser() && !SAA_Sys::getSett('score.guest_can_view_scores') )
        {
            $this->url()->sendWithCrumb('login', SAA_Sys::getPhrase('score.you_must_be_logged_in_to_view_this_page'));
        }
        elseif( !($sSlug = $this->request()->get('slug_1')) || !($aGame = SAA_Sys::getModel('game')->get($sSlug)) )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('score.opps_the_game_you_are_looking_for_cannot_be_found_a_href_link_go_back_to_games_a', array('link' => $this->url()->makeSimple('search'))));
        }
        elseif( !SAA_Sys::getSett('global.show_non_scoring_games') && !$aGame['scoring'] )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('score.opps_the_game_you_are_looking_for_cannot_be_found_a_href_link_go_back_to_games_a', array('link' => $this->url()->makeSimple('search'))));
        }
        elseif( !SAA_Sys::getSett('score.scores_on') )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('score.scoring_has_been_disabled'));
        }

        $aType = SAA_Sys::getModel('game.type')->get($aGame['type_id']);

        if( !SAA_Sys::getSett('mochi.is_enabled') && $aType['game_type_title'] == 'MochiMedia' )
        {
            return SAA_Error::add(SAA_Sys::getPhrase('score.this_game_type_has_been_disabled'));
        }

        $this->template()
            ->setHeader(SAA_Sys::getSett('meta.scores_title'))
            ->setDescription(SAA_Sys::getSett('meta.scores_description'))
            ->setTitle($aGame['text']['title'])
            ->assign(array(
                'aGame' => $aGame,
                'bRatingOn' => true,
                'bCommentOn' => (SAA_Sys::getSett('comment.on_score_pg') ? true : false)
        ));
    }
}
?>
