<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Leaderboard Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Leaderboard extends SAA_Controller
{
    /**
     * Controller preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('public')->load();
    }

    /**
     * Controller loader
     */
    public function load()
    {
        $iTimes = SAA_Sys::getSett('leaderboard.times_played_limit');
        $iPlayers = SAA_Sys::getSett('leaderboard.records_held_limit');

        $this->template()
                ->setHeader(SAA_Sys::getSett('meta.leaderboard_title'), true)
                ->setDescription(SAA_Sys::getSett('meta.leaderboard_description'))
                ->assign(array(
                    'aTopGames' => SAA_Sys::getModel('game')->timesPlayed($iTimes),
                    'aTopPlayers' => SAA_Sys::getModel('user')->topPlayers($iPlayers)
                ));

    }
}
?>
