<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Login Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Login extends SAA_Controller
{
    /**
     * Controller Preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('public')->load();
    }

    /**
     * Controller Loader
     */
    public function load()
    {
        $oSession = SAA_Sys::getLib('session');

        if( SAA_Sys::isUser() )
        {
            if( ($sCrumb = $this->request()->get('crumb')) )
            {
                if( ($sRedirect = $this->url()->getCrumb($sCrumb)) )
                {
                    $this->url()->send($sRedirect);
                }
            }

            $this->url()->send('');
        }

        if( !SAA_Sys::getSett('user.can_login') )
        {
            $this->url()->send('');
        }

        $iTimes = (int) $oSession->get('login_attempted');
        $iLastAttempt = (int) $oSession->get('login_attempted_time');

        $bAttempts = (SAA_Sys::getSett('user.max_login_attempts') > $iTimes || (SAA_TIME > SAA_Sys::getSett('user.login_lockout_time')*60 + $iLastAttempt));

        if( SAA_Sys::getSett('user.max_login_attempts') > $iTimes || (SAA_TIME > SAA_Sys::getSett('user.login_lockout_time')*60 + $iLastAttempt) )
        {
            if( ($aLogin = $this->request()->getArray('aLogin')) )
            {
                if( SAA_Sys::getModel('user.process')->login($aLogin, $iTimes) )
                {
                    $oSession->delete('login_attempted');

                    if( ($sCrumb = $this->request()->get('crumb')) )
                    {
                        if( ($sRedirect = $this->url()->getCrumb($sCrumb)) )
                        {
                            $this->url()->send($sRedirect);
                        }
                    }

                    $this->url()->send('');
                }

                $iTimes = $iTimes + 1;

                $oSession->set('login_attempted', $iTimes);
                $oSession->set('login_attempted_time', SAA_TIME);
            }
        }

        if( SAA_Sys::getSett('user.sign_up_on_login') )
        {
            $aSetting = SAA_Sys::getSett('user.sign_up_questions');

            if( ($iCnt = count($aSetting)) )
            {
                $sKey = array_rand($aSetting);

                $this->template()->assign(array(
                    'sQuestion' => $sKey,
                    'sQuestionHash' => $this->url()->encodeBase64($sKey)
                ));
            }
        }

        $this->template()
            ->setHeader(SAA_Sys::getSett('meta.login_title'))
            ->setDescription(SAA_Sys::getSett('meta.login_description'))
            ->assign(array(
                'bAttempts' => (SAA_Sys::getSett('user.max_login_attempts') > $iTimes || (SAA_TIME > SAA_Sys::getSett('user.login_lockout_time')*60 + $iLastAttempt))
            ));
    }
}
?>
