<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Profile Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Profile_Index extends SAA_Controller
{
    /**
     * Controller Preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('public')->load();
    }

    /**
     * Controller Loader
     */
    public function load()
    {
        if( ($iId = $this->request()->get('user')) )
        {
            if( !($aProfile = SAA_Sys::getModel('user')->get($iId)) )
            {
                return SAA_Error::add(SAA_Sys::getPhrase('profile.the_profile_you_are_looking_for_cannot_be_found'));
            }
        }

        $this->template()
            ->setHeader(SAA_Sys::getSett('meta.profile_title'), true)
            ->setDescription(SAA_Sys::getSett('meta.profile_description'))
            ->assign(array(
                'bRatingOn' => (SAA_Sys::getModel('rating')->isEnabled('game') ? true : false),
                'aProfile' => $aProfile
            ));
    }
}
?>
