<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Stats Index Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_Stats_Index extends SAA_Controller
{
    /**
     * Controller Loader
     */
    public function load()
    {
		header("content-type: text/xml");

		if( ($iPage = $this->request()->get('page')) )
		{
			$aGames = SAA_Sys::getLib('database')
				->select('g.*, ge.source_type, ge.source_id')
				->from('game', 'g')
				->join('game_extra', 'ge', 'ge.game_id = g.game_id')
				->limit(250, $iPage)
				->get('rows');

			$this->template()
				->assign(array(
					'aGames' => $aGames,
					'iPage' => $iPage
			));
		}
		else
		{
			$iGames = SAA_Sys::getModel('game.stats')->getTotal();

			$this->template()
				->assign(array(
					'iGames' => $iGames,
					'iPages' => ceil($iGames/250),
					'iPlays' => SAA_Sys::getModel('game.stats')->totalPlays(),
					'iScores' => SAA_Sys::getModel('score')->totalScores(),
					'iUsers' => SAA_Sys::getModel('user')->total()
			));
		}
    }
}
?>
