<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name User Account Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_User_Account extends SAA_Controller
{
    /**
     * Controller Preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('public')->load();
    }

    /**
     * Controller Loader
     */
    public function load()
    {
        if( !SAA_Sys::isUser() )
        {
            $this->url()->sendWithCrumb();
        }

        if( ($aForm = $this->request()->get('aForm')) )
        {
            if( SAA_Sys::getModel('user.process')->edit($aForm) )
            {
                $this->url()->send('user.account', null, SAA_Sys::getPhrase('account.account_information_has_been_updated'));
            }
        }

        $this->template()
            ->setHeader(SAA_Sys::getSett('meta.account_title'), true)
            ->setDescription(SAA_Sys::getSett('meta.account_description'))
            ->assign(array(
                'aLanguages' => SAA_Sys::getLib('language')->getLanguages(true),
                'aThemes' => SAA_Sys::getLib('theme')->getThemes()
        ));
    }
}
?>
