<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name User Validate Controller
 * @license GoLevel LLC
 */

Class SAA_Controller_User_Validate extends SAA_Controller
{
    /**
     * Controller Preloader
     */
    public function preload()
    {
        SAA_Sys::getModel('public')->load();
    }

    /**
     * Controller Loader
     */
    public function load()
    {
        if( SAA_Sys::isUser() )
        {
            $this->url()->send('');
        }

        if( ($sHash = $this->request()->get('token')) && ($sEmail = $this->request()->get('user')) )
        {
            $sEmail = $this->url()->decodeBase64($sEmail);
            $sHash = $this->url()->decodeBase64($sHash);

            if( SAA_Sys::getModel('user.process')->activeAccount($sEmail, $sHash) )
            {
                $this->url()->send('', null, SAA_Sys::getPhrase('user.your_account_has_been_activated'));
            }
        }

        $this->template()
            ->setHeader(SAA_Sys::getSett('meta.validate_title'), true)
            ->setDescription(SAA_Sys::getSett('meta.validate_description'));
    }
}
?>
