<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ad Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Ad extends SAA_Model
{
    /**
     * Class Constructor
     */
    public function  __construct()
    {

    }

    /**
     * Get a given ad
     *
     * @param int $iAd
     * @return array
     */
    public function get($iAd)
    {
        return $this->database()
            ->select('*')
            ->from('ad')
            ->where('ad_id = '. (int) $iAd)
            ->get('row');
    }

    /**
     * Get all ads
     *
     * @return array
     */
    public function getAll()
    {
        return $this->database()
            ->select('*')
            ->from('ad')
            ->get('rows');
    }

    /*
     * Get ads for public page
     *
     * @return array
     */
    public function getForPublic()
    {
        $aRows = $this->database()
            ->select('*')
            ->from('ad')
            ->where('is_active = 1')
            ->group('location')
            ->order('RAND()')
            ->key('location')
            ->get('rows');

        $aAds = array();

        foreach($aRows as $sLocation => $aRow)
        {
            $aAds[$sLocation] = $aRow['html_code'];
        }

        return $aAds;
    }
}
?>
