<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Ad Process Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Ad_Process extends SAA_Model
{
    /**
     * Class Constructor
     */
    public function  __construct()
    {

    }

    /**
     * Adds an ad
     *
     * @param array $aVal
     * @return mixed
     */
    public function add($aVal)
    {
        $aSql = array(
            'ad_name' => $aVal['ad_name'],
            'type_id' => 0,
            'location' => $aVal['location'],
            'is_active' => 1,
            'html_code' => $aVal['html_code']
        );

        $iId = $this->database()->insert('ad', $aSql);

        if( !$iId )
        {
            return false;
        }

        return $iId;
    }

    /**
     * Removes menu item and all of its children
     *
     * @param int $iId
     */
    public function delete($iId)
    {
        $this->database()->delete('ad', 'ad_id = '. (int) $iId);

        return true;
    }

    /**
     * Updates ad data
     * 
     * @param array $aVal
     * @param array $aAd
     */
    public function edit($aVals, $aAd)
    {
        $aSql = array(
            'ad_name' => $aVals['ad_name'],
            'type_id' => 0,
            'location' => $aVals['location'],
            'html_code' => $aVals['html_code']
        );

        $this->database()->update('ad', $aSql, 'ad_id = '. (int) $aAd['ad_id']);

        return true;
    }

    /**
     * Turns an ad on/off
     *
     * @param int $iId
     * @param int $iToggle
     * @return bool
     */
    public function toggle($iId, $iToggle)
    {
        $this->database()->update('ad', array('is_active' => $iToggle), 'ad_id = '. (int) $iId);

        return true;
    }
}
?>
