<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Admin extends SAA_Model
{
    /**
     * Class Constructor
     */
    public function  __construct()
    {

    }

    /**
     * Preloader for all admin controllers
     */
    public function preload()
    {
		SAA_Sys::ping();

        if( !SAA_Sys::isAdmin() )
        {
            if( SAA_Sys::isUser() )
            {
                SAA_Sys::getLib('url')->send('');
            }
            else
            {
                SAA_Sys::getLib('url')->sendWithCrumb('login');
            }
        }

        SAA_Sys::setViewError('admin/frame/error' . SMARTY_EXT); //set the error template

        SAA_Sys::getLib('template')
            ->setInheritance('admin/frame/main')
            ->setHeader(array(
                    SAA_Sys::getSett('global.site_name'),
                    'Admin Control Panel'
                    ));
    }

    /**
     * Get the news feed from standalonearcade.com
     */
    public function getFeed()
    {
        $aFeed = SAA_Sys::getLib('xml.parser')->parse('http://standalonearcade.com/saa-rss.php?ref=' . urlencode(SAA_Sys::getSett('url.path')), false);
        $aFeed = $aFeed['rss']['channel'];

        foreach($aFeed['item'] as $i => $aItem)
        {
            $aFeed['item'][$i]['description'] = str_replace('[...]', '[<a href="'.$aItem['link'].'">...</a>]', $aItem['description']);
        }

        return $aFeed;
    }
}
?>
