<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Controller Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Admin_Controller extends SAA_Model
{
    private $_aControllers = array();

    public function  __construct()
    {
        $sCache = 'controller_list';

        if( !($this->_aControllers = $this->cache()->get($sCache)) )
        {

            $this->_getControllers();

            $this->cache()->create($sCache, $this->_aControllers, '+600');
        }
    }

    public function getControllers()
    {
        return $this->_aControllers;
    }

    /**
     * Gets a list of all controllers
     *
     * @return array
     */
    private function _getControllers()
    {
        $aControllers = SAA_Sys::getLib('file')->getFilesAll(SAA_APP_CONTROLLER, '.php', true);

        foreach($aControllers as $sFile)
        {
            $sController = str_replace(array(SAA_APP_CONTROLLER, '.class.php'), '', $sFile);

            $sClass = SAA_CLASS_PREFIX . 'Controller_';
            $aClass = explode(DS, $sController);

            foreach($aClass as $sPart)
            {
                $sClass .= ucfirst($sPart) . '_';
            }

            $sClass = rtrim($sClass, '_');

            if( strpos(file_get_contents($sFile), $sClass) === false )
            {
                continue;
            }

            $this->_aControllers[] = str_replace(DS, '.', $sController);
        }

        sort($this->_aControllers);
    }
}
?>
