<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Category Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Category extends SAA_Model
{
    /**
     * Class Constructor
     */
    public function  __construct()
    {

    }

    /**
     * Gets a category by id or slug
     *
     * @param mixed $mKey
     * @param bool $bById
     * @return array
     */
    public function get($mKey, $bById = false)
    {
        return $this->database()
            ->select('*')
            ->from('category')
            ->where(($bById ? 'category_id' : 'slug') .' = "'. $this->database()->esc($mKey) . '"')
            ->get('row');
    }

    /**
     * Gets all categories
     *
     * @return array
     */
    public function getAll()
    {
	return $this->database()
            ->select('*')
            ->from('category')
            ->order('ordering', 'ASC')
            ->get('rows');
    }

    /**
     * Gets all categories and prepares array into tab list
     *
     * @return array
     */
    public function getAllForList()
    {
        $aList = array();
        $aCategories = $this->getAll();

        $i = 0;
        $iKey = 0;

        foreach($aCategories as $aCategory)
        {
            if( $i++ % 10 == 0 )
            {
                $iKey++;
            }

            $aList[$iKey][] = $aCategory;
        }

        return $aList;
    }

    /**
     * Gets the categories from game type sources
     *
     * @return array
     */
    public function getFromSource()
    {
        $aCategories = array();

        $aTypes = SAA_Sys::getModel('game.type')->getCategoryMaps();

        foreach($aTypes as $iType => $aMaps)
        {
            foreach($aMaps as $sTitle => $sName)
            {
                $aCategories[$sTitle][$iType] = $sName;
            }
        }

        ksort($aCategories);

        return $aCategories;
    }
}
?>
