<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Feed Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Feed extends SAA_Model
{
    /**
     * Class Constructor
     */
    public function  __construct()
    {

    }

    /**
     * Get the feeds
     *
     * @param int $iPg
     * @param int $iPgSize
     */
    public function getAll($iPg, $iPgSize)
    {
        $aFeeds = array();
        $aWhere = array();

        if( SAA_Sys::getSett('achievement.is_on') && SAA_Sys::getSett('feed.achievements') )
        {
            $aWhere[] = 'type_id = "game.achievement" OR';
        }

        if( SAA_Sys::getSett('comment.is_enabled') && SAA_Sys::getSett('feed.comments') )
        {
            $aWhere[] = 'type_id LIKE "comment_%" OR';
        }

        if( SAA_Sys::getSett('score.scores_on') && SAA_Sys::getSett('feed.best_scores') )
        {
            $aWhere[] = 'type_id = "score" OR';
        }

        if( $aWhere )
        {
            $this->database()->where($aWhere);
        }

        $iCnt = $this->database()
            ->select('COUNT(*)')
            ->from('feed')
            ->get('column');

        if( $aWhere )
        {
            $this->database()->where($aWhere);
        }

        $aRows = $this->database()
            ->select('*')
            ->from('feed')
            ->order('time_stamp', 'DESC')
            ->limit($iPgSize, $iPg)
            ->get('rows');

        foreach($aRows as $aFeed)
        {
            $aRow = $aFeed;

            if( !is_null($aFeed['content']) )
            {
                $aRow = array_merge(unserialize($aFeed['content']), $aRow);
            }

            $aRow['text'] = $this->getCallBack($aRow['type_id'], $aRow);

            if( !$aRow['text'] )
            {
                continue;
            }

            $aFeeds[] = $aRow;
        }

        return array($iCnt, $aFeeds);
    }

    /**
     * Get info via callback for a given item
     *
     * @param string $sType
     * @param array $aItem
     * @return mixed
     */
    public function getCallBack($sType, $aItem)
    {
        $aType = explode('_', $sType);

        $sModel = $aType[0];

        if( count($aType) > 1 )
        {
            return SAA_Sys::getModel($sModel . '.callback')->getFeed($aItem, $aType[1]);
        }
        else
        {
            return SAA_Sys::getModel($sModel . '.callback')->getFeed($aItem);
        }
    }

    /*
     * Preforms all callbacks to other model classes
     */
    public function  __call($sMethod, $aArgs)
    {
        
    }
}
?>