<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Game Achievement Callback Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Game_Achievement_Callback extends SAA_Model
{
    /**
     * Class Constructor
     */
    public function  __construct()
    {

    }

    /**
     * Gets the text for the feed
     *
     * @param array $aItem
     * @return mixed
     */
    public function getFeed($aItem)
    {
        $aRow = $this->database()
                ->select('ua.*, ga.title as award_title, lgp.text as game_title, g.slug as game_slug, '.SAA_Sys::getModel('user')->getUserFields('u'))
                ->from('user_award', 'ua')
                ->join('user', 'u', 'u.user_id = ua.user_id')
                ->join('game_award', 'ga', 'ga.award_id = ua.award_id')
                ->join('game', 'g', 'g.game_id = ua.game_id')
                ->join('language_game_phrase', 'lgp', 'lgp.game_id = ua.game_id AND lgp.var_name = "title" AND lgp.language_id = '. (int) SAA_Sys::getLib('language')->getDefault())
                ->where('ua.item_id = '. (int) $aItem['item_id'])
                ->get('row');

        if( !$aRow )
        {
            return false;
        }

        $sGameUrl = SAA_Sys::getLib('url')->makeUrl(array('controller' => 'game', 'vars' => $aRow['game_slug']));

        $sText = SAA_Sys::getLib('language')->getPhrase('game.user_earned_the_award_achievement_for_game', array(
            'user' => SAA_Sys::getModel('user')->getName($aRow),
            'award' => $aRow['award_title'],
            'game' => '<a href="'.$sGameUrl.'">'.$aRow['game_title'].'</a>'
        ));

        return $sText;
    }
}
?>
