<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Game Favorite Process Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Game_Favorite_Process extends SAA_Model
{
    /**
     * Adds a game favorite for a given user
     * 
     * @param int $iGame
     * @param int $iUser
     * @return bool
     */
    public function add($iGame, $iUser)
    {
        $iId = $this->database()->insert('game_favorite', array(
            'game_id' => (int) $iGame,
            'user_id' => (int) $iUser
        ));

        if( !$iId )
        {
            return false;
        }

        $this->database()->updateCounter('game', 'total_favorites', '+', 1, 'game_id = '. (int) $iGame);

        return true;
    }

    /**
     * Removes a game favorite for a given user
     * 
     * @param int $iGame 
     * @param int $iUser
     * @return bool
     */
    public function delete($iGame, $iUser)
    {
        $this->database()->delete('game_favorite', 'user_id = '. (int) $iUser .' AND game_id = '. $iGame);

        $this->database()->updateCounter('game', 'total_favorites', '-', 1, 'game_id = '. (int) $iGame);

        return true;
    }
}
?>
