<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Game Link Process Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Game_Link_Process extends SAA_Model
{
    /**
     * Adds a static game link
     *
     * @param string $sLink
     * @return mixed
     */
    public function add($sLink)
    {
        $aParse = parse_url($sLink);

        $iId = $this->database()->insert('game_link', array(
            'game_link' => $aParse['scheme'] . '://' . $aParse['host']
        ));

        if( !$iId )
        {
            return false;
        }

        SAA_Sys::getModel('game.link')->append($iId, $sLink);

        $this->clearCache();

        return $iId;
    }

    /**
     * Remove the game link cache
     */
    public function clearCache()
    {
        $this->cache()->remove('game_link_id');
    }
}
?>
