<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Game Scoring Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Game_Scoring extends SAA_Model
{
    /**
     * Class Constructor
     */
    public function  __construct()
    {

    }

    /**
     * Get scoring hash(s) for a given game
     *
     * @param int $iId
     * @return array
     */
    public function get($iId)
    {
        $aScoring = array();

        $aRows = $this->database()
            ->select('s.scoring_hash, t.game_type_id')
            ->from('game_scoring', 's')
            ->join('game_type', 't', 't.game_type_id = s.scoring_type')
            ->where('s.game_id = ' . (int) $iId)
            ->get('rows');

        foreach($aRows as $aRow)
        {
            $aScoring[$aRow['game_type_id']] = $aRow['scoring_hash'];
        }

        return $aScoring;
    }

    /**
     * Gets scoring hash(s) for a set of given games and appends them to provided array
     *
     * @param array $aGames
     * @return array
     */
    public function getForMultiple($aGames)
    {
        $aIds = array();
        $sIn = '';

        foreach($aGames as $i => $aGame)
        {
            $aIds[$aGame['game_id']] = $i;

            $sIn .= (int) $aGame['game_id'] . ', ';
        }

        $sIn = rtrim(trim($sIn), ',');

        $aRows = $this->database()
            ->select('*')
            ->from('game_scoring')
            ->where('game_id IN('.$sIn.')')
            ->get('rows');

        foreach($aRows as $aRow)
        {
            $i = $aIds[$aRow['game_id']];

            $aGames[$i]['scoring_info'][] = $aRow;
        }

        return $aGames;
    }
}
?>
