<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Game Stats Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Game_Stats extends SAA_Model
{
    /**
     * Class Constructor
     */
    public function  __construct()
    {

    }

    /**
     * Gets the first score by time_scored
     *
     * @return array
     */
    public function firstScore()
    {
        return $this->database()
                    ->select('*')
                    ->from('score')
                    ->order('time_scored', 'DESC')
                    ->limit(1)
                    ->get('row');
    }

    /**
     * Gets the total number of games
     * 
     * @return int
     */
    public function getTotal()
    {
        return $this->database()
                ->select('COUNT(*)')
                ->from('game')
                ->get('column');
    }

    /**
     * Gets the largest game id
     *
     * @return int
     */
    public function largestGameId()
    {
        return $this->database()
                ->select('game_id')
                ->from('game')
                ->order('game_id', 'DESC')
                ->get('column');
    }

	/**
     * Gets the total number of game plays
     *
     * @return string
     */
    public function totalPlays()
    {
        return $this->database()
            ->select('SUM(total_plays)')
            ->from('game')
            ->get('column');
    }
}
?>
