<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Game Tag Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Game_Tag extends SAA_Model
{
    /**
     * Class Constructor
     */
    public function  __construct()
    {

    }

    /**
     * Get tags for a given game
     *
     * @param int $iId
     * @return array
     */
    public function get($iId)
    {
        $aTags = array();

        $aRows = $this->database()
            ->select('*')
            ->from('game_tag')
            ->where('game_id = ' . (int) $iId)
            ->get('rows');

        foreach($aRows as $aRow)
        {
            $aTags[] = $aRow['tag'];
        }

        return $aTags;
    }

    /**
     * Gets tags for a set of given games and appends them to provided array
     *
     * @param array $aGames
     * @param int $iLimit
     * @return array
     */
    public function getForMultiple($aGames, $iLimit = 0)
    {
        $aIds = array();
        $sIn = '';

        foreach($aGames as $i => $aGame)
        {
            $aIds[$aGame['game_id']] = $i;

            $sIn .= (int) $aGame['game_id'] . ', ';
        }

        $sIn = rtrim(trim($sIn), ',');

        $aRows = $this->database()
            ->select('*')
            ->from('game_tag')
            ->where('game_id IN('.$sIn.')')
            ->order('RAND()')
            ->get('rows');

        foreach($aRows as $aRow)
        {
            $i = $aIds[$aRow['game_id']];

            if( isset($aGames[$i]['tags']) && $iLimit > 0 && count($aGames[$i]['tags']) >= $iLimit )
            {
                continue;
            }

            $aGames[$i]['tags'][] = $aRow['tag'];
        }

        return $aGames;
    }
}
?>
