<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Language Game Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Language_Game extends SAA_Model
{
    /**
     * Class Constructor
     */
    public function  __construct()
    {

    }

    /**
     * Get game phrase for either a given language or all languages
     *
     * @param int $iGame
     * @param int $iLanguage
     * @return array
     */
    public function getText($iGame, $iLanguage = null)
    {
        $aText = array();

        if( is_null($iLanguage) )
        {
            $aLanguages = SAA_Sys::getLib('language')->getLanguages();

            $aRows = $this->database()
                ->select('*')
                ->from('language_game_phrase')
                ->where('game_id = ' . (int) $iGame)
                ->get('rows');

            foreach($aRows as $aRow)
            {
                $aText[$aRow['var_name']][$aRow['language_id']] = $aRow['text'];
            }

            return $aText;
        }

        $aRows = $this->database()
            ->select('*')
            ->from('language_game_phrase')
            ->where('game_id = ' . (int) $iGame . ' AND language_id = '. (int) $iLanguage)
            ->get('rows');

        foreach($aRows as $aRow)
        {
            $aText[$aRow['var_name']] = $aRow['text'];
        }

        return $aText;
    }

    /**
     * Gets phrases for a set of games for either a given language or all languages
     *
     * @param array $aGames
     * @param int $iLanguage
     * @return array
     */
    public function getTexts($aGames, $iLanguage = null)
    {
        $aIds = array();
        $sIn = '';

        foreach($aGames as $i => $aGame)
        {
            $aIds[$aGame['game_id']] = $i;

            $sIn .= (int) $aGame['game_id'] . ', ';
        }

        $sIn = rtrim(trim($sIn), ',');

        $aWhere = array();
        $aWhere[] = 'game_id IN('.$sIn.') AND';

        if( $iLanguage )
        {
            $aWhere[] = 'language_id = '. (int) $iLanguage;
        }

        $aRows = $this->database()
            ->select('*')
            ->from('language_game_phrase')
            ->where('game_id IN('.$sIn.')')
            ->get('rows');

        foreach($aRows as $aRow)
        {
            $i = $aIds[$aRow['game_id']];

            if( $iLanguage )
            {
                $aGames[$i]['text'][$aRow['var_name']] = $aRow['text'];
            }
            else
            {
                $aGames[$i]['text'][$aRow['var_name']][$aRow['language_id']] = $aRow['text'];
            }
        }

        return $aGames;
    }
}
?>
