<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Language Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Language extends SAA_Model
{
    /**
     * Class Contructor
     */
    public function  __construct()
    {

    }

    /**
     * Get a language by id
     *
     * @param int $iLanguage
     * @return array
     */
    public function get($iLanguage)
    {
        return $this->database()
            ->select('*')
            ->from('language')
            ->where('language_id = '. (int) $iLanguage)
            ->get('row');
    }

    /**
     * Gets all languages
     *
     * @param bool $bSimple when true, returned array will consist of the id as key and title as value
     * @return array
     */
    public function getAll($bSimple = false)
    {
        $aLanguages = $this->database()
            ->select('*')
            ->from('language')
            ->order('title')
            ->get('rows');

        if( !$bSimple )
        {
            return $aLanguages;
        }

        $aSimple = array();
        foreach($aLanguages as $aLanguage)
        {
            $aSimple[$aLanguage['language_id']] = $aLanguage['title'];
        }

        return $aSimple;
    }

	/**
     * Gets the default language id
     *
     * @return int
     */
	public function getDefaultId()
	{
		return $this->database()
            ->select('language_id')
            ->from('language')
			->where('is_default = 1')
            ->get('column');
	}
}
?>
