<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Rating Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Rating extends SAA_Model
{
    /**
     * Determines if the rating for the given item type is enabled/disabled
     * 
     * @param string $sType
     * @return bool
     */
    public function isEnabled($sType)
    {
        if( !SAA_Sys::getSett('rating.can_rate') )
        {
            return false;
        }

        if( SAA_Sys::getModel($sType. '.callback')->isRatingEnabled() )
        {
            return true;
        }

        return false;
    }

    /**
     * Gets any related phrases for a given type
     * 
     * @param string $sType
     * @return mixed 
     */
    public function getAjax($sType)
    {
        return SAA_Sys::getModel($sType. '.callback')->getRatingAjax();
    }

    /**
     * Gets the database structure for a given type
     * 
     * @param string $sType
     * @return mixed 
     */
    public function getDb($sType)
    {
        return SAA_Sys::getModel($sType. '.callback')->getRatingDb();
    }

    /**
     * Sets the given database query relating to a rating
     *
     * @param string $sTbl
     * @param string $sJoin
     * @param string $sPrefix
     */
    public function getRowQuery($sTbl, $sJoin = '', $sPrefix = 'r')
    {
        $this->database()
            ->select('r.rate_id, r.rating, ')
            ->leftjoin($sTbl, $sPrefix, $sJoin);
    }
}
?>