<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Score Callback Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Score_Callback extends SAA_Model
{
    /**
     * Class Constructor
     */
    public function  __construct()
    {

    }

    /**
     * Gets the text for the feed
     *
     * @param array $aItem
     * @return mixed
     */
    public function getFeed($aItem)
    {
        $aRow = $this->database()
                ->select('sh.*, lgp.text as game_title, g.slug as game_slug, g.scoring_prefix, '.SAA_Sys::getModel('user')->getUserFields('u'))
                ->from('score_high', 'sh')
                ->join('user', 'u', 'u.user_id = sh.user_id')
                ->join('game', 'g', 'g.game_id = sh.game_id')
                ->join('language_game_phrase', 'lgp', 'lgp.game_id = sh.game_id AND lgp.var_name = "title" AND lgp.language_id = '. (int) SAA_Sys::getLib('language')->getDefault())
                ->where('sh.score_id = '. (int) $aItem['item_id'])
                ->get('row');

        if( !$aRow )
        {
            return false;
        }

        $sGameUrl = SAA_Sys::getLib('url')->makeUrl(array('controller' => 'game', 'vars' => $aRow['game_slug']));

        /**
         * First Score
         */
        if( $aItem['score_type'] == 1 )
        {
            $sText = SAA_Sys::getLib('language')->getPhrase('score.user_has_just_recorded_the_best_score_of_score_for_game', array(
                'user' => SAA_Sys::getModel('user')->getName($aRow),
                'score' => $aRow['high_score'] . ($aRow['scoring_prefix'] ? ' ' . $aRow['scoring_prefix'] : ''),
                'game' => '<a href="'.$sGameUrl.'">'.$aRow['game_title'].'</a>'
            ));
        }
        /**
         * New Score
         */
        else
        {
            $oUser = SAA_Sys::getModel('user');
            $aOld = $oUser->get($aItem['old_user_id']);

            if( $aOld['user_id'] == $aRow['user_id'] )
            {
                $sPhrase = ($aRow['gender'] ? 'score.user_has_just_defeated_her_old_s_record_at_game_with_a_score_of_score' : 'score.user_has_just_defeated_his_old_s_record_at_game_with_a_score_of_score');

                $sText = SAA_Sys::getLib('language')->getPhrase($sPhrase, array(
                    'user' => $oUser->getName($aRow),
                    'score' => $aRow['high_score'] . ($aRow['scoring_prefix'] ? ' ' . $aRow['scoring_prefix'] : ''),
                    'game' => '<a href="'.$sGameUrl.'">'.$aRow['game_title'].'</a>'
                ));
            }
            else
            {
                $sText = SAA_Sys::getLib('language')->getPhrase('score.user_has_just_defeated_old_user_s_record_at_game_with_a_score_of_score', array(
                    'user' => $oUser->getName($aRow),
                    'old_user' => $oUser->getName($aOld),
                    'score' => $aRow['high_score'] . ($aRow['scoring_prefix'] ? ' ' . $aRow['scoring_prefix'] : ''),
                    'game' => '<a href="'.$sGameUrl.'">'.$aRow['game_title'].'</a>'
                ));
            }
        }

        return $sText;
    }
}
?>
