<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Setting Group Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Setting_Group extends SAA_Model
{
    public function  __construct()
    {

    }

    /*
     * Get setting group by either setting_group_id or group_id
     * 
     * @param mixed mGroup 
     * @param bool bById
     * @return array
     */
    public function get($mGroup, $bById = false)
    {
        return $this->database()
            ->select('*')
            ->from('setting_group')
            ->where(($bById ? 'setting_group_id = '. (int) $mGroup : 'group_id = "'.$this->database()->esc($mGroup).'"'))
            ->get('row');
    }

    /*
     * Get all setting groups
     *
     * @return array
     */
    public function getAll()
    {
        return $this->database()
            ->select('*')
            ->from('setting_group')
            ->order('ordering')
            ->get('rows');
    }

    /*
     * Get settings groups using array of group_ids
     *
     * @param array aGroups array of group_id
     * @return array
     *
     */
    public function getMultiple($aGroups)
    {
        $sWhere = '';

        foreach($aGroups as $sGroup)
        {
            $sWhere .= '"'.$this->database()->esc($sGroup).'",';
        }

        $sWhere = rtrim(trim($sWhere), ',');

        return $this->database()
            ->select('*')
            ->from('setting_group')
            ->where(($sWhere ? 'group_id IN('.$sWhere.')' : '1'))
            ->get('rows');
    }

    /*
     * Get all settings groups where the key is group_id and the group_name is the value
     */
    public function getForSelect()
    {
        $aSelect = array();

        $aGroups = $this->getAll();

        foreach($aGroups as $aGroup)
        {
            $aSelect[$aGroup['group_id']] = $aGroup['group_name'];
        }

        return $aSelect;
    }
}
?>
