<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Setting Group Process Class
 * @license GoLevel LLC
 */

Class SAA_Model_Setting_Group_Process extends SAA_Model
{
    /**
     * Class Contructor
     */
    public function  __construct()
    {

    }

    /**
     * Adds a setting group
     *
     * @param array $aVal
     * @return mixed
     */
    public function add($aVal)
    {
        $aVal['group_id'] = strtolower($aVal['group_id']);

        if( !strlen(trim($aVal['group_name'])) )
        {
            SAA_Error::add('Group name does not exist.');
        }

        if( !strlen(trim($aVal['group_id'])) )
        {
            SAA_Error::add('Group Id does not exist.');
        }
        elseif( SAA_Sys::getModel('setting.group')->get($aVal['group_id']) )
        {
            SAA_Error::add('Group Id already exists.');
        }

        if( SAA_Error::get() )
        {
            return false;
        }

        $aSql = array(
            'group_name' => $this->parse()->removeTags($aVal['group_name']),
            'group_id' => $this->parse()->removeTags($aVal['group_id']),
            'js_actions' => $aVal['js_actions'],
            'ordering' => $this->database()->getExtremeVal('setting_group', 'ordering') + 1
        );

        $iId = $this->database()->insert('setting_group', $aSql);

        if( !$iId )
        {
            return false;
        }

        return true;
    }

    /**
     * Removes a group setting
     *
     * @param int $iId
     * @return bool
     */
    public function delete($iId)
    {
        $aGroup = SAA_Sys::getModel('setting.group')->get($iId, true);

        if( !$aGroup )
        {
            return false;
        }

        $this->database()->delete('setting_group', 'setting_group_id = '. (int) $iId);

        return true;
    }

    /**
     * Edit a setting groups
     *
     * @param array $aVal
     * @param array $aGroup
     * @return bool
     */
    public function edit($aVal, $aGroup)
    {
        if( !strlen(trim($aVal['group_name'])) )
        {
            SAA_Error::add('Group name does not exist.');
        }

        if( SAA_Error::get() )
        {
            return false;
        }

        $aSql = array(
            'group_name' => $this->parse()->removeTags($aVal['group_name']),
            'js_actions' => $aVal['js_actions'],
        );

        $this->database()->update('setting_group', $aSql, 'setting_group_id = '. (int) $aGroup['setting_group_id']);

        return true;
    }

    /*
     * Sorts the ordering of the setting groups
     */
    public function saveOrder($aVal)
    {
        foreach($aVal['group'] as $iGroup => $iOrder)
        {
            $this->database()->update('setting_group', array('ordering' => $iOrder), 'setting_group_id = '. (int) $iGroup);
        }

        return true;
    }
}
?>
