<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Theme Model Class
 * @license GoLevel LLC
 */

Class SAA_Model_Theme extends SAA_Model
{
    /**
     * Class Constructor
     */
    public function  __construct()
    {

    }

    /**
     * Gets a given theme
     * 
     * @param int $iId
     * @return array
     */
    public function get($iId)
    {
        return $this->database()
            ->select('*')
            ->from('theme')
            ->where('theme_id = '. (int) $iId)
            ->get('row');
    }

    /**
     * Gets all themes
     *
     * @param bool $bActive
     * @return array
     */
    public function getAll($bActive = true)
    {
        if( $bActive )
        {
            $this->database()->where('is_active = 1');
        }

        return $this->database()
            ->select('*')
            ->from('theme')
            ->key('theme_id')
            ->get('rows');
    }

	/**
     * Gets the default theme id
     *
     * @return int
     */
	public function getDefaultId()
	{
		return $this->database()
            ->select('theme_id')
            ->from('theme')
			->where('is_default = 1')
            ->get('column');
	}

    public function findThemes()
    {
        $oFile = SAA_Sys::getLib('file');

        $aFolders = array(
            SAA_APP_VIEW,
            SAA_APP_VIEW_AJAX,
            SAA_DESIGN_THEME);

        $aThemes = array();

        foreach($aFolders as $sFolder)
        {
            $aDirs = $oFile->getFolders($sFolder);

            foreach($aDirs as $sDir)
            {
                $aThemes[$sDir] = $sDir;
            }
        }

        ksort($aThemes);

        return $aThemes;
    }
}
?>
