<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Category Add View
 * @license GoLevel LLC
 */
?>

{block "header"}

<script type="text/javascript">
function validateForm()
{
    bPass = true;

    $('.js_category_text').each(function()
    {
        if( $(this).val() == '' )
        {
            SAA.error.add('Please enter text for ' + $(this).parents('tr:first').find('.col_left').text() +'.');
            bPass = false;
        }
    } );

    if( !bPass )
    {
        SAA.error.show(false, 'div');
    }

    return bPass;
}

$(function()
{
    $('input:submit').button();
    $('.js_mapping_tabs').buttonset();
    $('#mapping_tabs').tabs();
} );
</script>

{/block}

{block "body"}

<form method="POST" action="{url link='admin.category.add'}" id="js_category_form" onsubmit="return validateForm();">
    <table class="details">
        <tr>
            <th class="table_top_left">Category Details</th>
            <th class="table_top_right"></th>
        </tr>
    {foreach $aLanguages as $iLanguage => $sLanguage}
        <tr>
            <td class="col_left">{$sLanguage}</td>
            <td class="col_right">{input type="text" name="aForm[text][{$iLanguage}]" size="50" maxlen="100" class="js_category_text"}</td>
        </tr>
    {/foreach}
        <tr>
            <td class="col_left">Mapped to</td>
            <td class="col_right">
                <div id="mapping_tabs">
                    <ul>
                    {foreach $aGameTypes as $aGameType}
                        <li><a href="#mapping_tabs-{$aGameType.game_type_id}">{$aGameType.game_type_title}</a></li>
                    {/foreach}
                    </ul>
                    {foreach $aTabs as $iGameType => $aMaps}
                    <div id="mapping_tabs-{$iGameType}" class="js_mapping_tabs">
                        {foreach $aMaps as $aMap}
                            {input type="checkbox" name="aForm[map][{$aMap.map_id}]" default="0" id="js_mapping_{$aMap.map_id}"} <label for="js_mapping_{$aMap.map_id}">{$aMap.map_title}</label><br/>
                        {/foreach}
                    </div>
                    {/foreach}
                </div>
            </td>
        </tr>
    </table>
    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Create"/>
    </div>
</form>
{/block}