<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Category Edit View
 * @license GoLevel LLC
 */
?>

{block "header"}

<script type="text/javascript">
function validateForm()
{
    bPass = true;

    $('.js_category_text').each(function()
    {
        if( $(this).val() == '' )
        {
            SAA.error.add('Please enter text for ' + $(this).parents('tr:first').find('.details_l').text() +'.');
            bPass = false;
        }
    } );

    if( $('#js_category_slug').val() == '' )
    {
        SAA.error.add('Please enter a url slug.');
        bPass = false;
    }

    if( !bPass )
    {
        SAA.error.show(false, 'div');
    }

    return bPass;
}

$(function()
{
    $('input:submit').button();
    $('.js_mapping').buttonset();
    $('#mapping_tabs').tabs();

    $("#js_category_slug").focusout(function()
    {
        ajaxProcess('category.uniqueUrl', $("#js_category_slug").serialize() + '&' + $("#js_category_id").serialize());
    } );
} );
</script>

{/block}

{block "body"}

<form method="POST" action="{url link='admin.category.edit' id=$aCategory.category_id}" id="js_category_form" onsubmit="return validateForm();">
    {input type="hidden" name="aForm[category_id]" default=$aCategory.category_id id="js_category_id"}
    <table class="details">
        <tr>
            <th class="table_top_left">Category Details</th>
            <th class="table_top_right"></th>
        </tr>
    {foreach $aLanguages as $iLanguage => $aLanguage}
        <tr>
            <td class="col_left">{$aLanguage.title}</td>
            <td class="col_right">{input type="text" name="aForm[text][{$iLanguage}]" default=$aLanguage.default size="50" maxlen="100" class="js_category_text"}</td>
        </tr>
    {/foreach}
        <tr>
            <td class="col_left">Url Slug</td>
            <td class="col_right">{input type="text" name="aForm[slug]" default=$aCategory.slug size="50" maxlen="100" id="js_category_slug"} <span id="js_category_slug_msg" style="display: none"><i>Url is already in use.</i></span></td>
        </tr>
        <tr>
            <td class="col_left">Mapped to <br/><i>(Select the game type categories to map)</i></td>
            <td class="col_right">
                <div id="mapping_tabs">
                    <ul>
                    {foreach $aGameTypes as $aGameType}
                        <li><a href="#mapping_tabs-{$aGameType.game_type_id}">{$aGameType.game_type_title}</a></li>
                    {/foreach}
                    </ul>
                    {foreach $aTabs as $iGameType => $aMaps}
                    <div id="mapping_tabs-{$iGameType}" class="js_mapping">
                        {foreach $aMaps as $aMap}
                        {input type="checkbox" name="aForm[map][{$aMap.map_id}]" id="js_mapping_{$aMap.map_id}" default=$aMap.default value=1} <label for="js_mapping_{$aMap.map_id}">{$aMap.map_title}</label><br/>
                        {/foreach}
                    </div>
                    {/foreach}
                </div>
            </td>
        </tr>
    </table>

    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Change"/>
    </div>
</form>
{/block}