<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Category Index View
 * @license GoLevel LLC
 */
?>

{block "header"}

{if count($aList)}
<style>
    {$sCssElements} { margin: 0 5px 5px 5px; padding: 5px; cursor:pointer; }
    {$sCssElements2} { }
</style>
<script type="text/javascript">
$(function()
{
    var iInCue = 0;

    $("input:button").button();

    $('{$sJsElements}').sortable(
    {
        cursor: 'pointer',
        tolerance: 'pointer'
    } ).disableSelection();

    var $tabs = $('#tabs').tabs();
    var $tab_items = $('ul:first li', $tabs ).droppable(
    {
        tolerance: 'pointer',
        accept: ".js_sortable_connected li",
        hoverClass: 'ui-state-hover',
        drop: function(event, ui)
        {
            var $item = $(this);
            var $list = $( $item.find('a').attr('href') ).find('.js_sortable_connected');

            ui.draggable.hide('fast', function()
            {
                $tabs.tabs('select', $tab_items.index( $item ) );
                $(this).appendTo( $list ).show('slow');
            } );
        }
    } );

    $('#dialog-message').dialog(
    {
        autoOpen: false,
        title: 'Confirm Deletion',
        modal: true,
        resizable: false,
        buttons:
        {
            'Yes': function()
            {
                $('#js_loading').find('span').html('Deleting...');

                ajaxProcess('category.delete', 'id=' + iInCue, { loading: "#js_loading" });

                $('#js_category_' + iInCue).remove();
                $(this).dialog("close");
            },
            'No': function()
            {
                $(this).dialog("close");
            }
        }
    } );

    $('.js_category_delete').click(function ()
    {
        oLi = $(this).parents('li:first');

        iInCue = extractId(oLi, 'js_category_');

        $('#dialog-message').html('Are you sure you want to delete the category "'+ oLi.find('span').text() +'"?');
        $('#dialog-message').dialog('open');
    } );

    $('.js_category_edit').click(function ()
    {
        window.location.href = $(this).attr('id');
    } );

    $('#js_sort_menu_actions').mouseout(function ()
    {
        $("#js_sort_menu_actions").hide();
    } );

    $('#js_save_order').click(function ()
    {
        aOrder = new Array();

        $('.js_category').each(function (i)
        {
            aOrder[i] = extractId($(this), 'js_category_');
        } );

        $('#js_loading').find('span').html('Saving...');

        ajaxProcess('category.editOrder', $.param({ 'aOrder': aOrder }), { loading: "#js_loading" });
    } );
} );
</script>
{/if}

{/block}
{block "body"}

{if count($aList)}

<div id="js_loading" style="display: none;">
    <img src="{url theme='images.admin' file='loader-circle-small.gif'}"><span></span>
</div>

<div id="tabs">
    <ul>
        {foreach $aList as $iPage => $aCategory}
        <li style="width:50px"><a href="#tabs-{$iPage}">{$iPage}</a></li>
        {/foreach}
    </ul>
    {foreach $aList as $iPage => $aCategories}
    <div id="tabs-{$iPage}">
        <ul id="sortable{$iPage}" class="js_sortable_connected  ui-helper-reset">
        {foreach $aCategories as $aCategory}
            <li class="ui-state-default js_category" id="js_category_{$aCategory.category_id}">
                <span class="f_left">{phrase var=$aCategory.name}</span>
                <div class="f_right">
                    <span class="f_left ui-icon ui-icon-wrench js_category_edit" id="{url link='admin.category.edit' id=$aCategory.category_id}"></span>
                    <span class="f_right ui-icon ui-icon-trash js_category_delete"></span>
                    <div class="clear"></div>
                </div>
                <div class="clear"></div>
            </li>
        {/foreach}
        </ul>
    </div>
    {/foreach}
</div>
<div class="table_bottom"><input type="button" name="save" value="Save" id="js_save_order"/></div>

{else}
<div class="goodBox">
    <span></span> <strong>Create a category <a href="{url link='admin.category.add'}">here.</a></strong>
</div>
{/if}

{/block}