<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Game Add View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
var bIsChanged = false;
var aSelected = { };
var iSelected = 0;
var aGameType = {};

{foreach $aGameTypes as $iType => $aType}
    aGameType[{$iType}] = '{$aType.game_type_title}';
{/foreach}

function scoringHash()
{
    aIds = { };
    sOptions = '';

    $('.js_scoring_hash').each(function()
    {
        iId = extractId($(this), 'js_scoring_');

        aIds[iId] = 1;
    });

    for(var i in aGameType)
    {
        if( !aIds[i] )
        {
            sOptions = sOptions + '<option value="'+ i +'">'+ aGameType[i] +'</option>';
        }
    }

    if( sOptions == '' )
    {
        $("#js_scoring_hash_add_btn").hide();
    }
    else
    {
        sOptions = '<option value=""></option>' + sOptions;

        $("#js_scoring_hash_add_btn").show();
        $("#js_game_type").html(sOptions);
    }

}

function storeCategories()
{
    aSelected = { };
    iSelected = $('.js_category').size();
    $('.js_category').each(function()
    {
        if( this.checked )
        {
            iKey = $(this).val();
            aSelected[iKey] = true;
        }
    });
}

function validateForm()
{
    bPass = true;

    if( $('#js_type_option :selected').val() == '' )
    {
        SAA.error.add('Please select a game type.');
        bPass = false;
    }

    $('.js_title').each(function()
    {
        if( $(this).val() == '' )
        {
            SAA.error.add('Please enter text for ' + $(this).parents('tr:first').find('.col_left').text() +'.');
            bPass = false;
        }
    } );

    if( $('#js_height').val() == '' )
    {
        SAA.error.add('Please provide a height for the flash file.');
        bPass = false;
    }

    if( $('#js_width').val() == '' )
    {
        SAA.error.add('Please provide a width for the flash file.');
        bPass = false;
    }

    if( $('#url_slug').val() == '' )
    {
        SAA.error.add('Please provide a url slug.');
        bPass = false;
    }

    if( !bPass )
    {
        SAA.error.show(false, 'div');
    }

    return bPass;

}

function showBtn(sId, bAction)
{
    if( bAction )
    {
        $(sId).show();
    }
    else
    {
        $(sId).hide();
    }
}

$(function()
{
    storeCategories();
    scoringHash();

    $("input:submit").button();
    $("#js_form").buttonset();
    $("#js_category_adv").hide();
    $(".js_mapping").hide();
    showBtn('#js_scoring_hash_add_btn', false);

    $("#section-tabs").tabs(
    {
        select: function(event, ui)
        {
            if( ui.index == 3 )
            {
                scoringHash();
            }
            else
            {
                $("#js_scoring_hash_add_btn").hide();
            }
        }
    });

    $("#url_slug").bind('input propertychange', function()
    {
        if( this.value.match(/[^a-zA-Z0-9_-]/g) )
        {
            this.value = this.value.replace(/[^a-zA-Z0-9_-]/g, '');
        }

        ajaxProcess('game.uniqueSlug', 'slug=' + $("#url_slug").val(), { loading: "#js_slug_search" });
    });

    $("#js_height, #js_width").keyup(function()
    {
        if( this.value.match(/[^0-9]/g) )
        {
            this.value = this.value.replace(/[^0-9]/g, '');
        }
    });

    $("#add-scoring-hash").dialog(
    {
        autoOpen: false,
        height: 150,
        width: 350,
        modal: true,
        buttons:
        {
            "Add Hash": function()
            {
                sOption = $('#js_game_type option:selected');

                if( sOption.val() == "" )
                {
                    alert("Please select a game type.");

                    return false;
                }

                sRow = '<tr class="js_scoring_hash" id="js_scoring_'+ sOption.val() +'">' +
                    '<td class="col_left">Hash ID ('+ sOption.text() +')</td>' +
                    '<td class="col_right">' +
                        '<input type="text" name="aForm[scoring_hash]['+ sOption.val() +']" size="50" maxlen="32" value="'+ $('#js_game_hash').val() +'"/> <span onclick="if( confirm(\'Are you sure?\') ) { $(this).parents(\'tr:first\').remove(); scoringHash(); }"><img src="'+ oSett.sImageFolder + 'icons/cancel.png"></span>'+
                    '</td>' +
                '</tr>';

                $('#section-scoring').find('table').append(sRow);

                scoringHash();

                $(this).dialog("close");
            },
            Cancel: function()
            {
                $("#js_game_type")[0].selectedIndex = 0;
                $("#js_game_hash").val('');
                $(this).dialog("close");
            }
        },
        close: function()
        {
            $("#js_game_type")[0].selectedIndex = 0;
            $("#js_game_hash").val('');
        }
    });

    $("#js_category_adv_btn").click(function()
    {
        if( $("#js_category_adv").is(':visible') )
        {
            $(this).html('Show Advanced');
            bShow = false;
        }
        else
        {
            $(this).html('Hide Advanced');
            bShow = true;
        }

        $("#js_category_adv").toggle(bShow);
    });

    $("#js_scoring_hash_add_btn").click(function()
    {
        $("#add-scoring-hash").dialog("open");
    });

    $(".js_game_hash_remove").click(function ()
    {
        if( confirm('Are you sure?') )
        {
            $(this).parents('tr:first').remove();

            scoringHash();
        }
    });

    $("#js_type_option").change(function()
    {
        $(".js_mapping").hide();

        if( $(this).val() > 0 )
        {
            $("#mapping_tabs-" + $(this).val()).show();
        }
    });
});
</script>

{/block}

{block "body"}

<div id="add-scoring-hash" title="Add Scoring Hash">
    <table class="details">
        <tr>
            <td class="col_left">Game Type</td>
            <td class="col_right">
                <select id="js_game_type">
                    <option value=""></option>
                {foreach $aGameTypes as $iType => $aType}
                    <option value="{$iType}">{$aType.game_type_title}</option>
                {/foreach}
                </select>
        </tr>
        <tr>
            <td class="col_left">Hash</td>
            <td class="col_right">{input type="text" id="js_game_hash" size="20" maxlen="32"}</td>
        </tr>
    </table>
</div>

<div class="errBox" id="js_url_slug_msg" style="display:none;"><span></span> <strong> Please select a url slug that is not in use.</strong></div>

<div id="section-tabs">
    <ul>
        <li><a href="#section-general">General</a></li>
        <li><a href="#section-text">Text</a></li>
        <li><a href="#section-category">Category</a></li>
        <li><a href="#section-scoring">Scoring</a></li>
        <li><a href="#section-file">Files</a></li>
    </ul>
    <form method="POST" action="{url link='admin.game.add'}" enctype="multipart/form-data" id="js_form" onsubmit="return validateForm();">
    <div id="section-general" style="padding:0px">
        <table class="tab">
            <tr>
                <td class="col_left">Is Featured?</td>
                <td class="col_right">
                    {input type="radio" name="aForm[is_featured]" value=1 id="featured_yes" default=0} <label for="featured_yes">Yes</label>
                    {input type="radio" name="aForm[is_featured]" value=0 id="featured_no" default=0} <label for="featured_no">No</label>
                </td>
            </tr>
            <tr>
                <td class="col_left">Type</td>
                <td class="col_right">
                    {input type="select" name="aForm[type]" options=$aTypeOption id="js_type_option"}
                </td>
            </tr>
            <tr>
                <td class="col_left">Has Scoring?</td>
                <td class="col_right">
                    {input type="radio" name="aForm[scoring]" value=1 id="scoring_yes" default=0} <label for="scoring_yes">Yes</label>
                    {input type="radio" name="aForm[scoring]" value=0 id="scoring_no" default=0} <label for="scoring_no">No</label>
                </td>
            </tr>
            <tr>
                <td class="col_left">Url Slug</td>
                <td class="col_right">{input type="text" name="aForm[slug]" size="30" maxlen="250" id="url_slug"} <span id="js_slug_search" style="display: none;"><img src="{url theme='images.admin' file='loader-circle-small.gif'}"/></span></td>
            </tr>
            <tr>
                <td class="col_left">Height</td>
                <td class="col_right">{input type="text" name="aForm[height]" size="4" maxlen="4" id="js_height"}</td>
            </tr>
            <tr>
                <td class="col_left">Width</td>
                <td class="col_right">{input type="text" name="aForm[width]" size="4" maxlen="4" id="js_width"}</td>
            </tr>
            <tr>
                <td class="col_left">Tags (separate with commas)</td>
                <td class="col_right">{input type="textarea" name="aForm[tags]" cols="60" rows="5"}</td>
            </tr>
        </table>
    </div>
    <div id="section-text" style="padding:0px">
        <table class="tab">
        {foreach $aLanguages as $iLanguage => $sLanguage}
            <tr>
                <td class="col_left">Title ({$sLanguage})</td>
                <td class="col_right">{input type="text" name="aForm[title][{$iLanguage}]" size="50" maxlen="100" class="js_title"}</td>
            </tr>
        {/foreach}
        {foreach $aLanguages as $iLanguage => $sLanguage}
            <tr>
                <td class="col_left">Description ({$sLanguage})</td>
                <td class="col_right">{input type="textarea" name="aForm[description][{$iLanguage}]" cols="60" rows="5"}</td>
            </tr>
        {/foreach}
        {foreach $aLanguages as $iLanguage => $sLanguage}
            <tr>
                <td class="col_left">Direction ({$sLanguage})</td>
                <td class="col_right">{input type="textarea" name="aForm[direction][{$iLanguage}]" cols="60" rows="5"}</td>
            </tr>
        {/foreach}
        </table>
    </div>
    <div id="section-category" style="padding:0px">
        <table class="tab">
            <tr>
                <td class="col_left">Categories</td>
                <td class="col_right">
                    <div style="padding:5px">
                {foreach $aCategories as $aCategory}
                        <div class="{if $aCategory@iteration % 2 == 1}f_left{else}f_right{/if}">
                            <input type="checkbox" name="aForm[category][]" value="{$aCategory.category_id}" id="category_{$aCategory.category_id}" class="js_category"> <label for="category_{$aCategory.category_id}">{phrase var=$aCategory.name}</label><br/>
                        </div>
                    {if $aCategory@iteration % 2 == 0}<div class="clear"></div>{/if}
                {/foreach}
                {if count($aCategories) % 2 == 1}<div class="clear"></div>{/if}
                    </div>
                </td>
            </tr>
        </table>
        <div class="spacer"></div>
        <div align="center"><a href="#" id="js_category_adv_btn" class="p_4">Show Advanced</a></div>
        <div class="spacer"></div>
        <table class="tab" id="js_category_adv">
            <tr>
                <td class="col_left">Mapped Categories</td>
                <td class="col_right">
                    <div style="padding:5px">
                {foreach $aCategoryMapTabs as $iGameType => $aMaps}
                        <div id="mapping_tabs-{$iGameType}" class="js_mapping">
                            {foreach $aMaps as $aMap}
                            <div class="{if $aMap@iteration % 2 == 1}f_left{else}f_right{/if}">
                                {input type="checkbox" name="aForm[map][]" id="js_mapping_{$aMap.map_id}" default=$aMap.map_id} <label for="js_mapping_{$aMap.map_id}">{$aMap.map_title}</label><br/>
                            </div>
                                {if $aMap@iteration % 2 == 0}<div class="clear"></div>{/if}
                            {/foreach}
                            {if count($aMaps) % 2 == 1}<div class="clear"></div>{/if}
                        </div>
                {/foreach}
                    </div>
                </td>
            </tr>
        </table>
    </div>
    <div id="section-scoring" style="padding:0px">
        <table class="tab">
            <tr>
                <td class="fill" colspan="2" align="center">
                    <div class="errBox">
                        <strong> Warning: Only include scoring bridge(s) if scoring hash is known.</strong>
                    </div>
                </td>
            </tr>
        </table>
    </div>
    <div id="section-file" style="padding:0px">
        <table class="tab">
            <tr>
                <td class="col_left">Image</td>
                <td class="col_right">
                    <input id="file_image" name="file_image" type="file" />
                </td>
            </tr>
            <tr>
                <td class="col_left">Game File</td>
                <td class="col_right">
                    <input id="file_game" name="file_game" type="file" />
                </td>
            </tr>
        </table>
    </div>
    <div class="table_bottom">
        <a href="#" id="js_scoring_hash_add_btn">Add Hash</a>
        <input type="submit" name="aForm[submit]" value="Add Game"/>
    </div>
    </form>
</div>
{/block}