<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Game Edit View
 * @license GoLevel LLC
 */
?>
{block "header"}
<link href="{url theme="css.uploader" file="uploadify.css"}" type="text/css" rel="stylesheet" />
<script type="text/javascript" src="{url folder='design.static.js' file='uploader.js'}"></script>

<script type="text/javascript">
var bIsChanged = false;
var aSelected = { };
var iSelected = 0;
var aGameType = {};
var iPg = 0;

{foreach $aGameTypes as $iType => $aType}
    aGameType[{$iType}] = '{$aType.game_type_title}';
{/foreach}

window.onbeforeunload = leavePage;

function leavePage()
{
    if( bIsChanged )
    {
        return 'All changes to the game will be lost. Are you sure you want to Leave this page?';
    }
}

function loadAchievements(iPage)
{
    if( typeof(iPage) != 'undefined' )
    {
        iPg = iPage;
    }

    ajaxProcess('achievement.forGameAdmin', { page:iPg, game_id:{$aGame.game_id} }, { loading:'#js_achievements_loading', hide:'#js_achievements' });
}

function isChanged()
{
    bIsChanged = true;
}

function scoringHash()
{
    aIds = { };
    sOptions = '';

    $('.js_scoring_hash').each(function()
    {
        iId = extractId($(this), 'js_scoring_');

        aIds[iId] = 1;
    });

    for(var i in aGameType)
    {
        if( !aIds[i] )
        {
            sOptions = sOptions + '<option value="'+ i +'">'+ aGameType[i] +'</option>';
        }
    }

    if( sOptions == '' )
    {
        $("#js_scoring_hash_add_btn").hide();
    }
    else
    {
        sOptions = '<option value=""></option>' + sOptions;

        $("#js_scoring_hash_add_btn").show();
        $("#js_game_type").html(sOptions);
    }

}

function storeCategories()
{
    aSelected = { };
    iSelected = $('.js_category').size();
    $('.js_category').each(function()
    {
        if( this.checked )
        {
            iKey = $(this).val();
            aSelected[iKey] = true;
        }
    });
}

function save()
{
    aCheck = { };
    iCheck = $('.js_category').size();

    bCheck = true;

    if( iCheck == iSelected )
    {
        $('.js_category').each(function()
        {
            iKey = $(this).val();

            if( this.checked )
            {
                aCheck[iKey] = true;

                if( !aSelected[iKey] )
                {
                    bCheck = false;
                }
            }
            else if( aSelected[iKey] )
            {
                bCheck = false;
            }
        });
    }
    else
    {
        bCheck = false;
    }

    if( !bCheck )
    {
        $("#js_category_manual").val("1");
    }
    else
    {
        $("#js_category_manual").val("0");
    }

    ajaxProcess('game.edit', $("#js_form").serialize(), { loading: "#js_form_saving" });

    bIsChanged = false;

    return false;
}

$(function()
{
    storeCategories();
    scoringHash();
    {if $aGame.scoring}loadAchievements(1);{/if}

    $("input:submit").button();
    $("#js_form").buttonset();
    $("#js_category_adv").hide();
    $("#js_scoring_hash_add_btn").hide();

    $("#section-tabs").tabs(
    {
        select: function(event, ui)
        {
            if( ui.index == 3 )
            {
                scoringHash();
            }
            else
            {
                $("#js_scoring_hash_add_btn").hide();
            }
        }
    });

    $("#js_form input, #js_form textarea").change(function()
    {
        isChanged();
    })

    $("#add-scoring-hash").dialog(
    {
        autoOpen: false,
        height: 200,
        width: 350,
        modal: true,
        buttons:
        {
            "Add Hash": function()
            {
                sOption = $('#js_game_type option:selected');

                if( sOption.val() == "" )
                {
                    alert("Please select a game type.");

                    return false;
                }

                sRow = '<tr class="js_scoring_hash" id="js_scoring_'+ sOption.val() +'">' +
                    '<td class="col_left">Hash ID ('+ sOption.text() +')</td>' +
                    '<td class="col_right">' +
                        '<input type="text" name="aForm[scoring_hash]['+ sOption.val() +']" size="50" maxlen="32" value="'+ $('#js_game_hash').val() +'"/> <span onclick="if( confirm(\'Are you sure?\') ) { $(this).parents(\'tr:first\').remove(); scoringHash(); }"><img src="'+ oSett.sImageFolder + 'icons/cancel.png"></span>'+
                    '</td>' +
                '</tr>';

                $('#section-scoring').find('table').append(sRow);

                scoringHash();
                isChanged();

                $(this).dialog("close");
            },
            Cancel: function()
            {
                $("#js_game_type")[0].selectedIndex = 0;
                $("#js_game_hash").val('');
                $(this).dialog("close");
            }
        },
        close: function()
        {
            $("#js_game_type")[0].selectedIndex = 0;
            $("#js_game_hash").val('');
        }
    });

{if $aGame.scoring}
    $('#achievement_image').uploadify(
    {
        'buttonText'  : 'New Image',
        'cancelImg': '{url theme="images.admin.icons" file="cancel.png"}',
        'uploader': oSett.sUrl + 'design/static/swf/uploader/uploadify.swf',
        'script': '{url link="admin.game.uploader" sForceUserHash=$sForceHash}',
        'folder': oSett.sUrl + 'application/file/cache',
        'fileExt': '*.jpg;*.gif;*.png',
        'auto': true,
        'onComplete'  : function(event, ID, fileObj, response, data)
        {
            eval(response);
        },
        'onError': function (event, ID, fileObj, errorObj)
        {
            SAA.error.show('An error occurred while attempting to import the image file.');
        },
        'onSelectOnce': function()
        {
            $('#achievement_image').uploadifySettings('scriptData', oUploadVars);
        }
    });

    $("#edit-achievement").dialog(
    {
        autoOpen: false,
        height: 350,
        width: 500,
        modal: true,
        buttons:
        {
            "Save": function()
            {
                oEdit =
                {
                    id: $('#edit-achievement-id').val(),
                    title: $('#edit-achievement-title').val(),
                    description: $('#edit-achievement-description').val(),
                }

                ajaxProcess('achievement.edit', oEdit);
            },
            Cancel: function()
            {
                $(this).dialog("close");
            }
        },
        close: function()
        {
            loadAchievements();
        }
    });
{/if}

    $("#js_category_adv_btn").click(function()
    {
        if( $("#js_category_adv").is(':visible') )
        {
            $(this).html('Show Advanced');
            bShow = false;
        }
        else
        {
            $(this).html('Hide Advanced');
            bShow = true;
        }

        $("#js_category_adv").toggle(bShow);
    });

    $("#js_scoring_hash_add_btn").click(function()
    {
        $("#add-scoring-hash").dialog("open");
    });

    $(".js_game_hash_remove").click(function ()
    {
        if( confirm('Are you sure?') )
        {
            $(this).parents('tr:first').remove();

            scoringHash();
        }
    });
});
</script>

{/block}

{block "body"}

<div class="goodBox" id="js_form_saving" style="display: none;">
    <img src="{url theme='images.admin' file='loader-circle-small.gif'}"> <strong> Saving....</strong>
</div>

<div id="add-scoring-hash" title="Add Scoring Hash">
    <table class="details">
        <tr>
            <td class="col_left">Game Type</td>
            <td class="col_right">
                <select id="js_game_type">
                    <option value=""></option>
                {foreach $aGameTypes as $iType => $aType}
                    <option value="{$iType}">{$aType.game_type_title}</option>
                {/foreach}
                </select>
            </td>
        </tr>
        <tr>
            <td class="col_left">Hash</td>
            <td class="col_right">{input type="text" id="js_game_hash" size="20" maxlen="32"}</td>
        </tr>
    </table>
</div>

{if $aGame.scoring}
<div id="edit-achievement" title="Edit Achievement" style="display:none;">
    {input type="hidden" id="edit-achievement-id"}
    <table class="details">
        <tr>
            <td class="col_left">Title</td>
            <td class="col_right">{input type="text" id="edit-achievement-title"}</td>
        </tr>
        <tr>
            <td class="col_left">Image</td>
            <td class="col_right">
                <div id="edit-achievement-image"></div>
                <input id="achievement_image" name="achievement_image" type="file" />
            </td>
        </tr>
        <tr>
            <td class="col_left">Description</td>
            <td class="col_right">{input type="textarea" id="edit-achievement-description" cols="45" rows="6"}</td>
        </tr>
    </table>
</div>
{/if}

<div id="section-tabs">
    <ul>
        <li><a href="#section-general">General</a></li>
        <li><a href="#section-text">Text</a></li>
        <li><a href="#section-category">Category</a></li>
        {if $aGame.scoring}
        <li><a href="#section-scoring">Scoring</a></li>
        <li><a href="#section-achievements">Achievements</a></li>
        {/if}
        <li><a href="#section-file">Files</a></li>
    </ul>
    <form method="POST" action="#" id="js_form" onsubmit="return save();">
        {input type="hidden" name="aForm[game_id]" default=$aGame.game_id}
        {input type="hidden" name="aForm[category_manual]" default=$aGame.category_manual id="js_category_manual"}
        <div id="section-general" style="padding:0px">
            <table class="tab">
                <tr>
                    <td class="col_left">Is Featured?</td>
                    <td class="col_right">
                        {input type="radio" name="aForm[is_featured]" value=true id="featured_yes" default=$aGame.is_featured} <label for="featured_yes">Yes</label>
                        {input type="radio" name="aForm[is_featured]" value=false id="featured_no" default=$aGame.is_featured} <label for="featured_no">No</label>
                    </td>
                </tr>
                <tr>
                    <td class="col_left">Total Plays</td>
                    <td class="col_right">{$aGame.total_plays}</td>
                </tr>
            {if $aGame.scoring}
                <tr>
                    <td class="col_left">Total Scores</td>
                    <td class="col_right">{$aGame.total_scores}</td>
                </tr>
            {/if}
                <tr>
                    <td class="col_left">Favorited</td>
                    <td class="col_right">{$aGame.total_favorites}</td>
                </tr>
                <tr>
                    <td class="col_left">Rating</td>
                    <td class="col_right">{$aGame.total_rating}</td>
                </tr>
                <tr>
                    <td class="col_left">Total Votes</td>
                    <td class="col_right">{$aGame.total_votes}</td>
                </tr>
                <tr>
                    <td class="col_left">Total Comments</td>
                    <td class="col_right">{$aGame.total_comments}</td>
                </tr>
                <tr>
                    <td class="col_left">Tags (separate with commas)</td>
                    <td class="col_right">{input type="textarea" name="aForm[tags]" cols="60" rows="5" default=$aGame.tags_text}</td>
                </tr>
            </table>
        </div>
        <div id="section-text" style="padding:0px">
            <table class="tab">
            {foreach $aLanguages as $iLanguage => $sLanguage}
                <tr>
                    <td class="col_left">Title ({$sLanguage})</td>
                    <td class="col_right">{input type="text" name="aForm[title][{$iLanguage}]" size="50" maxlen="100" default=$aGame.text.title.$iLanguage}</td>
                </tr>
            {/foreach}
            {foreach $aLanguages as $iLanguage => $sLanguage}
                <tr>
                    <td class="col_left">Description ({$sLanguage})</td>
                    <td class="col_right">{input type="textarea" name="aForm[description][{$iLanguage}]" cols="60" rows="10" default=$aGame.text.description.$iLanguage}</td>
                </tr>
            {/foreach}
            {foreach $aLanguages as $iLanguage => $sLanguage}
                <tr>
                    <td class="col_left">Direction ({$sLanguage})</td>
                    <td class="col_right">{input type="textarea" name="aForm[direction][{$iLanguage}]" cols="60" rows="10" default=$aGame.text.direction.$iLanguage}</td>
                </tr>
            {/foreach}
            </table>
        </div>
        <div id="section-category" style="padding:0px">
            <table class="tab">
                <tr>
                    <td class="col_left">Categories</td>
                    <td class="col_right">
                        <div style="padding:5px">
                    {foreach $aCategories as $aCategory}
                            <div class="{if $aCategory@iteration % 2 == 1}f_left{else}f_right{/if}">
                                <input type="checkbox" name="aForm[category][]" value="{$aCategory.category_id}" id="category_{$aCategory.category_id}" {if in_array($aCategory.category_id, $aGame.categories)}checked{/if} class="js_category"> <label for="category_{$aCategory.category_id}">{phrase var=$aCategory.name}</label><br/>
                            </div>
                        {if $aCategory@iteration % 2 == 0}<div class="clear"></div>{/if}
                    {/foreach}
                    {if count($aCategories) % 2 == 1}<div class="clear"></div>{/if}
                        </div>
                    </td>
                </tr>
            </table>
            <div class="spacer"></div>
            <div align="center"><a href="#" id="js_category_adv_btn" class="p_4">Show Advanced</a></div>
            <div class="spacer"></div>
            <table class="tab" id="js_category_adv">
                <tr>
                    <td class="col_left">Mapped Categories</td>
                    <td class="col_right">
                        <div style="padding:5px">
                    {foreach $aCategoryMaps as $iMap => $aMap}
                            <div class="{if $aMap@iteration % 2 == 1}f_left{else}f_right{/if}">
                                <input type="checkbox" name="aForm[map][]" value="{$iMap}" id="category_map_{$iMap}" {if in_array($iMap, $aGame.maps)}checked{/if}> <label for="category_map_{$iMap}">{$aMap.map_title}</label><br/>
                            </div>
                        {if $aMap@iteration % 2 == 0}<div class="clear"></div>{/if}
                    {/foreach}
                    {if count($aCategoryMaps) % 2 == 1}<div class="clear"></div>{/if}
                        </div>
                    </td>
                </tr>
            </table>
        </div>
    {if $aGame.scoring}
        <div id="section-scoring" style="padding:0px">
            <table class="tab">
                <tr>
                    <td class="fill" colspan="2" align="center">
                        <div class="errBox">
                            <strong> Warning: Editing the following will change the scoring bridge.</strong>
                        </div>
                    </td>
                </tr>
            {foreach $aGame.scoring_info as $iType => $sScoringHash}
                <tr class="js_scoring_hash" id="js_scoring_{$iType}">
                    <td class="col_left">Hash ID ({$aGameTypes.$iType.game_type_title})</td>
                    <td class="col_right">
                        {input type="text" name="aForm[scoring_hash][{$iType}]" size="50" maxlen="32" default=$sScoringHash} <span onclick="if( confirm('Are you sure?') ) { $(this).parents('tr:first').remove(); scoringHash(); }"><img src="{url theme='images.admin.icons' file='cancel.png'}"></span>
                    </td>
                </tr>
            {/foreach}
            </table>
        </div>
        <div id="section-achievements" style="padding:0px;">
            <div id="js_achievements_loading" align="center" style="display:none;"><img src="{url theme='images.admin' file='loader-circle-large.gif'}"></div>
            <div id="js_achievements"></div>
        </div>
    {/if}
        <div id="section-file" style="padding:0px">
            <table class="tab">
                <tr>
                    <td class="fill" colspan="2" align="center">
                        <strong> <a href="{url link='admin.game.file' id=$aGame.game_id}">Upload new files here</a></strong>
                    </td>
                </tr>
            </table>
        </div>
        <div class="table_bottom">
            <a href="#" id="js_scoring_hash_add_btn" style="display:none;">Add Hash</a>
            <input type="submit" name="aForm[submit]" value="Save"/>
        </div>
    </form>
</div>
{/block}