<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Game Featured View
 * @license GoLevel LLC
 */
?>
{block "header"}

{if count($aList)}
<style>
    {$sCssElements} { margin: 0 5px 5px 5px; padding: 5px; cursor:pointer; }
    {$sCssElements2} { }
</style>
<script type="text/javascript">
$(function()
{
    var iInCue = 0;

    $("input:button").button();

    $('{$sJsElements}').sortable(
    {
        cursor: 'pointer',
        tolerance: 'pointer'
    } ).disableSelection();

    var $tabs = $('#tabs').tabs();
    var $tab_items = $('ul:first li', $tabs ).droppable(
    {
        tolerance: 'pointer',
        accept: ".js_sortable_connected li",
        hoverClass: 'ui-state-hover',
        drop: function(event, ui)
        {
            var $item = $(this);
            var $list = $( $item.find('a').attr('href') ).find('.js_sortable_connected');

            ui.draggable.hide('fast', function()
            {
                $tabs.tabs('select', $tab_items.index( $item ) );
                $(this).appendTo( $list ).show('slow');
            } );
        }
    } );

    $('#dialog-message').dialog(
    {
        autoOpen: false,
        title: 'Confirm Removal',
        modal: true,
        resizable: false,
        buttons:
        {
            'Yes': function()
            {
                ajaxProcess('game.deleteFeature', 'id=' + iInCue);
            },
            'No': function()
            {
                $(this).dialog("close");
            }
        }
    } );

    $('.js_game_delete').click(function ()
    {
        oLi = $(this).parents('li:first');

        iInCue = extractId(oLi, 'js_game_');

        $('#dialog-message').html('Are you sure you want to remove "'+ oLi.find('span').text() +'" from the featured games list?');
        $('#dialog-message').dialog('open');
    } );

    $('.js_game_edit').click(function ()
    {
        window.location.href = $(this).attr('id');
    } );

    $('#js_sort_menu_actions').mouseout(function ()
    {
        $("#js_sort_menu_actions").hide();
    } );

    $('#js_save_order').click(function ()
    {
        aOrder = new Array();

        $('.js_game').each(function (i)
        {
            aOrder[i] = extractId($(this), 'js_game_');
        } );

        ajaxProcess('game.orderFeature', $.param({ 'aOrder': aOrder }), { loading: "#js_order_form_loading" });
    } );
} );
</script>
{/if}

{/block}
{block "body"}

{if count($aList)}

<span id="js_order_form_msg"></span><br/>

<div id="tabs">
    <ul>
        {foreach $aList as $iPage => $aGames}
        <li style="width:50px"><a href="#tabs-{$iPage}">{$iPage}</a></li>
        {/foreach}
    </ul>
    {foreach $aList as $iPage => $aGames}
    <div id="tabs-{$iPage}">
        <ul id="sortable{$iPage}" class="js_sortable_connected  ui-helper-reset">
        {foreach $aGames as $aGame}
            <li class="ui-state-default js_game" id="js_game_{$aGame.game_id}">
                <span class="f_left">{$aGame.text.title}</span>
                <div class="f_right">
                    <span class="f_left ui-icon ui-icon-wrench js_game_edit" id="{url link='admin.game.edit' id=$aGame.game_id}"></span>
                    <span class="f_right ui-icon ui-icon-trash js_game_delete"></span>
                    <div class="clear"></div>
                </div>
                <div class="clear"></div>
            </li>
        {/foreach}
        </ul>
    </div>
    {/foreach}
</div>
<div class="table_bottom">
    <span id="js_order_form_loading" style="display: none;"><img src="{url theme='images.admin' file='loader-circle-small.gif'}"></span> <input type="button" name="save" value="Save" id="js_save_order"/>
</div>

{else}
<div class="goodBox">
    <span></span> <strong>There are no games that are featured.</strong>
</div>
{/if}

{/block}