<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Game Index View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
$(function()
{
    $("#js_search_form").buttonset();
    $("input:submit").button();

    $("#js_search_form").submit(function(event, bFromLink)
    {
        if( !bFromLink )
        {
            $('#js_search_page').val(1);
        }

        ajaxProcess('game.searchByAdmin', $(this).serialize(), { loading: "#js_search_form_loading" });

        return false;
    } );
} );

function triggerSearch(iPage)
{
    $('#js_search_page').val(iPage);
    $('#js_search_form').trigger('submit', true);
}
</script>

{/block}

{block "body"}
<form method="POST" action="#" id="js_search_form">
{input type="hidden" name="page" default=1 id="js_search_page"}
    <table class="filter">
        <tr>
            <th class="table_top_left">Search Games</th>
            <th class="table_top_right"></th>
        </tr>
        <tr>
            <td class="col_left">Type</td>
            <td class="col_right">
        {foreach $aGameTypes as $aType}
                {input type="checkbox" name="aForm[game_type][]" value=$aType.game_type_id id="game_type_{$aType.game_type_id}"} <label for="game_type_{$aType.game_type_id}">{$aType.game_type_title}</label>
        {/foreach}
            </td>
        </tr>
        <tr>
            <td class="col_left">Category</td>
            <td class="col_right">
                <select name="aForm[category_id]">
                    <option value=""></option>
                {foreach $aCategories as $aCategory}
                    <option value="{$aCategory.category_id}">{phrase var=$aCategory.name}</option>
                {/foreach}
                </select>
            </td>
        </tr>
        <tr>
            <td class="col_left">Title</td>
            <td class="col_right">{input type="text" name="aForm[title]" size="30"}</td>
        </tr>
        <tr>
            <td class="col_left">Scoring Enabled</td>
            <td class="col_right">
                {input type="radio" name="aForm[scoring]" value="yes" id="scoring_yes"} <label for="scoring_yes">Yes</label>
                {input type="radio" name="aForm[scoring]" value="no" id="scoring_no"} <label for="scoring_no">No</label>
            </td>
        </tr>
        <tr>
            <td class="col_left">Is featured?</td>
            <td class="col_right">
                {input type="checkbox" name="aForm[is_featured]" value="yes" id="game_is_featured"} <label for="game_is_featured">Yes</label>
            </td>
        </tr>
        <tr>
            <td class="col_left">Tag <i>(separate with commas)</i></td>
            <td class="col_right">{input type="text" name="aForm[tags]" size="30"}</td>
        </tr>
    </table>

    <div class="table_bottom">
        <span id="js_search_form_loading" style="display: none;"><img src="{url theme='images.admin' file='loader-circle-small.gif'}"></span> <input type="submit" name="aForm[submit]" value="Search"/>
    </div>
</form>

<br/>

<div style="width: 100%">
    <div id="js_content"></div>
</div>

{/block}