<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Game Remove View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
function removeGames()
{
    $("#js_form").hide();
    $("#js_content").show();

    ajaxProcess('game.deleteMass', $('#js_form').serialize());
}

$(function()
{
    $("#js_form").submit(function()
    {
        if( $('#js_total').val() == 0 )
        {
            if( confirm('Are you sure you want to remove these games?') )
            {
                removeGames();
            }
        }
        else
        {
            removeGames();
        }

        return false;
    } );

    $("#js_form").buttonset();
    $("input:submit").button();
} );
</script>

{/block}

{block "body"}

<div id="js_content" align="center" style="display: none">
    <div class="errorBox"><img src="{url theme='images.admin' file='loader-circle-small.gif'}"> Removing games. Please wait...</div>
</div>

<form method="POST" action="#" id="js_form">
{input type="hidden" name="aForm[total]" default=0 id="js_total"}
{input type="hidden" name="aForm[stage]" default='initial' id="js_stage"}
{input type="hidden" name="aForm[current]" default=0 id="js_current"}
{input type="hidden" name="aForm[page]" default=1 id="js_page"}
    <table class="filter">
        <tr>
            <th class="table_top_left">Removal Filter</th>
            <th class="table_top_right"></th>
        </tr>
        <tr>
            <td class="col_left">Type</td>
            <td class="col_right">
        {foreach $aGameTypes as $aType}
                {input type="checkbox" name="aForm[game_type][]" value=$aType.game_type_id id="game_type_{$aType.game_type_id}" class="js_game_type"} <label for="game_type_{$aType.game_type_id}">{$aType.game_type_title}</label>
        {/foreach}
            </td>
        </tr>
        <tr>
            <td class="col_left">Category</td>
            <td class="col_right" style="padding: 10px">
            {foreach $aCategories as $aCategory}
                <div class="{if $aCategory@iteration % 2 == 1}f_left{else}f_right{/if}">
                    {input type="checkbox" name="aForm[category][]" value=$aCategory.category_id id="game_category_{$aCategory.category_id}" class="js_category"} <label for="game_category_{$aCategory.category_id}">{phrase var=$aCategory.name}</label>
                </div>
                {if $aCategory@iteration % 2 == 0}<div class="clear"></div>{/if}
            {/foreach}
                {if count($aCategories) % 2 == 1}<div class="clear"></div>{/if}
            </td>
        </tr>
        <tr>
            <td class="col_left">Is a Scoring Game?</td>
            <td class="col_right">
                {input type="checkbox" name="aForm[scoring][]" value="yes" id="scoring_yes"} <label for="scoring_yes">Yes</label>
                {input type="checkbox" name="aForm[scoring][]" value="no" id="scoring_no"} <label for="scoring_no">No</label>
            </td>
        </tr>
    </table>

    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Remove"/>
    </div>
</form>

<br/>
{/block}