{block "header"}

<script type="text/javascript">
function toggleLanguage(iLanguage, sAction)
{
    if( $('#js_language_' + iLanguage).find('.js_default').is(":visible") && sAction == 'off' )
    {
        SAA.error.show('The language selected is the default. Language cannot be disabled.', 'dialog');
    }
    else
    {
        $('#js_language_loading_' + iLanguage).find('span').html('Saving');

        ajaxProcess('language.enableLanguage', 'id='+ iLanguage +'&action=' + sAction, { loading: '#js_language_loading_' + iLanguage, hide: '#js_language_' + iLanguage });
    }

    return false;
}

function makeDefault(iLanguage)
{
    if( $('#js_item_enable_' + iLanguage).is(":visible") )
    {
        SAA.error.show('The language must be enabled before it can be set as default.', 'dialog');
    }
    else
    {
        $('#js_language_loading_' + iLanguage).find('span').html('Saving');

        ajaxProcess('language.defaultLanguage', 'id='+ iLanguage, { loading: '#js_language_loading_' + iLanguage, hide: '#js_language_' + iLanguage });
    }

    return false;
}

$(function()
{
    $('.ui-state-default').hover(
        function()
        {
            $(this).addClass('ui-state-hover');
        },
        function()
        {
            $(this).removeClass('ui-state-hover');
        }
    );

    $('.jump').change(function()
    {
        sAction = $(this).find(":selected").text();

        if( sAction == 'Delete' )
        {
            if( $(this).closest('tr').find('.js_default').is(":visible") )
            {
                SAA.error.show('Default language cannot be deleted. Please select another language as the default in order to delete the selected language.', 'dialog');
            }
            else if( $('.jump').length == 1 )
            {
                SAA.error.show('Language cannot be deleted. At least one language is required.', 'dialog');
            }
            else if( confirm('Are you sure you want to delete this language?') )
            {
                iLanguage = $(this).val();

                $('#js_language_loading_' + iLanguage).find('span').html('Removing');

                ajaxProcess('language.deleteLanguage', 'id=' + iLanguage, { loading: '#js_language_loading_' + iLanguage, hide: '#js_language_' + iLanguage });
            }
        }
        else if( sAction == 'Edit' )
        {
            window.location.href = $(this).val();
        }
        else if( sAction == 'Export' )
        {
            window.location.href = $(this).val();
        }

        $(this).find(":selected").removeAttr('selected');
    });

});
</script>

{/block}

{block "body"}

<table class="list">
    <tr>
        <th></th>
        <th>Default</th>
        <th style="width: 60%">Language</th>
        <th style="width: 30%">Creator</th>
        <th>Action</th>
    </tr>
    <tbody class="ui-widget-content">
{foreach $aLanguages as $aLanguage}
    <tr id="js_language_loading_{$aLanguage.language_id}" style="display: none;">
        <td colspan="5">
            <img src="{url theme='images.admin' file='loader-circle-small.gif'}"> <span></span>
        </td>
    </tr>
    <tr id="js_language_{$aLanguage.language_id}">
        <td>
            <div class="ui-state-default ui-corner-all" {if !$aLanguage.is_enabled} style="display:none;"{/if} id="js_item_disable_{$aLanguage.language_id}">
                <a href="#" onclick="toggleLanguage({$aLanguage.language_id}, 'off');" title="Enabled">
                    <span class="ui-icon ui-icon-check"></span>
                </a>
            </div>
            <div class="ui-state-default ui-corner-all" {if $aLanguage.is_enabled} style="display:none;"{/if} id="js_item_enable_{$aLanguage.language_id}">
                <a href="#" onclick="toggleLanguage({$aLanguage.language_id}, 'on');" title="Disabled">
                    <span class="ui-icon ui-icon-close"></span>
                </a>
            </div>
        </td>
        <td align="center">
            <div class="js_default{if $aLanguage.is_default} is_default{/if}" {if !$aLanguage.is_default}style="display:none;"{/if} id="js_item_default_{$aLanguage.language_id}">
                <div class="ui-state-default ui-corner-all" style="width:16px;">
                    <span class="ui-icon ui-icon-check"></span>
                </div>
            </div>
            <div class="js_item_default" {if $aLanguage.is_default}style="display:none;"{/if} id="js_item_not_default_{$aLanguage.language_id}">
                <div class="ui-state-default ui-corner-all" style="width:16px;">
                    <a href="#" onclick="makeDefault({$aLanguage.language_id});" title="Make Default">
                        <span class="ui-icon ui-icon-bullet"></span>
                    </a>
                </div>
            </div>
        </td>
        <td>{$aLanguage.title}</td>
        <td>{$aLanguage.created_by|htmlify}</td>
        <td>
            <select class="jump">
                <option value=""></option>
                <option value="{url link='admin.language.edit' id=$aLanguage.language_id}">Edit</option>
                <option value="{url link='admin.language.export' id=$aLanguage.language_id}">Export</option>
                <option value="{$aLanguage.language_id}">Delete</option>
            </select>
        </td>
    </tr>
{foreachelse}
    <tr>
        <td colspan="4">
            <div class="errBox">
		<span></span> <strong>Please import a language here <a href="{url link='admin.language.import'}"></a></strong>
            </div>
        </td>
    </tr>
{/foreach}
    </tbody>
</table>

{/block}