<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Language Phrase Add View
 * @license GoLevel LLC
 */
?>

{block "header"}

<script type="text/javascript">
function validateForm()
{
    if( $('#js_language_section :selected').val() == '' )
    {
        SAA.error.add('Please choose a section.');
    }

    if( $('#js_language_name').val() == '' )
    {
        SAA.error.add('Please enter a phrase name.');
    }

    $('.js_language_text').each(function()
    {
        if( $(this).val() == '' )
        {
            SAA.error.add('Please enter text for ' + $(this).parents('tr:first').find('.col_left').text() +'.');
        }
    } );

    bPass = true;

    if( SAA.error.has() )
    {
        bPass = false;

        SAA.error.show();
    }

    return bPass;
}

$(function()
{
    $("input:submit").button();

    $("#js_language_name").focusout(function()
    {
        ajaxProcess('language.sanitizeVarName', $("#js_language_form").serialize());
    } );
} );
</script>

{/block}

{block "body"}
<form method="POST" action="{url link='admin.language.phrase.add'}" id="js_language_form" onsubmit="return validateForm();">
    <table class="details">
        <tr>
            <th class="table_top_left">Phrase Details</th>
            <th class="table_top_right"></th>
        </tr>
        <tr>
            <td class="col_left">Section</td>
            <td class="col_right">{input type="select" name="aForm[section_id]" default=$sSection options=$aSections id="js_language_section"}</td>
        </tr>
        <tr>
            <td class="col_left">Phrase Name</td>
            <td class="col_right">{input type="text" name="aForm[var_name]" size="30" maxlen="250" id="js_language_name"} <span id="js_language_name_msg" style="display: none"><i>Name has been sanitized.</i></span></td>
        </tr>
    {foreach $aLanguages as $iLanguage => $sLanguage}
        <tr>
            <td class="col_left">{$sLanguage}</td>
            <td class="col_right">{input type="textarea" name="aForm[text][{$iLanguage}]" cols="60" rows="5" class="js_language_text"}</td>
        </tr>
    {/foreach}
    </table>

    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Add"/>
    </div>
</form>

{/block}