<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Language Section Index View
 * @license GoLevel LLC
 */
?>

{block "header"}

<script type="text/javascript">
$(function()
{
    $('.jump').change(function()
    {
        sAction = $(this).find(":selected").text();

        if( sAction == 'Delete' )
        {
            iId = $(this).val();
            iPhrases = ajaxValueGet('language.deleteSectionCheck', 'id=' + iId);

            if( parseInt(iPhrases) > 0 )
            {
                sText = 'There are '+ iPhrases + ' phrases that are using the given section. Deleting the section will remove all these phrases. Are you sure?';
                $("#dialog-message").html(sText).dialog(
                {
                    resizable: false,
                    height: 200,
                    width: 400,
                    modal: true,
                    buttons:
                    {
                        "Yes": function()
                        {
                            ajaxProcess('language.deleteSection', 'id=' + iId, 'Deleting...');
                            $(this).dialog("close");
                        },
                        Cancel: function()
                        {
                            $(this).dialog("close");
                        }
                    }
                });
            }
            else if( confirm('Are you sure you want to delete this language section?') )
            {
                ajaxProcess('language.deleteSection', 'id=' + iId, 'Deleting...');
            }   
        }
        else if( sAction == 'Edit' )
        {
            window.location.href = $(this).val();
        }

        $(this).find(":selected").removeAttr('selected');
    } );

} );
</script>

{/block}

{block "body"}

<table class="list">
    <tr>
        <th class="list" style="width: 60%">Title</th>
        <th class="list" style="width: 30%">Name</th>
        <th class="list">Action</th>
    </tr>
    <tbody class="ui-widget-content">
{foreach $aSections as $aSection}
    <tr class="list" id="js_section_{$aSection.section_id}">
        <td class="list">{$aSection.section_title|htmlify}</td>
        <td class="list">{$aSection.section_name}</td>
        <td class="list">
            <select class="jump" style="width:64px;">
                <option value=""></option>
                <option value="{url link='admin.language.section.edit' id=$aSection.section_id}">Edit</option>
            {if !$aSection.is_required}
                <option value="{$aSection.section_id}">Delete</option>
            {/if}
            </select>
        </td>
    </tr>
{foreachelse}
    <tr>
        <td colspan="4">
            <div class="errBox">
		<span></span> <strong>Please create a language section <a href="{url link='admin.language.section.add'}">here</a>.</strong>
            </div>
        </td>
    </tr>
{/foreach}
    </tbody>
</table>

{/block}