<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Setting Controller Index View
 * @license GoLevel LLC
 */
?>
{block "header"}

<style>
    #sort-list { list-style-type: none; margin: 0; padding: 0; width: 100%; }
    #sort-list li { margin: 0 3px 3px 3px; padding: 0.8em; padding-left: 0.7em; font-size: 0.9em; height: 17px; }
</style>

<script type="text/javascript">
$(function()
{
    $("input:submit").button();

    $("#sort-list").sortable(
    {
        cursor: 'pointer',
        tolerance: 'pointer',
        update: function(event, ui)
        {
            $('.js_order').each(function (i)
            {
                $(this).val(i);
            });
        }
    }).disableSelection();

    $('#jump').change(function()
    {
        sAction = $(this).find(":selected").val();

        window.location.href = sAction;
    });
} );
</script>

{/block}

{block "body"}

{if count($aControllers)}
<div align="right">
    <select id="jump">
        <option value=""></option>
{foreach $aControllers as $sController}
            <option value="{url link='admin.setting.controller' controller=$sController}" {if isset($sSelController) && $sController == $sSelController}selected{/if}>{$sController}</option>
{/foreach}
    </select>
</div>
{else}
<div class="errBox">
    <span></span> <strong>There are no settings assigned to any controllers.</strong>
</div>
{/if}
<div class="spacer"></div>

{if isset($aSettings)}
<form method="POST" action="{url link="admin.setting.controller" controller=$sSelController}">
    <div>
        <ul id="sort-list">
        {foreach $aSettings as $aSetting}
            <li class="ui-state-default">
                {input type="hidden" name="aForm[setting][{$aSetting.setting_id}]" value=$aSetting.ordering class="js_order"}
                <span class="ui-icon ui-icon-arrowthick-2-n-s" style="float:left;"></span>
                <div>{$aSetting.setting_title} ({$aSetting.group_id}.{$aSetting.var_name})</div>
            </li>
        {/foreach}
        </ul>
    </div>
    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Save Order"/>
    </div>
</form>
{/if}

{/block}