<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Setting Group Index View
 * @license GoLevel LLC
 */
?>
{block "header"}

<style>
    #sortable { list-style-type: none; margin: 0; padding: 0; width: 100%; }
    #sortable li { margin: 0 3px 3px 3px; padding: 0.4em; padding-left: 1.5em; font-size: 1.0em; height: 18px; }
    #sortable li span { position: absolute; margin-left: -1.3em; }
</style>

<script type="text/javascript">
$(function()
{
    $("input:submit").button();

    $("#sortable").sortable(
    {
        cursor: 'pointer',
        tolerance: 'pointer',
        update: function(event, ui)
        {
            $('.js_order').each(function (i)
            {
                $(this).val(i);
            });
        }
    }).disableSelection();
});
</script>

{/block}

{block "body"}

{if count($aGroups)}
<form method="POST" action="{url link="admin.setting.group"}">
    <div>
        <ul id="sortable">
            {foreach $aGroups as $aGroup}
            <li class="ui-state-default" id="js_row_{$aGroup.setting_group_id}">
                {input type="hidden" name="aForm[group][{$aGroup.setting_group_id}]" value=$aGroup.ordering class="js_order"}
                <div class="f_left"><span class="ui-icon ui-icon-arrowthick-2-n-s"></span>{$aGroup.group_name} ({$aGroup.group_id})</div>
                <div class="f_right">
                    <a href="{url link='admin.setting.group.edit' id=$aGroup.setting_group_id}">Edit</a>
                </div>
                <div class="clear"></div>
            </li>
            {/foreach}
        </ul>
    </div>
    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Save Order"/>
    </div>
</form>
{else}
<div class="errBox">
    <span></span> <strong>Please create a group setting <a href="{url link='admin.setting.group.add'}">here</a>.</strong>
</div>
{/if}

{/block}