<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Ad Index View
 * @license GoLevel LLC
 */
?>
{block "header"}

{if count($aAds)}
<script type="text/javascript">
function toggleAd(iId, sAction)
{
    $('#js_ad_loading_' + iId).find('span').html('Saving');

    ajaxProcess('ad.toggle', 'id='+ iId +'&action=' + sAction, { loading: '#js_ad_loading_' + iId, hide: '#js_ad_' + iId });
    return false;
}

$(function()
{
    $('.ui-state-default').hover(
        function()
        {
            $(this).addClass('ui-state-hover');
        },
        function()
        {
            $(this).removeClass('ui-state-hover');
        }
    );

    $('.jump').change(function()
    {
        sAction = $(this).find(":selected").text();

        if( sAction == 'Delete' )
        {
            if( confirm('Are you sure you want to delete this ad?') )
            {
                iAd = $(this).val();

                $('#js_ad_loading_' + iTheme).find('span').html('Removing');

                ajaxProcess('ad.delete', 'id=' + iAd, { loading: '#js_ad_loading_' + iAd, hide: '#js_ad_' + iAd });
            }
        }
        else if( sAction == 'Edit' )
        {
            window.location.href = $(this).val();
        }

        $(this).find(":selected").removeAttr('selected');
    });
});
</script>
{/if}

{/block}
{block "body"}

{if count($aAds)}

<table class="list">
    <tr>
        <th></th>
        <th style="width: 90%">Ad</th>
        <th>Action</th>
    </tr>
    <tbody class="ui-widget-content">
{foreach $aAds as $aAd}
    <tr id="js_ad_loading_{$aAd.ad_id}" style="display: none;">
        <td colspan="5">
            <img src="{url theme='images.admin' file='loader-circle-small.gif'}"> <span></span>
        </td>
    </tr>
    <tr id="js_ad_{$aAd.ad_id}">
        <td>
            <div class="ui-state-default ui-corner-all" {if !$aAd.is_active} style="display:none;"{/if} id="js_item_disable_{$aAd.ad_id}">
                <a href="#" onclick="toggleAd({$aAd.ad_id}, 'off');" title="Enabled">
                    <span class="ui-icon ui-icon-check"></span>
                </a>
            </div>
            <div class="ui-state-default ui-corner-all" {if $aAd.is_active} style="display:none;"{/if} id="js_item_enable_{$aAd.ad_id}">
                <a href="#" onclick="toggleAd({$aAd.ad_id}, 'on');" title="Disabled">
                    <span class="ui-icon ui-icon-close"></span>
                </a>
            </div>
        </td>
        <td>{$aAd.ad_name}</td>
        <td>
            <select class="jump">
                <option value=""></option>
                <option value="{url link='admin.tools.ad.edit' id=$aAd.ad_id}">Edit</option>
                <option value="{$aAd.ad_id}">Delete</option>
            </select>
        </td>
    </tr>
{/foreach}
    </tbody>
</table>

{else}
<div class="goodBox">
    <span></span> <strong>There are no ads listed. Add one <a href="{url link='admin.tools.ad.add'}">here</a>.</strong>
</div>
{/if}

{/block}