<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Menu Edit View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
function validateForm()
{
    bPass = true;

    $('.js_text').each(function()
    {
        if( $(this).val() == '' )
        {
            SAA.error.add('Please enter text for ' + $(this).parents('tr:first').find('.col_left').text() +'.');
        }
    } );

    if( SAA.error.has() )
    {
        SAA.error.show(false, 'div');

        bPass = false;
    }

    return bPass;
}

$(function()
{
    var iInCue = 0;

    $('.js_menu_edit').css('cursor', 'pointer');
    $('.js_menu_delete').css('cursor', 'pointer');

    $("input:submit, input:button").button();
    $("#js_form").buttonset();

    $("#sort-list").sortable(
    {
        cursor: 'pointer',
        tolerance: 'pointer'
    }).disableSelection();

    $('#dialog-message').dialog(
    {
        autoOpen: false,
        title: 'Confirm Removal',
        modal: true,
        resizable: false,
        buttons:
        {
            'Yes': function()
            {
                ajaxProcess('menu.delete', 'id=' + iInCue);
            },
            'No': function()
            {
                $(this).dialog("close");
            }
        }
    });

    $('.js_menu_delete').click(function ()
    {
        oLi = $(this).parents('li:first');

        iInCue = extractId(oLi, 'js_menu_');

        $('#dialog-message').html('Are you sure you want to remove "'+ oLi.find('span').text() +'" and it\'s children menu items?');
        $('#dialog-message').dialog('open');
    } );

    $('.js_menu_edit').click(function ()
    {
        window.location.href = $(this).attr('id');
    } );

    $('#js_save_order').click(function ()
    {
        aOrder = new Array();

        $('.js_menu').each(function (i)
        {
            aOrder[i] = extractId($(this), 'js_menu_');
        } );

        ajaxProcess('menu.order', $.param({ 'aOrder': aOrder }), { loading: "#js_order_form_loading" });
    } );
} );
</script>

{/block}

{block "body"}

<form method="POST" action="{url link='admin.tools.menu.edit' id=$aMenu.menu_id}" id="js_form" onsubmit="return validateForm();">
    <table class="details">
        <tr>
            <th class="table_top_left">Menu Details</th>
            <th class="table_top_right"></th>
        </tr>
    {foreach $aLanguages as $iLanguage => $aLanguage}
        <tr>
            <td class="col_left">{$aLanguage.title}</td>
            <td class="col_right">{input type="text" name="aForm[text][{$iLanguage}]" default=$aLanguage.default size="50" maxlen="100" class="js_text"}</td>
        </tr>
    {/foreach}
        <tr>
            <td class="col_left">URL</td>
            <td class="col_right">{input type="text" name="aForm[href_link]" default=$aMenu.href_link size="50" id="js_link"}</td>
        </tr>
        {if count($aMenuItems)}
        <tr>
            <td class="col_left">Parent Menu Item</td>
            <td class="col_right">
                <select name="aForm[parent_id]">
                    <option value=""></option>
            {foreach $aMenuItems as $aItem}
                    <option value="{$aItem.menu_id}" {if $aItem.menu_id == $aMenu.parent_id}selected{/if}>{phrase var=$aItem.menu_name}</option>
                {if isset($aItem.children)}
                    {foreach $aItem.children as $aChild}
                    <option value="{$aChild.menu_id}" {if $aChild.menu_id == $aMenu.parent_id}selected{/if}>&nbsp; {phrase var=$aChild.menu_name}</option>
                    {/foreach}
                {/if}
            {/foreach}
                </select>
            </td>
        </tr>
        {/if}
        <tr>
            <td class="col_left">Viewable By</td>
            <td class="col_right">
                <select name="aForm[type_id]">
                    <option value="1" {if $aMenu.type_id == 1}selected{/if}>Only Users</option>
                    <option value="2" {if $aMenu.type_id == 2}selected{/if}>Only Guests</option>
                    <option value="0" {if $aMenu.type_id == 0}selected{/if}>Both Guests and Users</option>
                </select>
            </td>
        </tr>
    </table>
    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Edit"/>
    </div>
</form>

{if isset($aMenu.children) && count($aMenu.children)}
<div class="spacer"></div>
<div>
    <ul id="sort-list">
    {foreach $aMenu.children as $aItem}
        <li class="ui-state-default js_menu" id="js_menu_{$aItem.menu_id}">
            <span class="ui-icon ui-icon-arrowthick-2-n-s" style="float:left;"></span>
            <span class="f_left">{phrase var=$aItem.menu_name}</span>
            <div class="f_right">
                <span class="f_left ui-icon ui-icon-wrench js_menu_edit" id="{url link='admin.tools.menu.edit' id=$aItem.menu_id}"></span>
                <span class="f_right ui-icon ui-icon-trash js_menu_delete"></span>
                <div class="clear"></div>
            </div>
            <div class="clear"></div>
        </li>
    {/foreach}
    </ul>
    <div class="table_bottom">
        <span id="js_order_form_loading" style="display: none;"><img src="{url theme='images.admin' file='loader-circle-small.gif'}"></span> <input type="button" name="save" value="Save Order" id="js_save_order"/>
    </div>
</div>
{/if}
{/block}