<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Menu Index View
 * @license GoLevel LLC
 */
?>
{block "header"}

{if count($aMenus)}
<style>
    #sort-list { list-style-type: none; margin: 0; padding: 0;}
    #sort-list li { margin: 0 3px 3px 3px; padding: 0.3em; padding-left: 0.5em; font-size: 1.0em; height: 23px; }
</style>
<script type="text/javascript">
$(function()
{
    var iInCue = 0;

    $('.js_menu_edit').css('cursor', 'pointer');
    $('.js_menu_delete').css('cursor', 'pointer');

    $("input:button").button();

    $("#sort-list").sortable(
    {
        cursor: 'pointer',
        tolerance: 'pointer'
    }).disableSelection();

    $('#dialog-message').dialog(
    {
        autoOpen: false,
        title: 'Confirm Removal',
        modal: true,
        resizable: false,
        buttons:
        {
            'Yes': function()
            {
                ajaxProcess('menu.delete', 'id=' + iInCue);
            },
            'No': function()
            {
                $(this).dialog("close");
            }
        }
    });

    $('.js_menu_delete').click(function ()
    {
        oLi = $(this).parents('li:first');

        iInCue = extractId(oLi, 'js_menu_');

        $('#dialog-message').html('Are you sure you want to remove "'+ oLi.find('span').text() +'" and it\'s children menu items?');
        $('#dialog-message').dialog('open');
    } );

    $('.js_menu_edit').click(function ()
    {
        window.location.href = $(this).attr('id');
    } );

    $('#js_sort_menu_actions').mouseout(function ()
    {
        $("#js_sort_menu_actions").hide();
    } );

    $('#js_save_order').click(function ()
    {
        aOrder = new Array();

        $('.js_menu').each(function (i)
        {
            aOrder[i] = extractId($(this), 'js_menu_');
        } );

        ajaxProcess('menu.order', $.param({ 'aOrder': aOrder }), { loading: "#js_order_form_loading" });
    } );
} );
</script>
{/if}

{/block}
{block "body"}

{if count($aMenus)}

<span id="js_order_form_msg"></span><br/>

<div id="tabs">
    <ul id="sort-list">
    {foreach $aMenus as $aItem}
        <li class="ui-state-default js_menu" id="js_menu_{$aItem.menu_id}">
            <span class="ui-icon ui-icon-arrowthick-2-n-s" style="float:left;"></span>
            <span class="f_left">{phrase var=$aItem.menu_name}</span>
            <div class="f_right">
                <span class="f_left ui-icon ui-icon-wrench js_menu_edit" id="{url link='admin.tools.menu.edit' id=$aItem.menu_id}"></span>
                <span class="f_right ui-icon ui-icon-trash js_menu_delete"></span>
                <div class="clear"></div>
            </div>
            <div class="clear"></div>
        </li>
    {/foreach}
    </ul>
</div>
<div class="table_bottom">
    <span id="js_order_form_loading" style="display: none;"><img src="{url theme='images.admin' file='loader-circle-small.gif'}"></span> <input type="button" name="save" value="Save" id="js_save_order"/>
</div>

{else}
<div class="goodBox">
    <span></span> <strong>There are no menu item. Add one <a href="{url link='admin.tools.menu.add'}">here</a>.</strong>
</div>
{/if}

{/block}