<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Setting Tools Reset Scores View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
function validateForm()
{
    bPass = true;

    if( $("#from").val() == '' && $("#to").val() != '' ||  $("#to").val() == '' && $("#from").val() != '' )
    {
        SAA.error.show('Please complete the date range', 'dialog');
        return false;
    }

    if( $("#from").val() == '' && $("#to").val() == '' )
    {
        bPass = confirm('No date range has been set. Continuing will remove scores using no date filter. Are you sure?');
    }
    else
    {
        bPass = confirm('Are you sure?');
    }

    return bPass;
}

$(function()
{
    function split(val)
    {
        return val.split( /,\s*/ );
    }

    function extractLast(term)
    {
        return split(term).pop();
    }

    $("#js_users").bind("keydown", function(event)
    {
	if( event.keyCode === $.ui.keyCode.TAB && $(this).data("autocomplete").menu.active )
        {
            event.preventDefault();
        }
    }).autocomplete(
    {
        source: function(request, response)
        {
                $.getJSON("{url folder='system' file='ajax.php?ajaxProcess=user.findLike&json=1'}", {
                        term: extractLast(request.term)
                }, response );
        },
        search: function()
        {
            // custom minLength
            var term = extractLast(this.value);
            if(term.length < 2)
            {
                return false;
            }
        },
        focus: function()
        {
            // prevent value inserted on focus
            return false;
        },
        select: function(event, ui)
        {
            var terms = split(this.value);
            // remove the current input
            terms.pop();
            // add the selected item
            terms.push(ui.item.value);
            // add placeholder to get the comma-and-space at the end
            terms.push("");
            this.value = terms.join(", ");
            return false;
        }
    });

    $("input:submit").button();

    var dates = $("#from, #to").datepicker(
    {
        defaultDate: "+1w",
        changeMonth: true,
        numberOfMonths: 3,
        maxDate: '+0d',
        onSelect: function(selectedDate)
        {
            var option = this.id == "from" ? "minDate" : "maxDate",
                instance = $(this).data("datepicker"),
                date = $.datepicker.parseDate(
                        instance.settings.dateFormat ||
                        $.datepicker._defaults.dateFormat,
                        selectedDate, instance.settings );
            dates.not(this).datepicker("option", option, date);
        }
    });
} );
</script>

{/block}
{block "body"}

<div class="errBox">
    <span></span> <strong> WARNING: News feeds relating to any removed scores will deleted as well.</strong>
</div>

<form method="POST" action="{url link='admin.tools.reset.scores'}" id="js_form" onsubmit="return validateForm();" class="m_t_10">
    <table class="details">
        <tr>
            <th class="table_top_left">Reset Criteria</th>
            <th class="table_top_right"></th>
        </tr>
        <tr>
            <td class="col_left">Date Range</td>
            <td class="col_right">
                <label for="from">From</label> <input type="text" id="from" name="aForm[from]"/>
                <label for="to">to</label> <input type="text" id="to" name="aForm[to]"/>
            </td>
        </tr>
        <tr>
            <td class="col_left">Users (leave blank for all users)</td>
            <td class="col_right">{input type="text" name="aForm[users]" size="40" id="js_users"}</td>
        </tr>
    </table>

    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Remove Scores"/>
    </div>
</form>

{/block}