<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools Theme Index View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
function toggleTheme(iTheme, sAction)
{
    if( $('#js_theme_' + iTheme).find('.js_default').is(":visible") && sAction == 'off' )
    {
        SAA.error.show('The theme selected is the default. Theme cannot be disabled.', 'dialog');
    }
    else
    {
        $('#js_theme_loading_' + iTheme).find('span').html('Saving');

        ajaxProcess('theme.toggle', 'id='+ iTheme +'&action=' + sAction, { loading: '#js_theme_loading_' + iTheme, hide: '#js_theme_' + iTheme });
    }

    return false;
}

function makeDefault(iTheme)
{
    if( $('#js_item_enable_' + iTheme).is(":visible") )
    {
        SAA.error.show('The theme must be enabled before it can be set as default.', 'dialog');
    }
    else
    {
        $('#js_theme_loading_' + iTheme).find('span').html('Saving');

        ajaxProcess('theme.makeDefault', 'id='+ iTheme, { loading: '#js_theme_loading_' + iTheme, hide: '#js_theme_' + iTheme });
    }

    return false;
}

$(function()
{
    $('.ui-state-default').hover(
        function()
        {
            $(this).addClass('ui-state-hover');
        },
        function()
        {
            $(this).removeClass('ui-state-hover');
        }
    );

    $('.jump').change(function()
    {
        sAction = $(this).find(":selected").text();

        if( sAction == 'Delete' )
        {
            if( $(this).closest('tr').find('.js_default').is(":visible") )
            {
                SAA.error.show('Default theme cannot be deleted. Please select another theme as the default in order to delete the selected theme.', 'dialog');
            }
            else if( $('.jump').length == 1 )
            {
                SAA.error.show('Theme cannot be deleted. At least one theme is required.', 'dialog');
            }
            else if( confirm('Are you sure you want to delete this theme?') )
            {
                iTheme = $(this).val();

                $('#js_theme_loading_' + iTheme).find('span').html('Removing');

                ajaxProcess('theme.delete', 'id=' + iTheme, { loading: '#js_theme_loading_' + iTheme, hide: '#js_theme_' + iTheme });
            }
        }
        else if( sAction == 'Edit' )
        {
            window.location.href = $(this).val();
        }

        $(this).find(":selected").removeAttr('selected');
    });

});
</script>

{/block}
{block "body"}

<table class="list">
    <tr>
        <th></th>
        <th>Default</th>
        <th style="width: 90%">Theme</th>
        <th>Action</th>
    </tr>
    <tbody class="ui-widget-content">
{foreach $aThemes as $aTheme}
    <tr id="js_theme_loading_{$aTheme.theme_id}" style="display: none;">
        <td colspan="5">
            <img src="{url theme='images.admin' file='loader-circle-small.gif'}"> <span></span>
        </td>
    </tr>
    <tr id="js_theme_{$aTheme.theme_id}">
        <td>
            <div class="ui-state-default ui-corner-all" {if !$aTheme.is_active} style="display:none;"{/if} id="js_item_disable_{$aTheme.theme_id}">
                <a href="#" onclick="toggleTheme({$aTheme.theme_id}, 'off');" title="Enabled">
                    <span class="ui-icon ui-icon-check"></span>
                </a>
            </div>
            <div class="ui-state-default ui-corner-all" {if $aTheme.is_active} style="display:none;"{/if} id="js_item_enable_{$aTheme.theme_id}">
                <a href="#" onclick="toggleTheme({$aTheme.theme_id}, 'on');" title="Disabled">
                    <span class="ui-icon ui-icon-close"></span>
                </a>
            </div>
        </td>
        <td align="center">
            <div class="js_default{if $aTheme.is_default} is_default{/if}" {if !$aTheme.is_default}style="display:none;"{/if} id="js_item_default_{$aTheme.theme_id}">
                <div class="ui-state-default ui-corner-all" style="width:16px;">
                    <span class="ui-icon ui-icon-check"></span>
                </div>
            </div>
            <div class="js_item_default" {if $aTheme.is_default}style="display:none;"{/if} id="js_item_not_default_{$aTheme.theme_id}">
                <div class="ui-state-default ui-corner-all" style="width:16px;">
                    <a href="#" onclick="makeDefault({$aTheme.theme_id});" title="Make Default">
                        <span class="ui-icon ui-icon-bullet"></span>
                    </a>
                </div>
            </div>
        </td>
        <td>{$aTheme.title}</td>
        <td>
            <select class="jump">
                <option value=""></option>
                <option value="{url link='admin.tools.theme.edit' id=$aTheme.theme_id}">Edit</option>
                <option value="{$aTheme.theme_id}">Delete</option>
            </select>
        </td>
    </tr>
{/foreach}
    </tbody>
</table>

{/block}