<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Admin Tools User Edit View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
var iUser = {$aUser.user_id};

function loadAchievements(iPage, iGame)
{
    ajaxProcess('achievement.forUserAdmin', { user_id:iUser, pg:iPage, game_id:iGame }, { loading:'#js_achievements_loading', hide:'#js_achievements' });
}

function validateForm()
{
    if( $('#email').val() == '' )
    {
        $('#email').addClass('ui-state-error');

        SAA.error.add('Please enter an email address.');
    }

    if( $('#user_name').val() == '' )
    {
        $('#user_name').addClass('ui-state-error');

        SAA.error.add('Please enter a user name.');
    }

    sPassword = $('#password').val();

    if( sPassword.length > 0 )
    {
        if( sPassword.length < 5 )
        {
            SAA.error.add('Password must be greater than five characters.');
        }
        else if( sPassword != $('#password2').val() )
        {
            SAA.error.add('Password was not confirmed.')
        }
    }

    bPass = true;

    if( SAA.error.has() )
    {
        bPass = false;

        SAA.error.show();
    }

    return bPass;
}

$(function()
{
    $("input:submit").button();
    $("#js_form").buttonset();

    loadAchievements(1);
});
</script>

{/block}

{block "body"}
<form method="POST" action="{url link='admin.tools.user.edit' id=$aUser.user_id}" id="js_form" onsubmit="return validateForm();">
<table class="details">
    <tr>
        <th class="table_top_left">User Details</th>
        <th class="table_top_right"></th>
    </tr>
    <tr>
        <td class="col_left">User Name:</td>
        <td class="col_right">{input type="text" name="aForm[user_name]" id="user_name" default=$aUser.user_name}</td>
    </tr>
    <tr>
        <td class="col_left">Email:</td>
        <td class="col_right">{input type="text" name="aForm[email]" id="email" default=$aUser.email size=40}</td>
    </tr>
    <tr>
        <td class="col_left">Change Password:</td>
        <td class="col_right">{input type="password" name="aForm[password]" id="password"}</td>
    </tr>
    <tr>
        <td class="col_left">Confirm Password:</td>
        <td class="col_right">{input type="password" name="aForm[password2]" id="password2"}</td>
    </tr>
    <tr>
        <td class="col_left">Status:</td>
        <td class="col_right">
            <select name="aForm[is_verified]">
                <option value="1" {if $aUser.is_verified}selected{/if}>Active</option>
                <option value="0" {if !$aUser.is_verified}selected{/if}>Requires Activation</option>
            </select>
        </td>
    </tr>
    <tr>
        <td class="col_left">Language:</td>
        <td class="col_right">
            {input type="select" name="aForm[lang_id]" options=$aLanguages default=$aUser.lang_id}
        </td>
    </tr>
    <tr>
        <td class="col_left">Theme:</td>
        <td class="col_right">
            <select name="aForm[theme_id]">
        {foreach $aThemes as $aTheme}
                <option value="{$aTheme.theme_id}">{$aTheme.title}</option>
        {/foreach}
            </select>
        </td>
    </tr>
    <tr>
        <td class="col_left">Total Points:</td>
        <td class="col_right">{input type="text" name="aForm[total_points]" default=$aUser.total_points}</td>
    </tr>
    <tr>
        <td class="col_left">Total Medals:</td>
        <td class="col_right">{input type="text" name="aForm[total_medals]" default=$aUser.total_medals}</td>
    </tr>
    <tr>
        <td class="col_left">Total Champions:</td>
        <td class="col_right">{input type="text" name="aForm[total_champs]" default=$aUser.total_champs}</td>
    </tr>
    <tr>
        <td class="col_left">Users Achievements: <span id="js_achievements_loading" style="display:none;"><img src="{url theme='images.admin' file='loader-circle-small.gif'}"></span></td>
        <td class="col_right" id="js_achievements"></td>
    </tr>
</table>
<div class="table_bottom">
    <input type="submit" name="aForm[submit]" value="Save"/>
</div>
</form>
{/block}