<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Browse View
 * @license GoLevel LLC
 */
?>
{block "header"}
<script type="text/javascript">
$(function()
{
    $("input:submit").button();

{if SAA_Sys::getSett('feed.on_browse_pg')}
    var refreshId = setInterval(function()
    {
        ajaxProcess('feed.get');
    }, {SAA_Sys::getSett('feed.refresh_rate') * 1000});

    ajaxProcess('feed.get');
{/if}

{if SAA_Sys::getSett('favorite.is_enabled') && SAA_Sys::isUser()}
    $('.js_user_favorite').css('cursor', 'pointer').click(function()
    {
        iGame = extractId($(this).parents('.js_game:first'), 'js_game_');

        ajaxProcess('game.favoriteToggle', { game_id:iGame });
    });
{/if}
});
</script>
{/block}
{block "body"}

{* Feed:Start *}
{if SAA_Sys::getSett('feed.on_browse_pg')}
<div id="feed_container" class="m_bt_20 w75" style="display:none;"></div>
{/if}
{* Feed:End *}

{* Search Filter:Start *}
<div>
    <form method="POST" action="{url link='browse'}">
        <div>
            <span>{input type="text" name="aForm[title]" size="20"}</span>
        {if $aCategories}
            <span>{input type="select" name="aForm[category]" options=$aCategories first=true}</span>
        {/if}
            <span><input type="submit" name="submit" value="{phrase var='browse.search'}"/></span>
        </div>
    </form>
</div>
{* Search Filter:End *}

{* Paginator:Start *}
{capture "paginator" assign="paginator"}
<div class="p_bt_4 m_t_4 m_b_4" align="right">
    {paginator page=$iPg page_size=$iPgSize total=$iGames href="{$sPgLink}"}
</div>
{/capture}

{$paginator}
{* Paginator:End *}

{* Game List:Start *}
{foreach $aGames as $aGame}
<div class="p_10 m_t_10 {cycle values="lite-grey,"} js_game js_game_{$aGame.game_id}" id="js_game_{$aGame.game_id}">
    <div class="bolder m_b_10"><a href="{url link="game.{$aGame.slug}"}" class="title">{$aGame.text.title}</a></div>
    <div class="f_left m_r_10">{img file=$aGame.img_loc link="{url link="game.{$aGame.slug}"}" sq_size="100"}</div>
    <div>

    {if SAA_Sys::getSett('favorite.is_enabled') && SAA_Sys::isUser()}
        <div class="m_4 f_right">
            <div class="ui-state-highlight ui-corner-all p_4 w120p bolder js_user_favorite" align="center">
                <span class="js_fav" {if !$aGame.is_favorite}style="display:none;"{/if}>{phrase var='browse.your_favorite'}</span>
                <span class="js_make" {if $aGame.is_favorite}style="display:none;"{/if}>{phrase var='browse.make_favorite'}</span>
            </div>
        </div>
    {/if}

    {if $aGame.category}
        <div class="m_4">
            <b>{if count($aGame.category) > 1}{phrase var='browse.categories'}{else}{phrase var='browse.category'}{/if}:</b>
            {foreach $aGame.category as $aCategory}
            <a href="{url link="browse.{$aCategory.slug}"}" class="link">{phrase var=$aCategory.name}</a>{if !$aCategory@last}, {/if}
            {/foreach}
        </div>
    {/if}

    {if SAA_Sys::getSett('score.scores_on')}
        {if isset($aGame.high_score)}
        <div class="m_4 js_game_score"><b>{phrase var='browse.best_score'}:</b> <i>{phrase var='browse.score_score_prefix_by_user' score=$aGame.high_score score_prefix=$aGame.scoring_prefix user=$aGame.high_user}</i></div>
        {/if}
        {if isset($aGame.user_score)}
        <div class="m_4 js_game_score"><b>{phrase var='browse.your_best_score'}:</b> <i>{$aGame.user_score} {$aGame.scoring_prefix}</i></div>
        {/if}
    {/if}

    {if SAA_Sys::getModel('rating')->isEnabled('game')}
        <div class="m_4"><b>{phrase var='browse.total_votes'}:</b> <i>{$aGame.total_votes}</i></div>
        <div class="m_4">{call rating type='game' item_id=$aGame.game_id total_rating=$aGame.total_rating already_rated=$aGame.rate_id}</div>
    {/if}

        <div class="m_4">{$aGame.text.description}</div>
    </div>
    <div class="clear"></div>
    {if isset($aGame.tags)}
    <div class="m_t_10">
        <span class="bolder">{phrase var='browse.tags'}:</span>
        {foreach $aGame.tags as $sTag}
        <a href="{url link='browse' tag=$sTag}" class="link">{$sTag}</a>{if !$sTag@last}, {/if}
        {/foreach}
    </div>
    {/if}

    {if SAA_Sys::isAdmin()}
    <div class="p_t_8 m_b_4" align="right">
        <a href="{url link="game.{$aGame.slug}"}" class="link_box">{phrase var='browse.view'}</a>
        <a href="{url link='admin.game.edit' id=$aGame.game_id}" class="link_box">{phrase var='browse.edit'}</a>
        <a href="#reset-scores" class="link_box" onclick="ajaxDialog('score.rebuildGame', 'game={$aGame.game_id}&page=1&stage=purge', { height:140, title:'{phrase var='browse.reset_scores' js_escape=true}' });">{phrase var='browse.reset_scores'}</a>
        <a href="#delete-game" class="link_box" onclick="if( confirm('{phrase var="browse.are_you_sure_you_want_to_remove_the_selected_game_all_files_and_data_relating_to_the_selected_game_will_be_lost" js_escape=true}') ){ ajaxDialog('game.delete', 'game_id={$aGame.game_id}&is_public=1', { height:140, title:'{phrase var='browse.delete' js_escape=true}' }); }">{phrase var='browse.delete'}</a>
    </div>
    {/if}
</div>
{foreachelse}
<div class="goodBox">
    {phrase var='browse.there_are_no_games_that_fit_the_given_search_criteria'}
</div>
{/foreach}
{* Game List:End *}

{* Paginator:Start *}
{$paginator}
{* Paginator:End *}

{/block}