<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Comment Template Function
 * @license GoLevel LLC
 */
?>
{if SAA_Sys::getSett('comment.is_enabled') && (SAA_Sys::isUser() || SAA_Sys::getSett('comment.guest_can_view'))}
    {if !$smarty.const.SAA_IS_AJAX}
<link type="text/css" href="{url theme="css" file="comment.css"}" rel="stylesheet" />
<script type='text/javascript' src='{url folder='design.static.js.jquery.scrollTo' file='min.js'}'></script>
<script type="text/javascript">
var iComment;

function loadComments(aParams)
{
    if( typeof aParams == 'undefined' )
    {
        aParams = {};
    }

    sType = $('#js_comment_type').val();
    iItem = $('#js_comment_item_id').val();

    if( aParams.loading )
    {
        sLoading = aParams.loading;
    }
    else
    {
        sLoading = '#js_comment_loading';
    }

    if( aParams.hide )
    {
        sHide = aParams.hide;
    }
    else
    {
        sHide = '#js_comment_div';
    }

    aParams.is_controller = bCommentIsController;
    aParams.type = sType;
    aParams.item_id = iItem;
    aParams.loading = '';
    aParams.hide = '';

    ajaxProcess('comment.load', aParams, { loading:sLoading, hide:sHide });
}

$(function()
{
    $("#delete-comment-confirm").dialog(
    {
        autoOpen: false,
        height: 150,
        width: 350,
        modal: true,
        draggable: false,
        buttons:
        {
            "{phrase var='comment.yes' js_escape=true}": function()
            {
                ajaxProcess('comment.delete', { comment_id: iComment });

                $(this).dialog("close");
            },
            Cancel: function()
            {
                $(this).dialog("close");
            }
        },
        close: function()
        {
            iComment = null;
        }
    });

    $(".comment_delete_btn").live('click', function()
    {
        iComment = extractId($(this).parents('li:first'), 'js_comment_');

        iPos = 0 - $(window).height() / 2;

        $.scrollTo($(this), 10, { offset:iPos, onAfter: function()
            {
                $("#delete-comment-confirm").dialog("open");
            }
        });
    });

    $(".js_add_child_btn").live('click', function()
    {
        var sListItem = $(this).parents('li:first').attr('id');
        var sLastChild = false;
        var bInChildren = false;

        $('#js_comment_list li').each(function(i)
        {
            if( $(this).attr('id') == sListItem )
            {
                bInChildren = true;

                return;
            }

            if( bInChildren )
            {
                if( !$(this).hasClass('is_child') )
                {
                    bInChildren = false;

                    return;
                }

                sLastChild = $(this).attr('id');
            }
        });

        if( sLastChild )
        {
            sInsertLocation = sLastChild;
        }
        else
        {
            sInsertLocation = sListItem;
        }

        iItemParent = sListItem.replace('js_comment_', '');

        sHtml = '<li class="p_4 m_t_4" id='+ sListItem +'_form><div class="m_l_50"><form method="POST" action="#" onsubmit="return false;" class="js_comment_form"><div class="f_right m_b_4"><a href="#" id="'+ sListItem +'_form_delete_btn"></a></div><input type="hidden" class="js_parent" value="'+ iItemParent +'"/>' + $('#js_comment_form').html() + '</form></div></li>';

        $(sHtml).insertAfter('#' + sInsertLocation);

        $('#' + sListItem +'_form_delete_btn').button(
        {
           icons:
           {
                primary: "ui-icon ui-icon-closethick"
           },
           text: false
        }).click(function()
        {
            sParentItem = extractId($(this), '_form_delete_btn');

            $('#' + sParentItem).find('.js_add_child_btn').show();

            $(this).parents('li:first').slideUp('normal', function()
            {
                $(this).remove();
            });
        });

        $('.js_comment_text').trigger('keyup');

        $(this).hide();

        $.scrollTo('#' + sListItem +'_form_delete_btn', 800, { offset: 175-$(window).height() });
    });

    $('.js_comment_text').live('keyup', function()
    {
        sText = $.trim($(this).val());

        if( sText.length == 0 )
        {
            $(this).parents('form:first').find('.js_comment_btn').hide();
        }
        else
        {
            $(this).parents('form:first').find('.js_comment_btn').show();
        }
    });

    $('.js_comment_form').live('submit', function()
    {
        oCommentError = SAA.error;
        oCommentError.ini({ location: '#js_comment_msg', type: 'dialog' });

        sText = $(this).find('.js_comment_text').val();
        sText = $.trim(sText);

        if( sText == '' )
        {
            oCommentError.add('{phrase var="comment.please_provide_text_for_your_comment" js_escape=true}')
        }

        bPass = true;

        if( SAA.error.has() )
        {
            bPass = false;

            oCommentError.show();
        }

        iParent = $(this).find('.js_parent').val();

        if( bPass )
        {
            sLoading = $(this).find('.js_comment_loading');

            ajaxProcess('comment.add', { 'text': sText, 'item_id': iItem, 'parent_id': iParent, 'type': sType }, { loading: sLoading });

            $(this).find('.js_comment_text').val('');
        }
    });
});
</script>
    {/if}
{function comment}
<script type="text/javascript">
var bCommentIsController = {if isset($is_controller) && $is_controller}1{else}0{/if};

$(function()
{
    loadComments({if isset($parent_id) && $parent_id > 0}{ parent_id:{$parent_id} }{/if});
});
</script>

{* The Comment Message:Start *}
<div id="js_comment_msg"></div>
{* The Comment Message:End *}

{* The Confirm Delete:Start *}
<div id="delete-comment-confirm" title="">
    {phrase var='comment.are_you_sure'}
</div>
{* The Confirm Delete:End *}
<div>
    <input type="hidden" id="js_comment_type" value="{$type}">
    <input type="hidden" id="js_comment_item_id" value="{$item_id}">
</div>
<div id="js_comment_loading" align="center"><img src="{url theme='images' file='loading.gif'}" height="50px"></div>
<div id="js_comment_div"></div>
{/function}
{/if}