<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Main View
 * @license GoLevel LLC
 */

?>
{eval var=$sHeadTitle assign='sHeadTitle'}
{eval var=$sMetaDesc assign='sMetaDesc'}
{eval var=$sTitle assign='sTitle'}

<html xmlns="http://www.w3.org/1999/xhtml" dir="{$sHTMLDir}" lang="{$sHTMLLang}">
<head>
    <title>{block "header_title"}{$sHeadTitle|strip_tags}{/block}</title>
    <meta http-equiv="Content-Type" content="{SAA_Sys::getSett('meta.content_type')}" />
{if $sMetaDesc}
    <meta name="Description" content="{$sMetaDesc|escape:'dbl_quotes'}"/>
{/if}
    <link type="text/css" href="{url theme="css" file="main.css"}" rel="stylesheet" />
    <script>
	    var oSett = { 'sUrl': '{url no_file=true}', 'sJsFolder': '{url folder="design.static.js" no_file=true}', 'sImageFolder': '{url folder="design.theme.{$sTheme}.images" no_file=true}' };
    </script>
    <script type="text/javascript" src="{url folder='design.static.js' file='main.js'}"></script>
    {if $bCommentOn}
        {include "{SAA_Sys::getLib('theme')->getFile('application.view', 'frame.functions', 'comment.tpl.php', false)}"}
    {/if}
    {if $bRatingOn}
        {include "{SAA_Sys::getLib('theme')->getFile('application.view', 'frame.functions', 'rating.tpl.php', false)}"}
    {/if}
    {block "header"}{/block}
</head>
<body>

<div id="dialog-message" style="display: none;"></div>
<div id="ajax-dialog-message" style="display: none;"></div>
<div id="ajax-dialog-box" style="display: none;"></div>

{* start:wrap *}
<div id="wrap">

<div id="header"></div>

{* start:nav *}
<div id="nav">
{include file="{SAA_Sys::getLib('theme')->getFile('application.view', 'frame', 'menu.tpl.php', false)}"}
</div>
{* end:nav *}

{* start:content *}
<div id="content">

{* start:ad top *}
{if isset($aAdvertisements.0)}
    <div class="m_b_10" align="center">{$aAdvertisements.0}</div>
{/if}
{* end:ad top *}

{block "title"}{if $sTitle}<h1>{$sTitle}</h1>{/if}{/block}

{* start:messages/errors *}
<div>

{block "errors"}
<div id="js_error_msg">
    {if count($aErrors)}
        {foreach $aErrors as $sError}
    <div class="errBox">
        <span></span> <strong> {$sError}</strong>
    </div>
        {/foreach}
    {/if}
</div>
{/block}

{block "messages"}
<div id="js_good_msg">
    {if count($aMessages)}
        {foreach $aMessages as $sMessage}
    <div class="goodBox">
        <span></span> <strong> {$sMessage}</strong>
    </div>
        {/foreach}
    {/if}
</div>
{/block}

</div>
{* end:messages/errors *}

{block "body"}{/block}

{* start:ad bottom *}
{if isset($aAdvertisements.1)}
    <div class="m_b_10" align="center">{$aAdvertisements.1}</div>
{/if}
{* end:ad bottom *}

{* end:content *}
</div>

{* start:footer *}
<div id="footer">
	&copy; Powered by <a href="http://standalonearcade.com" style="color: #CBDC60;">Stand Alone Arcade</a> {SAA_Sys::getVersion()}
</div>
{* end:footer *}

</div>
{* end:wrap *}

{* analytics:start*}
{if SAA_Sys::getSett('analytics.is_enabled')}
    {SAA_Sys::getSett('analytics.html')}
{/if}
{* analytics:end*}

</body>
</html>