<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Game Index View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
var iGame = {$aGame.game_id};

$(function()
{
{if SAA_Sys::getSett('favorite.is_enabled') && SAA_Sys::isUser()}
    $('.js_user_favorite').css('cursor', 'pointer').click(function()
    {
        ajaxProcess('game.favoriteToggle', { game_id:iGame });
    });
{/if}

    $('#details-tab').tabs();

    var refreshId = setInterval(function() 
    {
        ajaxProcess('game.getUpdated', 'game-id=' + iGame);
    }, 60000);

    ajaxProcess('game.getUpdated', 'game-id=' + iGame);
    {if !$aGame.scoring}ajaxProcess('game.updateCounter', 'game-id=' + iGame);{/if}
});
</script>
{/block}
{block "body"}

<div id="js_game_{$aGame.game_id}" class="js_game_{$aGame.game_id}">

{if SAA_Sys::getSett('score.scores_on')}
    {include file="{SAA_Sys::getLib('theme')->getFile('application.view', 'bridge.include', 'scoring.tpl.php', false)}"}
{/if}

<div id="details-tab">
    <ul>
        <li><a href="#details-tab-1">{phrase var='game.game_info'}</a></li>
    {if $aGame.text.description}
        <li><a href="#details-tab-2">{phrase var='game.description'}</a></li>
    {/if}
    {if $aGame.text.direction}
        <li><a href="#details-tab-3">{phrase var='game.directions'}</a></li>
    {/if}
    {if $aGame.scoring}
        {if SAA_Sys::getSett('score.scores_on')}
        <li><a href="#details-tab-4">{phrase var='game.top_scores'}</a></li>
        {/if}
        {if SAA_Sys::getSett('achievement.is_on') && SAA_Sys::getSett('achievement.on_game_page')}
        <li><a href="#details-tab-5">{phrase var='game.achievements'}</a></li>
        {/if}
    {/if}
    </ul>
    <div id="details-tab-1">
        <div id="js_total_plays_parent" {if $aGame.total_plays == 0}style="display:none;"{/if}><span class="bolder">{phrase var='game.times_played'}:</span> <span id="js_total_plays">{$aGame.total_plays}</span></div>
        <div id="js_total_scores_parent" {if $aGame.scoring && $aGame.total_scores == 0}style="display:none;"{/if}>
            <span class="bolder">{phrase var='game.total_scores'}:</span> <span id="js_total_scores">{$aGame.total_scores}</span>
        </div>

    {if SAA_Sys::getSett('favorite.is_enabled')}
        <div id="js_total_favorites_parent" {if $aGame.total_favorites == 0}style="display:none;"{/if}><span class="bolder">{phrase var='game.favorited'}:</span> <span id="js_total_favorites">{$aGame.total_favorites}</span></div>
    {/if}

    {if SAA_Sys::getModel('rating')->isEnabled('game')}
        <div id="js_total_votes_parent" {if $aGame.total_votes == 0}style="display:none;"{/if}><span class="bolder">{phrase var='game.total_votes'}:</span> <span id="js_total_votes">{$aGame.total_votes}</span></div>
        <div>{call rating type='game' item_id=$aGame.game_id total_rating=$aGame.total_rating already_rated=$aGame.rate_id}</div>
    {/if}

    {if SAA_Sys::getSett('favorite.is_enabled') && SAA_Sys::isUser()}
        <div>
            <div class="ui-state-highlight ui-corner-all p_4 w120p bolder js_user_favorite" align="center">
                <span class="js_fav" {if !$aGame.is_favorite}style="display:none;"{/if}>{phrase var='game.your_favorite'}</span>
                <span class="js_make" {if $aGame.is_favorite}style="display:none;"{/if}>{phrase var='game.make_favorite'}</span>
            </div>
        </div>
    {/if}
    </div>
{if $aGame.text.description}
    <div id="details-tab-2">
        <p>{$aGame.text.description}</p>
    </div>
{/if}
{if $aGame.text.direction}
    <div id="details-tab-3">
        <p>{$aGame.text.direction}</p>
    </div>
{/if}
{if $aGame.scoring}
    <div id="details-tab-4">
        <div id="top-scores"></div>
    </div>
    {if SAA_Sys::getSett('achievement.is_on') && SAA_Sys::getSett('achievement.on_game_page')}
    <div id="details-tab-5">
        <div id="achievements"></div>
    </div>
    {/if}
{/if}
</div>

<div class="spacer"></div>

<div align="center">
    <object type="application/x-shockwave-flash" width="{$aGame.px_width}" height="{$aGame.px_height}" data="{$aGame.file_loc}" codebase="http://fpdownload.macromedia.com/get/flashplayer/current/swflash.cab">
        <param name="quality" value="high" />
        <param name="menu" value="false"/>
        <param name="bgcolor" value="#869ca7" />
        <param name="allowScriptAccess" value="always" />
        <param name="wmode" value="opaque"/>
    </object>
</div>

<div align="right"><a href="#report" onclick="ajaxDialog('report.loadForm', 'model_id=game&item_id=1310', { height:280, title:'{phrase var='game.report_a_game' js_escape=true}' });">{phrase var='game.report_game'}</a></div>

</div>

{* The Game Comments:Start *}
    {if SAA_Sys::getSett('comment.is_enabled') && SAA_Sys::getSett('comment.on_game_pg') && (SAA_Sys::isUser() || SAA_Sys::getSett('comment.guest_can_view'))}
        {call comment type='game' item_id=$aGame.game_id}
    {/if}
{* The Game Comments:End *}

{/block}