<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Login View
 * @license GoLevel LLC
 */
?>
{block "header"}

<script type="text/javascript">
var sLoginItem = "#{if SAA_Sys::getSett('user.login_method') == 'Email'}login-email{else}login-name{/if}";

function validateCreate()
{
    SAA.error.ini({ 'location': '#create-message', 'type': 'div' });

    if( $('#create-email').val() == '' )
    {
        $('#create-email').addClass('ui-state-error');

        SAA.error.add('{phrase var="create.please_enter_an_email" js_escape=true}');
    }
    
    if( $('#create-name').val() == '' )
    {
        $('#create-name').addClass('ui-state-error');

        SAA.error.add('{phrase var="create.please_enter_a_user_name" js_escape=true}');
    }

    sPassword = $('#create-password').val();

    if( sPassword == '' )
    {
        $('#create-password').addClass('ui-state-error');

        SAA.error.add('{phrase var="create.please_enter_a_password_must_be_greater_than_5_characters" js_escape=true}');
    }
    else if( sPassword.length < 5 )
    {
        $('#create-password').addClass('ui-state-error');

        SAA.error.add('{phrase var="create.password_must_be_greater_than_5_characters" js_escape=true}');
    }
    else if( $('#create-confirm').val() == '' )
    {
        $('#create-confirm').addClass('ui-state-error');

        SAA.error.add('{phrase var="create.password_was_not_confirmed" js_escape=true}');
    }
    else if( $('#create-confirm').val() != sPassword )
    {
        $('#create-password, #create-confirm').addClass('ui-state-error');

        SAA.error.add('{phrase var="create.password_does_not_match_confirmation" js_escape=true}');
    }
{if isset($sQuestion)}
    if( $('#create-security').val() == '' )
    {
        $('#create-security').addClass('ui-state-error');

        SAA.error.add('{phrase var="create.please_answer_the_security_question" js_escape=true}');
    }
{/if}
    bPass = true;

    if( SAA.error.has() )
    {
        bPass = false;

        SAA.error.show();
    }

    return bPass;
}

function validateLogin()
{
    bPass = true;

    if( $(sLoginItem).val() == '' )
    {
        $(sLoginItem).addClass('ui-state-error');

        bPass = false;
    }

    if( $('#login-password').val() == '' )
    {
        $('#login-password').addClass('ui-state-error');

        bPass = false;
    }

    return bPass;
}

$(function()
{
    $("input:submit, .btn").button();
});
</script>

{/block}
{block "body"}

{* Login:Start *}

<h4>{phrase var='login.log_in'}:</h4>

<form method="post" action="{url link='current'}" id="login-form" onsubmit="return validateLogin();">
<table>
    <tr>
        <td colspan="2"><div id="login-message"></div></td>
    </tr>
{if $bAttempts}
    {if SAA_Sys::getSett('user.login_method') == 'User Name'}
    <tr>
        <td class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='user.png'}" /> {phrase var='login.name'}:</td>
        <td>{input type="text" name="aLogin[name]" size="16" id="login-name"}</td>
    </tr>
    {elseif SAA_Sys::getSett('user.login_method') == 'Email'}
    <tr>
        <td class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='email.png'}" /> {phrase var='login.email'}:</td>
        <td>{input type="text" name="aLogin[email]" size="25" id="login-email"}</td>
    </tr>
    {else}
    <tr>
        <td class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='user.png'}" /> {phrase var='login.name_or_email'}:</td>
        <td>{input type="text" name="aLogin[name]" size="25" id="login-name"}</td>
    </tr>
    {/if}
    <tr>
        <td class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='key.png'}" /> {phrase var='login.password'}:</td>
        <td>{input type="password" name="aLogin[password]" size="14" id="login-password"}</td>
    </tr>
    <tr>
        <td></td>
        <td><input type="submit" name="submit" value="{phrase var='login.log_in'}" /></td>
    </tr>
{else}
    <tr>
        <td colspan="2" class="errBox">{phrase var='login.you_have_failed_too_many_login_attempts_please_wait_times_minutes_before_trying_to_login' times=SAA_Sys::getSett('user.login_lockout_time')}</td>
    </tr>
{/if}
    <tr>
        <td colspan="2" align="right">
{if SAA_Sys::getSett('facebook.enable_login')}
            <span><a href="{SAA_Sys::getLib('api.facebook')->getLoginUrl()}" class="btn">{phrase var='login.login_with_facebook'}</a></span>
{/if}
            <span><a href="{url link='user.forgotten'}" class="btn">{phrase var='login.forgot_your_password'}</a></span>
        </td>
    </tr>
</table>
</form>

{* Login:End *}

{* Create Account:Start *}

{if SAA_Sys::getSett('user.can_register') && SAA_Sys::getSett('user.sign_up_on_login')}
<h4>{phrase var='create.create_account'}:</h4>

<form method="post" action="{url link='create'}" onsubmit="return validateCreate();">
<table>
    <tr>
        <td colspan="2"><div id="create-message"></div></td>
    </tr>
    <tr>
        <td class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='email.png'}" /> {phrase var='create.email'}:</td>
        <td>{input type="text" name="aCreate[email]" size="25" id="create-email"}</td>
    </tr>
    <tr>
        <td class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='user.png'}" /> {phrase var='create.name'}:</td>
        <td>{input type="text" name="aCreate[name]" size="16" id="create-name"}</td>
    </tr>
    <tr>
        <td class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='key.png'}" /> {phrase var='create.password'}:</td>
        <td>{input type="password" name="aCreate[password]" size="14" id="create-password"}</td>
    </tr>
    <tr>
        <td class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='key-add.png'}" /> {phrase var='create.confirm'}:</td>
        <td>{input type="password" name="aCreate[confirm]" size="14" id="create-confirm"}</td>
    </tr>
    {if isset($sQuestion)}
    <tr>
        <td colspan="2">
            <div class="bolder"><img class="p_r_8" src="{url theme='images.icons' file='lock.png'}" /> {$sQuestion}</div>
        </td>
    </tr>
    <tr>
        <td></td>
        <td>{input type="text" name="aCreate[security][{$sQuestionHash}]" size="25" id="create-security"}</td>
    </tr>
    {/if}
    <tr>
        <td></td>
        <td><input type="submit" name="submit" value="{phrase var='create.join'}" /></td>
    </tr>
</table>
</form>
{/if}

{* Create Account:End *}

{/block}