/**
 *
 * @author Hutton
 * @name ajax.js
 * @license GoLevel LLC
 */

var bDialogLoading = true;

function ajaxDialog(sFunction, mExtra, aParams)
{
    oData = {};
    sUrl = oSett.sUrl + 'system/ajax.php?ajaxProcess=' + sFunction;

    if( typeof(mExtra) == 'string' )
    {
        sUrl = sUrl + '&' + mExtra;
    }
    else
    {
        oData = mExtra;
    }

    if( aParams && aParams.location )
    {
        sDialogLocation = aParams.location;
    }
    else
    {
        sDialogLocation = '#ajax-dialog-box';
    }

    if( aParams && aParams.title )
    {
        sTitle = aParams.title;
    }
    else
    {
        sTitle = ' ';
    }

    bDialogLoading = true;

    sHtml = '<img src="'+ oSett.sImageFolder +'loader-circle-small.gif"/>';

    if( $(sDialogLocation).dialog('isOpen') )
    {
        $(sDialogLocation).dialog('close');
    }

    $(sDialogLocation).html(sHtml).dialog(
    {
        title: sTitle,
        modal: false,
        resizable: false,
        width: 280,
        height: 70,
        buttons: {},
        open: function()
        {
            if( bDialogLoading )
            {
                $.ajax(
                {
                    url: sUrl,
                    data: oData,
                    method: 'POST',
                    success: function(mReturn)
                    {
                        eval(mReturn);

                        $(sDialogLocation).dialog(
                        {
                            width: (aParams && aParams.width ? aParams.width : 450),
                            height: (aParams && aParams.height ? aParams.height : 300)
                        });

                        if( typeof(oAjaxErrors) == 'object' )
                        {
                            $(sDialogLocation).dialog('close');
                        }

                        bDialogLoading = false;
                    },
                    failure: function()
                    {
                        ajaxError();
                    }
                });
            }
        }
    });

    return true;
}

/**
 * Processes an ajax request
 *
 * @param string sFunction
 * @param mixed mExtra
 * @param string sLoading
 */
function ajaxProcess(sFunction, mExtra, aParams)
{
    oData = {};
    sUrl = oSett.sUrl + 'system/ajax.php?ajaxProcess=' + sFunction;

    if( typeof(mExtra) == 'string' )
    {
        sUrl = sUrl + '&' + mExtra;
    }
    else
    {
        oData = mExtra;
    }

    if( aParams && aParams.loading )
    {
        $(aParams.loading).show();
    }

    if( aParams && aParams.hide )
    {
        $(aParams.hide).hide();
    }

    $.ajax(
    {
	url: sUrl,
        data: oData,
	method: 'POST',
	success: function(mReturn)
	{
	    if( aParams && aParams.loading )
            {
                $(aParams.loading).hide();
            }

            if( aParams && aParams.hide )
            {
                $(aParams.hide).show();
            }

            eval(mReturn);
	},
	failure: function()
        {
            if( aParams && aParams.loading )
            {
                $(aParams.loading).hide();
            }

            if( aParams && aParams.hide )
            {
                $(aParams.hide).show();
            }

            ajaxError();
        }
    });

    return true;
}

/**
 *  Display a warning
 */
function ajaxError()
{
    alert("Opps! There was an error processing your request.")
}

function ajaxValueGet(sFunction, sExtra)
{
    var mVal = null;

    sUrl = 'system/ajax.php?ajaxProcess=' + sFunction;

    if( sExtra )
    {
        sUrl = sUrl + '&' + sExtra;
    }

    $.ajax(
    {
	async: false,
        method: 'POST',
        url: sUrl,
	success: function(mReturn)
	{
	    mVal = mReturn;
	},
	error: ajaxError
    });

    return mVal;
}