/**
 *
 * @author Hutton
 * @name message.js
 * @license GoLevel LLC
 */

SAA.error =
{
    aParam: {},
    aErrors: new Array(),

    ini: function(aParam)
    {
        this.aParam = aParam;
    },

    add: function(sMessage)
    {
        i = this.aErrors.length;

        this.aErrors[i] = sMessage;
    },

    clear: function()
    {
        this.aErrors = new Array();
    },

    has: function()
    {
        if( this.aErrors.length > 0 )
        {
            return true;
        }

        return false;
    },

    hide: function()
    {
        if( this.aParam['type'] == 'dialog' )
        {
            $('#dialog-message').dialog("close");
        }
        else if( this.aParam['type'] == 'div' )
        {
            $('#js_error_msg').hide();
        }
        else
        {
            //cannot close alert on event;
        }
    },

    show: function(sMessage, sType)
    {
        if( sType )
        {
            this.type(sType);
        }

        if( sMessage )
        {
            this.add(sMessage);
        }

        sText = '';

        for(var i in this.aErrors)
        {
            if( this.aParam['type'] == 'dialog' )
            {
                sText += '<div class="errBox"><span></span> <strong> '+ this.aErrors[i] +'</strong></div>';
            }
            else if( this.aParam['type'] == 'div' )
            {
                sText += '<div class="errBox"><span></span> <strong> '+ this.aErrors[i] +'</strong></div>';
            }
            else
            {
                sText += this.aErrors[i] +'\n';
            }
        }

        if( this.aParam['type'] == 'dialog' )
        {
            sLocation = (this.aParam['location'] ? this.aParam['location'] : '#dialog-message');

            $(sLocation).html(sText).dialog(
            {
                title: 'Error',
                open: function()
                {
                    if( SAA.error.aParam['auto_close'] )
                    {
                        setTimeout(function()
                        {
                            $(sLocation).dialog("close");
                        }, SAA.error.aParam['auto_close']);
                    }
                },
                modal: true,
                resizable: false,
                buttons:
                {
                    Ok: function()
                    {
                        $(this).dialog("close");
                    }
                }
            });
        }
        else if( this.aParam['type'] == 'div' )
        {
            sLocation = (this.aParam['location'] ? this.aParam['location'] : '#js_error_msg');

            $(sLocation).html(sText).show();

            if( this.aParam['auto_close'] )
            {
                $(sLocation).fadeOut(this.aParam['auto_close']);
            }
        }
        else
        {
            alert(sText);
        }

        this.clear();

        return true;
    },

    type: function(sType)
    {
        if( sType == 'dialog' )
        {
            this.aParam['type'] = 'dialog';
        }
        else if( sType == 'div' )
        {
            this.aParam['type'] = 'div';
        }
        else
        {
            this.aParam['type'] = 'alert';
        }
    }
}

SAA.message =
{
    aParam: {},
    aMessages: new Array(),

    ini: function(aParam)
    {
        this.aParam = aParam;
    },

    add: function(sMessage)
    {
        i = this.aMessages.length;

        this.aMessages[i] = sMessage;
    },

    clear: function()
    {
        this.aMessages = new Array();
    },

    hide: function()
    {
        if( this.aParam['type'] == 'dialog' )
        {
            $('#dialog-message').dialog("close");
        }
        else if( this.aParam['type'] == 'div' )
        {
            $('#js_good_msg').hide();
        }
        else
        {
            //cannot close alert on event;
        }
    },

    show: function(sMessage, sType)
    {
        if( sType )
        {
            this.type(sType);
        }

        if( sMessage )
        {
            this.add(sMessage);
        }

        sText = '';

        for(var i in this.aMessages)
        {
            if( this.aParam['type'] == 'dialog' )
            {
                sText += '<div class="goodBox"><span></span> <strong> '+ this.aMessages[i] +'</strong></div>';
            }
            else if( this.aParam['type'] == 'div' )
            {
                sText += '<div class="goodBox"><span></span> <strong> '+ this.aMessages[i] +'</strong></div>';
            }
            else
            {
                sText += this.aMessages[i] +'\n';
            }
        }

        if( this.aParam['type'] == 'dialog' )
        {
            sLocation = (this.aParam['location'] ? this.aParam['location'] : '#dialog-message');

            $(sLocation).html(sText).dialog(
            {
                title: ' ',
                open: function()
                {
                    if( SAA.message.aParam['auto_close'] )
                    {
                        setTimeout(function()
                        {
                            $(sLocation).dialog("close");
                        }, SAA.message.aParam['auto_close']);
                    }
                },
                modal: true,
                resizable: false,
                buttons:
                {
                    Ok: function()
                    {
                        $(this).dialog("close");
                    }
                }
            });
        }
        else if( this.aParam['type'] == 'div' )
        {
            sLocation = (this.aParam['location'] ? this.aParam['location'] : '#js_good_msg');

            $(sLocation).html(sText).show();

            if( this.aParam['auto_close'] )
            {
                $(sLocation).fadeOut(this.aParam['auto_close']);
            }
        }
        else
        {
            alert(sText);
        }

        this.clear();

        return true;
    },

    type: function(sType)
    {
        if( sType == 'dialog' )
        {
            this.aParam['type'] = 'dialog';
        }
        else if( sType == 'div' )
        {
            this.aParam['type'] = 'div';
        }
        else
        {
            this.aParam['type'] = 'alert';
        }
    }
}