<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Include Language
 * @license GoLevel LLC
 */

/**
 * Sections
 */
$aCheck = $oDb->select('*')
        ->from('language_section')
        ->where('is_required = 1')
        ->key('section_name')
        ->get('rows');

if( !isset($aCheck['category']) )
{
    $oDb->insert('language_section', array(
        'section_name' => 'category',
        'section_title' => 'Category',
        'is_required' => 1
    ));
}

if( !isset($aCheck['menu']) )
{
    $oDb->insert('language_section', array(
        'section_name' => 'menu',
        'section_title' => 'Menu',
        'is_required' => 1
    ));
}

/**
 * Languages
 */

$aCheck = $oDb->select('*')
    ->from('language')
    ->where('language_abrv = "en"')
    ->get('row');

if( !$aCheck )
{
    $aXml = SAA_Sys::getLib('xml.parser')->parse(SAA_DIR . 'install' . DS . 'include' . DS . 'language' . DS . 'english.xml', 'file');

    if( !isset($aXml['language']) )
    {
        SAA_Debug::trigger('The xml language file attempting to be used does not have a language element.');
    }
    elseif( !isset($aXml['language']['info']) )
    {
        SAA_Debug::trigger('The xml file is missing the info element.');
    }

    SAA_Sys::getLib('setting')->set('global.allowed_tags', '<b><i><u><s><a><strong><font><h1><h2><h3><h4><h5><h6><br><span>');

    $iId = SAA_Sys::getModel('language.process')->import($aXml);

    $oDb->update('language', array(
        'is_default' => 0
    ));

    $oDb->update('language', array(
        'is_default' => 1
    ), 'language_id = '. (int) $iId);
}
?>