<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Include Menu
 * @license GoLevel LLC
 */

$aCheck = $oDb->select('*')
        ->from('menu')
        ->key('menu_name')
        ->get('rows');

foreach($aCheck as $sName => $aTemp)
{
    $aCheck[$sName] = SAA_Sys::getPhrase($sName);
}

$aMenu = array(
    'Home' => array(
        'parent_id' => 0,
        'type_id' => 0,
        'href_link' => '',
        'is_controller' => 1,
        'ordering' => 0
    ),
    'Browse' => array(
        'parent_id' => 0,
        'type_id' => 0,
        'href_link' => 'browse',
        'is_controller' => 1,
        'ordering' => 1
    ),
    'Leaderboard' => array(
        'parent_id' => 0,
        'type_id' => 0,
        'href_link' => 'leaderboard',
        'is_controller' => 1,
        'ordering' => 2
    ),
    'Login' => array(
        'parent_id' => 0,
        'type_id' => 2,
        'href_link' => 'login',
        'is_controller' => 1,
        'ordering' => 3
    ),
    'Create' => array(
        'parent_id' => 0,
        'type_id' => 2,
        'href_link' => 'create',
        'is_controller' => 1,
        'ordering' => 4
    ),
    'Account' => array(
        'parent_id' => 0,
        'type_id' => 1,
        'href_link' => 'user.account',
        'is_controller' => 1,
        'ordering' => 5
    ),
    'Logout' => array(
        'parent_id' => 0,
        'type_id' => 1,
        'href_link' => 'logout',
        'is_controller' => 1,
        'ordering' => 6
    )
);

$aLanguages = SAA_Sys::getLib('language')->getLanguages();
$aLanguages = array_keys($aLanguages);

foreach($aMenu as $sMenu => $aItem)
{
    if( in_array($sMenu, $aCheck) )
    {
        continue;
    }

    $aPhrase = array(
        'section_id' => 'menu',
        'text' => array_fill_keys($aLanguages, $sMenu),
        'var_name' => $sMenu
    );

    if( !($mPhrase = SAA_Sys::getModel('language.phrase.process')->add($aPhrase)) )
    {
        continue;
    }

    $oDb->insert('menu', array(
        'parent_id' => $aItem['parent_id'],
        'type_id' => $aItem['type_id'],
        'menu_name' => 'menu.'. $mPhrase['var_name'],
        'href_link' => $aItem['href_link'],
        'is_controller' => $aItem['is_controller'],
        'ordering' => $aItem['ordering']
    ));
}
?>