<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Include Language
 * @license GoLevel LLC
 */

$aCheck = $oDb->select('*')
    ->from('setting_group')
    ->key('group_id')
    ->get('rows');

$aSections = array(
    'global' => array(
        'Global',
        'global',
        '',
        0
    ),
    'achievement' => array(
        'Achievements',
        'achievement',
        '',
        1
    ),
    'analytics' => array(
        'Analytics',
        'analytics',
        '',
        2
    ),
    'api' => array(
        'API',
        'api',
        '',
        3
    ),
    'comment' => array(
        'Comment',
        'comment',
        '',
        4
    ),
    'facebook' => array(
        'Facebook',
        'facebook',
        '',
        5
    ),
    'favorite' => array(
        'Favorite',
        'favorite',
        '',
        6
    ),
    'feature' => array(
        'Feature',
        'feature',
        '',
        7
    ),
    'feed' => array(
        'Feed',
        'feed',
        '',
        8
    ),
    'game' => array(
        'Game',
        'game',
        '',
        9
    ),
    'leaderboard' => array(
        'Leaderboard',
        'leaderboard',
        '',
        10
    ),
    'mail' => array(
        'Mail',
        'mail',
        '',
        11
    ),
    'meta' => array(
        'Meta',
        'meta',
        '',
        12
    ),
    'mochi' => array(
        'MochiMedia',
        'mochi',
        '',
        13
    ),
    'rating' => array(
        'Rating',
        'rating',
        '',
        14
    ),
    'score' => array(
        'Scoring',
        'score',
        '',
        15
    ),
    'user' => array(
        'Users',
        'user',
        '',
        16
    )
);

$aSql = array();

foreach($aSections as $sSection => $aSection)
{
    if( isset($aCheck[$sSection]) )
    {
        continue;
    }

    $aSql[] = $aSection;
}

if( $aSql )
{
    $oDb->insertMultiple('setting_group', array(
        'group_name',
        'group_id',
        'js_actions',
        'ordering'
    ), $aSql);
}

$aCheck = SAA_Sys::getModel('setting')->getAll(true);

$sToken = md5(SAA_DIR . time() . md5(SAA_Sys::getLib('browser')->getIp() . rand()) . rand());

$aSettings = array(
    'global.site_online' => array(
        'bool', 'global', 'Master Switch', 'Turns the arcade on/off.', 'site_online', 'true', 'true', 0
    ),
    'global.show_non_scoring_games' => array(
        'bool', 'global', 'Display Non-Scoring Compatible Games', 'Sets whether games without scoring capabilities are enabled.', 'show_non_scoring_games', 'true', 'true', 0
    ),
    'mail.method' => array(
        'select', 'mail', 'Mail Method', 'The method to which the emails will be sent. The two options are php mail function or smtp.', 'method', 'a:2:{s:8:"selected";s:4:"mail";s:7:"options";a:2:{s:4:"mail";s:4:"mail";s:4:"smtp";s:4:"smtp";}}', 'a:2:{s:8:"selected";s:4:"mail";s:7:"options";a:2:{s:4:"mail";s:4:"mail";s:4:"smtp";s:4:"smtp";}}', 0
    ),
    'mail.email' => array(
        'string', 'mail', 'Email Address', 'The email used to send out all emails.', 'email', 'email@yoursite.com', 'email@yoursite.com', 0
    ),
    'mail.from' => array(
        'string', 'mail', 'From', 'The default name for "from" section of the email.', 'from', 'SAA Admin', 'SAA Admin', 0
    ),
    'analytics.html' => array(
        'string_long', 'analytics', 'Analytics HTML', 'The Analytics HTML content to be displayed on the public pages.', 'html', '', '', 1
    ),
    'mail.smtp_host' => array(
        'string', 'mail', 'SMTP Host', 'Your SMTP server host.', 'smtp_host', '', '', 0
    ),
    'mail.smtp_auth' => array(
        'string', 'mail', 'SMTP Authentication', 'Your SMTP authentication.', 'smtp_auth', '', '', 0
    ),
    'mail.smtp_username' => array(
        'string', 'mail', 'SMTP Username', 'Your SMTP username.', 'smtp_username', '', '', 0
    ),
    'mail.smtp_password' => array(
        'string', 'mail', 'SMTP Password', 'Your SMTP password.', 'smtp_password', '', '', 0
    ),
    'mail.smtp_port' => array(
        'string', 'mail', 'SMTP Port', 'Your SMTP port.', 'smtp_port', '25', '25', 0
    ),
    'user.can_login' => array(
        'bool', 'user', 'Enable Login', 'Users can log into site.', 'can_login', 'true', 'true', 0
    ),
    'user.can_register' => array(
        'bool', 'user', 'Enable Sign-Up', 'Users can register to site.', 'can_register', 'true', 'true', 4
    ),
    'user.validate_email' => array(
        'bool', 'user', 'Confirmation Email', 'Set whether or not users must confirm their email address before using their account.', 'validate_email', 'true', 'true', 7
    ),
    'game.guests_can_play' => array(
        'bool', 'game', 'Guest Plays', 'Select whether or not guests will be able to play the games.', 'guests_can_play', 'true', 'true', 12
    ),
    'score.activity_points' => array(
        'int', 'score', 'Activity Points', 'Select how many activity points you would like your users to receive for playing an arcade game. Set to 0 to disable.', 'activity_points', '1', '1', 1
    ),
    'score.per_user' => array(
        'select', 'score', 'Scores Per User', 'Select whether users may submit more than one best score per game.', 'per_user', 'a:2:{s:8:"selected";s:1:"1";s:7:"options";a:2:{i:0;s:9:"One Score";i:1;s:15:"Multiple Scores";}}', 'a:2:{s:8:"selected";i:0;s:7:"options";a:2:{i:0;s:9:"One Score";i:1;s:15:"Multiple Scores";}}', 3
    ),
    'score.tie_priority' => array(
        'select', 'score', 'Tied Best Score Priority', 'In the event of a tie, set whether the best score goes to the first person to reach the score, or the most recent.', 'tie_priority', 'a:2:{s:8:"selected";s:1:"1";s:7:"options";a:2:{i:0;s:12:"First Scorer";i:1;s:11:"Most Recent";}}', 'a:2:{s:8:"selected";i:1;s:7:"options";a:2:{i:0;s:12:"First Scorer";i:1;s:11:"Most Recent";}}', 4
    ),
    'analytics.is_enabled' => array(
        'bool', 'analytics', 'Enable Analytics', '', 'is_enabled', 'false', 'false', 0
    ),
    'rating.disable_cancel' => array(
        'bool', 'rating', 'Disable Cancel Rating', 'When cancel button is disabled, the user will not have the ability to remove their rating from a given item.', 'disable_cancel', 'false', 'true', 1
    ),
    'mochi.is_enabled' => array(
        'bool', 'mochi', 'Enable Mochi Games', '', 'is_enabled', 'true', 'false', 0
    ),
    'mochi.local_files' => array(
        'bool', 'mochi', 'Import Physical Games Files', 'Importing the physical game files such as images and .SWF files are necessary to receive credit from MochiMedia to earn advertising revenue.', 'local_files', 'true', 'true', 1
    ),
    'mochi.publisher_id' => array(
        'string', 'mochi', 'Publisher ID', 'Your Mochi Publisher ID', 'publisher_id', '', '', 2
    ),
    'mochi.get_chinese' => array(
        'bool', 'mochi', 'Enable Chinese Games', 'Sets whether or not chinese games are enabled.', 'get_chinese', 'true', 'false', 4
    ),
    'meta.content_type' => array(
        'string', 'meta', 'Header Meta Content-type', 'The HTML head meta content type for the site.', 'content_type', 'application/xhtml+xml; charset=utf-8', 'application/xhtml+xml; charset=utf-8', 0
    ),
    'meta.leaderboard_title' => array(
        'string', 'meta', 'Leaderboard Page Header Title', 'The header title to the leaderboard page. Can use any available template variables for the leaderboard page.', 'leaderboard_title', '{phrase var="leaderboard.leaderboard_title"}', '{phrase var="leaderboard.leaderboard_title"}', 19
    ),
    'meta.home_title' => array(
        'string', 'meta', 'Home Page Header Title', 'The header title to the home page. Can use any available template variables for the home page.', 'home_title', '{phrase var="home.home_title"}', '{phrase var="home.home_title"}', 1
    ),
    'meta.home_description' => array(
        'string_long', 'meta', 'Home Page Meta Description', 'The meta description to the home page. Can use any available template variables for the home page.', 'home_description', '{phrase var="home.meta_description"}', '{phrase var="home.meta_description"}', 2
    ),
    'facebook.enable_login' => array(
        'bool', 'facebook', 'Enable Facebook Login', 'Turns the Facebook login on/off', 'enable_login', 'false', 'false', 1
    ),
    'feed.best_scores' => array(
        'bool', 'feed', 'Show Best Scores in Feed', 'When enabled, show the best scores in the feed.', 'best_scores', 'true', 'true', 4
    ),
    'feed.achievements' => array(
        'bool', 'feed', 'Show Achievements in Feed', 'When enabled, show newly acquired achievements by a given user in the feed.', 'achievements', 'true', 'true', 5
    ),
    'comment.is_enabled' => array(
        'bool', 'comment', 'Enable Comments', 'When enabled, users can use the comment feature.', 'is_enabled', 'true', 'true', 0
    ),
    'comment.guest_can_view' => array(
        'bool', 'comment', 'Guest Can View', 'When enabled, guests can view comments. They cannot post a comment.', 'guest_can_view', 'true', 'true', 2
    ),
    'comment.per_page_block' => array(
        'int', 'comment', 'Comments Per Page (Block)', 'The number of comments displayed on a page when in block form.', 'per_page_block', '5', '5', 3
    ),
    'comment.date_format' => array(
        'string', 'comment', 'Date Format', 'The date format for comments. The setting uses php date function. <a href="http://php.net/date" target="_blank" rel="nofollow">Click here</a> for more information.', 'date_format', 'F j, Y', 'F j, Y', 5
    ),
    'api.site_token' => array(
        'string', 'api', 'API Access Key', 'The API access key for connecting external web software to SAA.', 'site_token', $sToken, $sToken, 0
    ),
    'mochi.multiple_categories' => array(
        'bool', 'mochi', 'Import Using Multiple Categories', 'When enabled, games imported will use "categories" instead of "category" in the API.', 'multiple_categories', 'true', 'true', 5
    ),
    'facebook.app_id' => array(
        'string', 'facebook', 'App ID', 'The Facebook App ID associated with the arcade. You can register your arcade <a href="http://developers.facebook.com/setup/">here</a>.', 'app_id', '', '', 2
    ),
    'facebook.secret' => array(
        'string', 'facebook', 'Secret Key', 'The Facebook Secret Key associated with the arcade. You can find you secret key <a href="https://www.facebook.com/developers/apps.php">here</a>.', 'secret', '', '', 3
    ),
    'user.login_method' => array(
        'select', 'user', 'Users Login Using', 'The users can login using the selected method.', 'login_method', 'a:2:{s:8:"selected";s:1:"0";s:7:"options";a:3:{i:0;s:5:"Email";i:1;s:9:"User Name";i:2;s:25:"Either Email or User Name";}}', 'a:2:{s:8:"selected";i:0;s:7:"options";a:3:{i:0;s:5:"Email";i:1;s:9:"User Name";i:2;s:25:"Either Email or User Name";}}', 1
    ),
    'rating.can_rate' => array(
        'bool', 'rating', 'Enable Ratings', 'When enabled, users will have the ability to rate.', 'can_rate', 'true', 'true', 0
    ),
    'game.category_limit' => array(
        'int', 'game', 'Categories Displayed', 'For games on the public side, the maximum limit of categories displayed. If set to zero, the number of categories displayed will be unlimited. If set to negative, no categories will be displayed.', 'category_limit', '3', '3', 0
    ),
    'user.enable_profile' => array(
        'bool', 'user', 'Enable Profile', 'When enabled, the user\'s arcade profile page can be viewed.', 'enable_profile', 'true', 'true', 10
    ),
    'global.site_name' => array(
        'string', 'global', 'Site Name', 'The name of the arcade.', 'site_name', 'StandAloneArcade', 'StandAloneArcade', 2
    ),
    'mochi.secret_key' => array(
        'string', 'mochi', 'Publisher Secret Key', 'Your Mochi Publisher Secret Key.', 'secret_key', '', '', 3
    ),
    'score.scores_on' => array(
        'bool', 'score', 'Enable Scoring', 'Turns the scoring system on/off.', 'scores_on', 'true', '1', 0
    ),
    'score.guest_can_view_scores' => array(
        'bool', 'score', 'Guest Can View Scores', 'When enabled, the guest can view game scores.', 'guest_can_view_scores', 'true', 'true', 13
    ),
    'feed.refresh_rate' => array(
        'int', 'feed', 'Feed Refresh Rate', 'The amount of time, in seconds, between feed AJAX refreshes.', 'refresh_rate', '60', '60', 2
    ),
    'comment.per_page_controller' => array(
        'int', 'comment', 'Comments Per Page (Controller)', 'The number of comments displayed on a page when on the comment controller page.', 'per_page_controller', '5', '15', 4
    ),
    'comment.enable_child' => array(
        'bool', 'comment', 'Enable Child Comments', 'Turns the child comments on/off.', 'enable_child', 'true', 'true', 1
    ),
    'comment.allowed_tags' => array(
        'string_long', 'comment', 'Allowed HTML Tags', 'The HTML Tags that are allowed to be used.', 'allowed_tags', '<b><i><u>', '<b><i><u>', 6
    ),
    'global.allowed_tags' => array(
        'string_long', 'global', 'Allowed HTML Tags', 'The HTML Tags that are allowed to be used.', 'allowed_tags', '<b><i><u><s><a><strong><font><h1><h2><h3><h4><h5><h6><br><span>', '<b><i><u><s><a><strong><font><h1><h2><h3><h4><h5><h6><br>', 3
    ),
    'score.top_score_limit' => array(
        'int', 'score', 'Best Scores Shown Limit', 'The maximum number of scores displayed on the scores page for the best scores. Set to "0" to disable best scores section.', 'top_score_limit', '15', '15', 5
    ),
    'score.user_score_limit' => array(
        'int', 'score', 'User\'s Best Scores Shown Limit', 'The maximum number of scores displayed on the scores page for the user\'s best scores. Set to "0" to disable the user\'s best scores section.', 'user_score_limit', '15', '15', 6
    ),
    'score.recent_score_limit' => array(
        'int', 'score', 'Recent Scores Shown Limit', 'The maximum number of recent scores displayed on the game\'s scores page. Set to "0" to disable the recent scores section.', 'recent_score_limit', '15', '15', 7
    ),
    'comment.on_score_pg' => array(
        'bool', 'comment', 'Enable Comments on Score Page', 'When enabled, the user will be able to comment on games while on the game\'s scores page.', 'on_score_pg', 'true', 'true', 8
    ),
    'comment.on_game_pg' => array(
        'bool', 'comment', 'Enable Comments on Game Page', 'When enabled, the user will be able to comment on games while on the game page.', 'on_game_pg', 'true', 'true', 7
    ),
    'meta.scores_title' => array(
        'string', 'meta', 'Scores Page Header Title', 'The header title to the game score page. Can use any available template variables for the game score page. ', 'scores_title', '{$aGame.text.title} - {phrase var="score.scores"}', '{$aGame.text.title} - {phrase var="scores"}', 17
    ),
    'meta.scores_description' => array(
        'string_long', 'meta', 'Scores Page Meta Description', 'The meta description to the game score page. Can use any available template variables for the game score page.', 'scores_description', '{phrase var="score.meta_description" game_title=$aGame.text.title}', '{phrase var="score.meta_description" game_title=$aGame.text.title}', 18
    ),
    'meta.login_title' => array(
        'string', 'meta', 'Login Page Header Title', 'The header title to the login page. Can use any available template variables for the login page.', 'login_title', '{phrase var="login.arcade_login"}', '{phrase var="login.arcade_login"}', 5
    ),
    'meta.login_description' => array(
        'string_long', 'meta', 'Login Page Meta Description', 'The meta description to the login page. Can use any available template variables for the login page.', 'login_description', '{phrase var="login.meta_description"}', '{phrase var="login.meta_description"}', 6
    ),
    'user.max_login_attempts' => array(
        'int', 'user', 'Maximum Login Attempts', 'The maximum number of login attempts before the user is locked out.', 'max_login_attempts', '5', '5', 2
    ),
    'user.login_lockout_time' => array(
        'int', 'user', 'Login Lockout Time', 'When the maximum login attempts is reached, the number of minutes before a user can attempt to login again.', 'login_lockout_time', '5', '5', 3
    ),
    'meta.forgotten_password_title' => array(
        'string', 'meta', 'Forgotten Password Page Header Title', 'The header title to the login page. Can use any available template variables for the login page.', 'forgotten_password_title', '{phrase var="user.forgotten_password"}', '{phrase var="user.forgotten_password"}', 11
    ),
    'meta.forgotten_password_description' => array(
        'string_long', 'meta', 'Forgotten Password Page Meta Description', 'The meta description to the user forgotten password page. Can use any available template variables for the user forgotten password page.', 'forgotten_password_description', '{phrase var="user.forgotten_password_description"}', '{phrase var="user.forgotten_password_description"}', 12
    ),
    'mail.forgotten_password_lifetime' => array(
        'int', 'mail', 'Forgotten Password Email Lifetime', 'The length of time in hours forgotten password email is active.', 'forgotten_password_lifetime', '48', '48', 12
    ),
    'mail.forgotten_password_subject' => array(
        'string', 'mail', 'Forgotten Password Email Subject', 'The subject to the forgotten password email. Can use all global template variables, including aUser.', 'forgotten_password_subject', '{phrase var="user.forgot_your_password_to_standalonearcade"}', '{phrase var="user.forgot_your_password_to_standalonearcade"}', 1
    ),
    'mail.forgotten_password_body' => array(
        'string_long', 'mail', 'Forgotten Password Email Body', 'The body to the forgotten password email. Can use all global template variables, including aUser, url_link, and expire_hrs.', 'forgotten_password_body', '{phrase var="user.forgotten_password_body" url_link=$sEmailUrl expire_hrs=$sEmailHrs}', '{phrase var="user.forgotten_password_body"}', 2
    ),
    'user.sign_up_questions' => array(
        'array', 'user', 'Sign-Up Security Question', 'One of the given security questions, selected randomly, will be displayed on the sign-up page. This is to deter bots from signing up. The answers are case sensitive and are separated by commas.', 'sign_up_questions', 'a:2:{s:4:"type";i:2;s:6:"values";a:2:{s:28:"How many hours are in a day?";s:28:"24, twenty-four, twenty four";s:39:"The month that comes after December is:";s:16:"January, january";}}', 'a:2:{s:4:"type";i:2;s:6:"values";a:2:{s:28:"How many hours are in a day?";s:28:"24, twenty-four, twenty four";s:39:"The month that comes after December is:";s:16:"January, january";}}', 6
    ),
    'user.sign_up_on_login' => array(
        'bool', 'user', 'Enable Sign-Up on Login Page', 'When enabled, the sign-up form will be shown on the login page.', 'sign_up_on_login', 'true', 'true', 5
    ),
    'mail.verify_account_subject' => array(
        'string', 'mail', 'Verify Account Email Subject', 'The subject to the verify account email. Can use all global template variables, including aUser.', 'verify_account_subject', '{phrase var="create.verify_account_subject"}', '{phrase var="create.verify_account_subject"}', 13
    ),
    'mail.verify_account_body' => array(
        'string_long', 'mail', 'Verify Account Email Body', 'The body to the verify account email. Can use all global template variables, including aUser, url_link.', 'verify_account_body', '{phrase var="create.verify_account_body" url_link=$url_link user_name=$aUser.user_name}', '{phrase var="create.verify_account_body" url_link=$sEmailUrl user_name=$aUser.user_name}', 14
    ),
    'meta.validate_title' => array(
        'string', 'meta', 'Validate Account Page Header Title', 'The header title to the validate account page. Can use any available template variables for the login page.', 'validate_title', '{phrase var="user.validate_title"}', '{phrase var="user.validate_title"}', 13
    ),
    'meta.validate_description' => array(
        'string_long', 'meta', 'Validate Account Meta Description', 'The meta description to the validate account page. Can use any available template variables for the game score page.', 'validate_description', '{phrase var="user.validate_description"}', '{phrase var="user.validate_description"}', 14
    ),
    'game.guests_can_browse' => array(
        'bool', 'game', 'Guest Can Browse Games', 'When enabled, the guests can view the browse page.', 'guests_can_browse', 'true', 'true', 14
    ),
    'game.per_pg_on_browse' => array(
        'int', 'game', 'Games Per Pg On Browse', 'The maximum number of games displayed at a time on the browse game page.', 'per_pg_on_browse', '5', '10', 1
    ),
    'game.max_tags' => array(
        'int', 'game', 'Maximum Tags Displayed', 'The maximum limit of tags displayed. If set to zero, the number of tags displayed will be unlimited. If set to negative, no tags will be displayed.', 'max_tags', '3', '4', 2
    ),
    'meta.browse_title' => array(
        'string', 'meta', 'Browse Page Header Title', 'The header title to the browse page. Can use any available template variables for the browse page.', 'browse_title', '{phrase var="browse.browse_title"}', '{phrase var="browse.browse_title"}', 3
    ),
    'meta.browse_description' => array(
        'string_long', 'meta', 'Browse Page Meta Description', 'The meta description to the browse page. Can use any available template variables for the browse page.', 'browse_description', '{phrase var="browse.meta_description"}', '{phrase var="browse.meta_description"}', 4
    ),
    'user.banned_chars' => array(
        'string_long', 'user', 'Banned User Name Characters', 'The characters not allowed to be used in a user name.', 'banned_chars', ';:.><"?/]}{[|)(+=*&^%$#@!`~', ';:.><"?/]}{[|\\)(+=*&^%$#@!`~', 9
    ),
    'achievement.is_on' => array(
        'bool', 'achievement', 'Enable Awards', 'When enabled, the game awards will be displayed on the public side.', 'is_on', 'true', 'true', 1
    ),
    'achievement.on_game_page' => array(
        'bool', 'achievement', 'Display User Awards on Game Page', 'When enabled, awards for the users will be displayed on the game page.', 'on_game_page', 'true', 'true', 2
    ),
    'achievement.on_score_page' => array(
        'bool', 'achievement', 'Display User Awards on Score Page', 'When enabled, the awards for the users will be displayed on the scores page.', 'on_score_page', 'true', 'true', 3
    ),
    'meta.leaderboard_description' => array(
        'string_long', 'meta', 'Leaderboard Page Meta Description', 'The meta description to the leaderboard page. Can use any available template variables for the leaderboard page.', 'leaderboard_description', '{phrase var="leaderboard.leaderboard_description"}', '{phrase var="leaderboard.leaderboard_description"}', 20
    ),
    'leaderboard.times_played_limit' => array(
        'int', 'leaderboard', 'Times Played Limit', 'The maximum number of games displayed for the "Top Games by # of Times Played"', 'times_played_limit', '50', '50', 1
    ),
    'leaderboard.records_held_limit' => array(
        'int', 'leaderboard', 'Records Held Limit', 'The maximum number of users displayed for the "Top Players by # of Records Held"', 'records_held_limit', '50', '50', 2
    ),
    'feed.comments' => array(
        'bool', 'feed', 'Show Comments in Feed', 'When enabled, show added comments by a given user in the feed.', 'comments', 'true', 'true', 6
    ),
    'feed.on_browse_pg' => array(
        'bool', 'feed', 'Display Feed on Browse Page', 'When enabled, the feed is shown on the browse page.', 'on_browse_pg', 'true', 'true', 1
    ),
    'feed.display_limit' => array(
        'int', 'feed', 'Maximum Feed Items', 'The maximum number of feed items displayed in the feed.', 'display_limit', '5', '5', 3
    ),
    'feed.on_index_pg' => array(
        'bool', 'feed', 'Display Feed on Home Page', 'When enabled, the feed is shown on the home page.', 'on_index_pg', 'true', 'true', 0
    ),
    'meta.feed_title' => array(
        'string', 'meta', 'Feed Page Header Title', 'The header title to the feed page. Can use any available template variables for the feed page.', 'feed_title', '{phrase var="feed.feed_title"}', '{phrase var="feed.feed_title"}', 21
    ),
    'meta.feed_description' => array(
        'string_long', 'meta', 'Feed Page Meta Description', 'The meta description to the feed page. Can use any available template variables for the feed page.', 'feed_description', '{phrase var="feed.meta_description"}', '{phrase var="feed.meta_description"}', 22
    ),
    'rating.only_once' => array(
        'bool', 'rating', 'Only Rate Once', 'When enabled, the user is only allowed to rate a given item once.', 'only_once', 'true', 'true', 2
    ),
    'rating.on_games' => array(
        'bool', 'rating', 'Can Rate Games', 'When enabled, the users will be able to rate games.', 'on_games', 'true', 'true', 3
    ),
    'favorite.is_enabled' => array(
        'bool', 'favorite', 'Enabled Game Favorites', 'When enabled, user can mark any set of games as he/her favorites.', 'is_enabled', 'true', 'true', 11
    ),
    'favorite.games_per_pg' => array(
        'int', 'favorite', 'Favorite Games Per Pg', 'The maximum number of games displayed at a time for favorites.', 'games_per_pg', '4', '4', 12
    ),
    'feature.on_index_pg' => array(
        'bool', 'feature', 'Show Featured Games On Home', 'When enabled, the featured games section will be display on the home page.', 'on_index_pg', 'true', 'true', 1
    ),
    'feature.games_per_pg' => array(
        'int', 'feature', 'Featured Games Per Pg', 'The maximum number of games displayed at a time for featured section.', 'games_per_pg', '4', '4', 2
    ),
    'meta.account_title' => array(
        'string', 'meta', 'Account Page Header Title', 'The header title to the user account page. Can use any available template variables for the user account page.', 'account_title', '{phrase var="account.account_title"}', '{phrase var="account.account_title"}', 7
    ),
    'meta.account_description' => array(
        'string_long', 'meta', 'Account Page Meta Description', 'The meta description to the user account page. Can use any available template variables for the user account page.', 'account_description', '{phrase var="account.meta_description"}', '{phrase var="account.meta_description"}', 8
    ),
    'user.allowed_image_types' => array(
        'array', 'user', 'Allowed User Image File Extensions', 'The list of allowed image file types for user images.', 'allowed_image_types', 'a:2:{s:4:"type";i:1;s:6:"values";a:3:{i:0;s:4:"jpeg";i:1;s:3:"gif";i:2;s:3:"png";}}', 'a:2:{s:4:"type";i:1;s:6:"values";a:3:{i:0;s:4:"jpeg";i:1;s:3:"gif";i:2;s:3:"png";}}', 8
    ),
    'meta.profile_title' => array(
        'string', 'meta', 'Profile Page Header Title', 'The header title to the profile page. Can use any available template variables for the profile page.', 'profile_title', '{$aProfile.user_name}', '{$aProfile.user_name}', 9
    ),
    'meta.profile_description' => array(
        'string_long', 'meta', 'Profile Page Meta Description', 'The meta description to the profile page. Can use any available template variables for the profile page.', 'profile_description', '{phrase var="profile.meta_description" user=$aProfile.user_name}', '{phrase var="profile.meta_description" user=$aProfile.user_name}', 10
    ),
    'achievement.on_profile_pg' => array(
        'bool', 'achievement', 'Display User Awards on Profile Page', 'When enabled, awards for the user will be displayed on his/her profile page.', 'on_profile_pg', 'true', 'true', 4
    ),
    'favorite.on_profile_pg' => array(
        'bool', 'favorite', 'Display Game Favorites on Profile Page', 'When enabled, game favorites for the user will be displayed on his/her profile page.', 'on_profile_pg', 'true', 'true', 13
    ),
    'meta.game_title' => array(
        'string', 'meta', 'Game Page Header Title', 'The header title to the game page. Can use any available template variables for the game page.', 'game_title', '{phrase var="game.header_title" title=$aGame.text.title}', '{phrase var="game.header_title" title=$aGame.text.title}', 15
    ),
    'meta.game_description' => array(
        'string_long', 'meta', 'Game Page Meta Description', 'The meta description to the game page. Can use any available template variables for the game page.', 'game_description', '{phrase var="game.meta_description" title=$aGame.text.title} {$aGame.text.description}', '{phrase var="game.meta_description" title=$aGame.text.title} {$aGame.text.description}', 16
    ),
	'global.default_timezone' => array(
        'string', 'global', 'Default System Timezone', '<i>The default system timezone that can be found in your php.ini. For futher information check out <a href="http://www.php.net/manual/en/datetime.configuration.php#ini.date.timezone">ini.date.timezone</a>.</i>', 'default_timezone', 'America/New_York', 'America/New_York', 2
    ),
);

$aSql = array();

foreach($aSettings as $sSetting => $aSetting)
{
    if( isset($aCheck[$sSetting]) )
    {
        continue;
    }

    $aSql[] = $aSetting;
}

if( $aSql )
{
    $oDb->insertMultiple('setting', array(
        'type_id',
        'group_id',
        'setting_title',
        'setting_explain',
        'var_name',
        'value_current',
        'value_original',
        'ordering'
    ), $aSql);
}

$aSettings = $oDb->select('setting_id, group_id, var_name')
    ->from('setting')
    ->get('rows');

$aChecks = $oDb->select('sc.controller_id, s.group_id, s.var_name')
    ->from('setting_controller', 'sc')
    ->join('setting', 's', 's.setting_id = sc.setting_id')
    ->get('rows');

$aController = array(
    'browse-meta.browse_title' => array(
        'meta.browse_title',
        'browse',
        0
    ),
    'browse-feed.comments' => array(
        'feed.comments',
        'browse',
        8
    ),
    'browse-feed.achievements' => array(
        'feed.achievements',
        'browse',
        6
    ),
    'browse-feed.display_limit' => array(
        'feed.display_limit',
        'browse',
        9
    ),
    'browse-feed.on_browse_pg' => array(
        'feed.on_browse_pg',
        'browse',
        5
    ),
    'browse-meta.browse_description' => array(
        'meta.browse_description',
        'browse',
        1
    ),
    'browse-game.guests_can_browse' => array(
        'game.guests_can_browse',
        'browse',
        2
    ),
    'browse-game.per_pg_on_browse' => array(
        'game.per_pg_on_browse',
        'browse',
        3
    ),
    'browse-game.max_tags' => array(
        'game.max_tags',
        'browse',
        4
    ),
    'browse-feed.best_scores' => array(
        'feed.best_scores',
        'browse',
        7
    ),
    'browse-feed.refresh_rate' => array(
        'feed.refresh_rate',
        'browse',
        10
    ),
    'create-user.banned_chars' => array(
        'user.banned_chars',
        'create',
        1
    ),
    'create-mail.verify_account_body' => array(
        'mail.verify_account_body',
        'create',
        5
    ),
    'create-mail.verify_account_subject' => array(
        'mail.verify_account_subject',
        'create',
        4
    ),
    'create-user.validate_email' => array(
        'user.validate_email',
        'create',
        3
    ),
    'create-user.can_register' => array(
        'user.can_register',
        'create',
        0
    ),
    'create-user.sign_up_questions' => array(
        'user.sign_up_questions',
        'create',
        2
    ),
    'feed.index-feed.achievements' => array(
        'feed.achievements',
        'feed.index',
        3
    ),
    'feed.index-feed.best_scores' => array(
        'feed.best_scores',
        'feed.index',
        4
    ),
    'feed.index-meta.feed_description' => array(
        'meta.feed_description',
        'feed.index',
        2
    ),
    'feed.index-meta.feed_title' => array(
        'meta.feed_title',
        'feed.index',
        1
    ),
    'feed.index-feed.comments' => array(
        'feed.comments',
        'feed.index',
        5
    ),
    'feed.index-feed.display_limit' => array(
        'feed.display_limit',
        'feed.index',
        6
    ),
    'game.index-achievement.is_on' => array(
        'achievement.is_on',
        'game.index',
        5
    ),
    'game.index-achievement.on_game_page' => array(
        'achievement.on_game_page',
        'game.index',
        6
    ),
    'game.index-game.guests_can_play' => array(
        'game.guests_can_play',
        'game.index',
        2
    ),
    'game.index-score.scores_on' => array(
        'score.scores_on',
        'game.index',
        4
    ),
    'game.index-rating.on_games' => array(
        'rating.on_games',
        'game.index',
        8
    ),
    'game.index-meta.game_description' => array(
        'meta.game_description',
        'game.index',
        1
    ),
    'game.index-meta.game_title' => array(
        'meta.game_title',
        'game.index',
        0
    ),
    'game.index-global.show_non_scoring_games' => array(
        'global.show_non_scoring_games',
        'game.index',
        3
    ),
    'game.index-comment.on_game_pg' => array(
        'comment.on_game_pg',
        'game.index',
        7
    ),
    'game.scores-achievement.on_score_pg' => array(
        'achievement.on_score_pg',
        'game.scores',
        8
    ),
    'game.scores-meta.scores_description' => array(
        'meta.scores_description',
        'game.scores',
        1
    ),
    'game.scores-comment.on_score_pg' => array(
        'comment.on_score_pg',
        'game.scores',
        6
    ),
    'game.scores-score.recent_score_limit' => array(
        'score.recent_score_limit',
        'game.scores',
        5
    ),
    'game.scores-score.guest_can_view_scores' => array(
        'score.guest_can_view_scores',
        'game.scores',
        2
    ),
    'game.scores-meta.scores_title' => array(
        'meta.scores_title',
        'game.scores',
        0
    ),
    'game.scores-score.user_score_limit' => array(
        'score.user_score_limit',
        'game.scores',
        4
    ),
    'game.scores-achievement.is_on' => array(
        'achievement.is_on',
        'game.scores',
        7
    ),
    'game.scores-score.top_score_limit' => array(
        'score.top_score_limit',
        'game.scores',
        3
    ),
    'index-feed.achievements' => array(
        'feed.achievements',
        'index',
        3
    ),
    'index-feed.best_scores' => array(
        'feed.best_scores',
        'index',
        4
    ),
    'index-feed.comments' => array(
        'feed.comments',
        'index',
        5
    ),
    'index-feed.display_limit' => array(
        'feed.display_limit',
        'index',
        6
    ),
    'index-feed.refresh_rate' => array(
        'feed.refresh_rate',
        'index',
        7
    ),
    'index-feature.on_index_pg' => array(
        'feature.on_index_pg',
        'index',
        10
    ),
    'index-favorite.is_enabled' => array(
        'favorite.is_enabled',
        'index',
        8
    ),
    'index-favorite.games_per_pg' => array(
        'favorite.games_per_pg',
        'index',
        9
    ),
    'index-meta.home.description' => array(
        'meta.home.description',
        'index',
        1
    ),
    'index-meta.home_title' => array(
        'meta.home_title',
        'index',
        0
    ),
    'index-feature.games_per_pg' => array(
        'feature.games_per_pg',
        'index',
        11
    ),
    'index-feed.on_index_pg' => array(
        'feed.on_index_pg',
        'index',
        2
    ),
    'leaderboard-meta.leaderboard_title' => array(
        'meta.leaderboard_title',
        'leaderboard',
        1
    ),
    'leaderboard-leaderboard.times_played_limit' => array(
        'leaderboard.times_played_limit',
        'leaderboard',
        3
    ),
    'leaderboard-leaderboard.records_held_limit' => array(
        'leaderboard.records_held_limit',
        'leaderboard',
        4
    ),
    'leaderboard-meta.leaderboard_description' => array(
        'meta.leaderboard_description',
        'leaderboard',
        2
    ),
    'login-meta.login_title' => array(
        'meta.login_title',
        'login',
        0
    ),
    'login-user.sign_up_on_login' => array(
        'user.sign_up_on_login',
        'login',
        4
    ),
    'login-user.max_login_attempts' => array(
        'user.max_login_attempts',
        'login',
        2
    ),
    'login-user.login_lockout_time' => array(
        'user.login_lockout_time',
        'login',
        3
    ),
    'login-meta.login_description' => array(
        'meta.login_description',
        'login',
        1
    ),
    'profile.index-meta.profile_title' => array(
        'meta.profile_title',
        'profile.index',
        1
    ),
    'profile.index-favorite.on_profile_pg' => array(
        'favorite.on_profile_pg',
        'profile.index',
        4
    ),
    'profile.index-achievement.on_profile_pg' => array(
        'achievement.on_profile_pg',
        'profile.index',
        3
    ),
    'profile.index-meta.profile_description' => array(
        'meta.profile_description',
        'profile.index',
        2
    ),
    'user.account-user.allowed_image_types' => array(
        'user.allowed_image_types',
        'user.account',
        3
    ),
    'user.account-meta.account_description' => array(
        'meta.account_description',
        'user.account',
        2
    ),
    'user.account-meta.account_title' => array(
        'meta.account_title',
        'user.account',
        1
    ),
    'user.forgotten-meta.forgotten_password_title' => array(
        'meta.forgotten_password_title',
        'user.forgotten',
        1
    ),
    'user.forgotten-meta.forgotten_password_description' => array(
        'meta.forgotten_password_description',
        'user.forgotten',
        2
    ),
    'user.forgotten-mail.forgotten_password_lifetime' => array(
        'mail.forgotten_password_lifetime',
        'user.forgotten',
        3
    ),
    'user.forgotten-mail.forgotten_password_subject' => array(
        'mail.forgotten_password_subject',
        'user.forgotten',
        4
    ),
    'user.forgotten-mail.forgotten_password_body' => array(
        'mail.forgotten_password_body',
        'user.forgotten',
        5
    ),
    'user.validate-meta.validate_title' => array(
        'meta.validate_title',
        'user.validate',
        1
    ),
    'user.validate-meta.validate_description' => array(
        'meta.validate_description',
        'user.validate',
        2
    ),
);

$aSql = array();

foreach($aController as $sKey => $aControllerSetting)
{
    $bExists = false;

    foreach($aChecks as $aCheck)
    {
        if( $aCheck['controller_id'] . '-' . $aCheck['group_id'] . '.' . $aCheck['var_name'] == $sKey )
        {
            $bExists = true;

            break;
        }
    }

    if( !$bExists )
    {
        $iSetting = 0;

        foreach($aSettings as $aSetting)
        {
            if( $aControllerSetting[0] == $aSetting['group_id'] . '.' . $aSetting['var_name'] )
            {
                $iSetting = $aSetting['setting_id'];

                break;
            }
        }

        if( !$iSetting )
        {
            continue;
        }

        $aSql[] = array(
            $iSetting,
            $aControllerSetting[1],
            $aControllerSetting[2],
        );
    }
}

if( $aSql )
{
    $oDb->insertMultiple('setting_controller', array(
        'setting_id',
        'controller_id',
        'ordering'
    ), $aSql);
}

$aCheck = $oDb->select('*')
    ->from('site_info')
    ->key('var_name')
    ->get('rows');

$aSiteInfo = array(
    'last_ping' => array(
        'last_ping',
        time(),
        time()
    )
);

$aSql = array();

foreach($aSiteInfo as $sVarName => $aInfo)
{
    if( isset($aCheck[$sVarName]) )
    {
        continue;
    }

    $aSql[] = $aInfo;
}

if( $aSql )
{
    $oDb->insertMultiple('site_info', array(
        'var_name',
        'info_value',
        'date_updated'
    ), $aSql);
}

unset($aSql, $aController, $aSettings, $aChecks, $aSections, $aSiteInfo);
?>