<?php

/**
 *
 * @author Hutton
 * @name install/index.php
 * @license GoLevel LLC
 */

// Make sure we are running PHP5
if (version_compare(phpversion(), '5', '<') === true)
{
    exit('SAA needs PHP 5 or newer.');
}

define('Trapper', true);

define('SAA_ON', TRUE);

define('DS', DIRECTORY_SEPARATOR); //Directory Seperator

define('SAA_DIR', dirname(dirname(__FILE__)) . DS); //Install Directory

define('SAA_IS_AJAX', false);

define('SAA_DEBUG', true);

//Load all constants
require_once(SAA_DIR . 'system' . DS . 'include' . DS . 'const.php');

//Load classes
require_once(SAA_DIR . 'system' . DS . 'library' . DS . 'debug.class.php');
require_once(SAA_DIR . 'system' . DS . 'library' . DS . 'error.class.php');
require_once(SAA_DIR . 'system' . DS . 'library' . DS . 'system.class.php');

//Error
error_reporting(E_ALL | E_STRICT);

//Error handler
set_error_handler(array('SAA_Debug', 'handle'));

//Set time zone
if( function_exists('date_default_timezone_set') )
{
	date_default_timezone_set('America/New_York');
}

//Page
$sPage = (isset($_GET['c']) ? $_GET['c'] : 'index');

//Allowed Pages
$aPages = array(
    'index',
    'permissions',
    'db-setup',
    'db-tables',
    'db-rows',
    'create-admin',
    'permissions-revert',
    'finished'
);

//load include
if( !in_array($sPage, $aPages) || !file_exists(SAA_DIR . 'install' . DS . 'page' . DS . 'install' . DS . $sPage . '.php') )
{
    exit('The controller does not exist.');
}

require_once(SAA_DIR . 'install' . DS . 'page' . DS . 'install' . DS . $sPage . '.php');
?>