<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Database Setup Page
 * @license GoLevel LLC
 */

$sHeadTitle = 'Setup Database Connection';

require_once(SAA_SYSTEM_LIBRARY . 'database' . DS . 'abstraction.class.php');

$oFile = SAA_Sys::getLib('file');

$aForm = array(
    'msg' => '',
    'driver' => 'mysql',
    'host' => '',
    'name' => '',
    'user' => '',
    'password' => '',
    'port' => '',
    'prefix' => 'saa_'
);

if( $oFile->getPermission(SAA_DIR . 'system' . DS . 'include' . DS . 'app.php') != '0777' )
{
    header('Location: ./update.php?c=permissions');
    exit;
}

/*
 * If db information has already been entered
 */
if( $oFile->exists(SAA_DIR . 'system' . DS . 'include' . DS . 'app.php') )
{
    require_once(SAA_DIR . 'system' . DS . 'include' . DS . 'app.php');

    if( isset($_SYSTEM, $_SYSTEM['db'], $_SYSTEM['db']['driver'], $_SYSTEM['db']['host'], $_SYSTEM['db']['user'], $_SYSTEM['db']['pass'], $_SYSTEM['db']['name'], $_SYSTEM['db']['port'])
        && !empty($_SYSTEM['db']['driver']) && !empty($_SYSTEM['db']['host']) && !empty($_SYSTEM['db']['user']) && !empty($_SYSTEM['db']['pass'])
        )
    {
        $oDb = SAA_Sys::getLib('database.driver.' . $_SYSTEM['db']['driver']);

        SAA_Debug::toggle('off');

        if( $oDb->connect($_SYSTEM['db']['host'], $_SYSTEM['db']['user'], $_SYSTEM['db']['pass'], $_SYSTEM['db']['name'], $_SYSTEM['db']['port']) )
        {
            header('Location: ./install.php?c=db-tables');
            exit;
        }
        else
        {
            $aForm = array(
                'msg' => 'The database information within the '.SAA_DIR . 'system' . DS . 'include' . DS . 'app.php file could not establish a database connection.',
                'driver' => $_SYSTEM['db']['driver'],
                'host' => $_SYSTEM['db']['host'],
                'name' => $_SYSTEM['db']['name'],
                'user' => $_SYSTEM['db']['user'],
                'password' => $_SYSTEM['db']['pass'],
                'port' => $_SYSTEM['db']['port'],
                'prefix' => $_SYSTEM['db']['prefix']
            );
        }

        SAA_Debug::toggle('on');
    }
}

/**
 * If db legacy file exists
 */
if( $oFile->exists(SAA_DIR . 'include' . DS . 'config.php') )
{
    require_once(SAA_DIR . 'include' . DS . 'config.php');

    //attempt a connection
    if( isset($db_host, $db_name, $db_user, $db_password) )
    {
        $oDb = SAA_Sys::getLib('database.driver.mysql');

        SAA_Debug::toggle('off');

        if( $oDb->connect($db_host, $db_user, $db_password, $db_name) )
        {
            $aForm = array(
                'msg' => 'The database information filled below was pulled from the legacy SAA config file.',
                'driver' => 'mysql',
                'host' => $db_host,
                'name' => $db_name,
                'user' => $db_user,
                'password' => $db_password,
                'port' => '',
                'prefix' => 'saa_'
            );
        }

        SAA_Debug::toggle('on');
    }
}

/**
 * Attempt to use the form database connection values
 */
if( isset($_POST['aForm'], $_POST['aForm']['submit'], $_POST['aForm']['driver'], $_POST['aForm']['host'], $_POST['aForm']['name'], $_POST['aForm']['user'], $_POST['aForm']['password']) )
{
    $aForm = $_POST['aForm'];

    $oDb = SAA_Sys::getLib('database.driver.' . $aForm['driver']);

    SAA_Debug::toggle('off');

    if( $oDb->connect($aForm['host'], $aForm['user'], $aForm['password'], $aForm['name'], $aForm['port']) )
    {
        $bPrefixError = false;

        //check to make sure all table names are available
        if( $oDb->tableExists($aForm['prefix'] . 'user') || $oDb->tableExists($aForm['prefix'] . 'game') )
        {
            $bPrefixError = true;
        }

        SAA_Debug::toggle('on');

        if( !$bPrefixError )
        {
            $aForm['driver'] = addslashes($aForm['driver']);
            $aForm['host'] = addslashes($aForm['host']);
            $aForm['user'] = addslashes($aForm['user']);
            $aForm['password'] = addslashes($aForm['password']);
            $aForm['name'] = addslashes($aForm['name']);
            $aForm['port'] = addslashes($aForm['port']);
            $aForm['prefix'] = addslashes($aForm['prefix']);

            $aFind = array(
                "/\\\$_SYSTEM\['db'\]\['driver'\] = (.*?);/i",
                "/\\\$_SYSTEM\['db'\]\['host'\] = (.*?);/i",
                "/\\\$_SYSTEM\['db'\]\['user'\] = (.*?);/i",
                "/\\\$_SYSTEM\['db'\]\['pass'\] = (.*?);/i",
                "/\\\$_SYSTEM\['db'\]\['name'\] = (.*?);/i",
                "/\\\$_SYSTEM\['db'\]\['port'\] = (.*?);/i",
                "/\\\$_SYSTEM\['db'\]\['prefix'\] = (.*?);/i",
                "/\\\$_SYSTEM\['url'\]\['domain'\] = (.*?);/i",
                "/\\\$_SYSTEM\['url'\]\['folder'\] = (.*?);/i",
                "/\\\$_SYSTEM\['url'\]\['path'\] = (.*?);/i",
                "/\\\$_SYSTEM\['session'\]\['prefix'\] = (.*?);/i"
            );

            $sSysDomain = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == 'on' ? 'https' : 'http') . '://' . $_SERVER['HTTP_HOST'];
            $sSysFolder = (($sScriptPath = $_SERVER['PHP_SELF']) && ($sSubfolder = dirname(substr($sScriptPath, 0, strrpos($sScriptPath, '/'))).'/') && ($sSubfolder == '//' || $sSubfolder == '\/') ? '/' : $sSubfolder);
            $sSysPath = $sSysDomain . $sSysFolder;
            $sSysSession = 'SAA_' . md5($sSysFolder);

            $aReplace = array(
                    "\\\$_SYSTEM['db']['driver'] = '{$aForm['driver']}';",
                    "\\\$_SYSTEM['db']['host'] = '{$aForm['host']}';",
                    "\\\$_SYSTEM['db']['user'] = '{$aForm['user']}';",
                    "\\\$_SYSTEM['db']['pass'] = '{$aForm['password']}';",
                    "\\\$_SYSTEM['db']['name'] = '{$aForm['name']}';",
                    "\\\$_SYSTEM['db']['port'] = '{$aForm['port']}';",
                    "\\\$_SYSTEM['db']['prefix'] = '{$aForm['prefix']}';",
                    "\\\$_SYSTEM['url']['domain'] = '{$sSysDomain}';",
                    "\\\$_SYSTEM['url']['folder'] = '{$sSysFolder}';",
                    "\\\$_SYSTEM['url']['path'] = '{$sSysPath}';",
                    "\\\$_SYSTEM['session']['prefix'] = '{$sSysSession}';",
            );

            $bWrote = false;

            $sFile = SAA_DIR . 'system' . DS . 'include' . DS . 'app.php';

            $sContent = file_get_contents($sFile);
            $sContent = preg_replace($aFind, $aReplace, $sContent);

            if( ($hServerConf = @fopen($sFile, 'w')) )
            {
                fwrite($hServerConf, $sContent);
                fclose($hServerConf);

                $bWrote = true;
            }

            if( $bWrote )
            {
                header('Location: ./install.php?c=db-tables');
                exit;
            }
            else
            {
                $aForm['msg'] = 'There was an error when trying to write into the '.SAA_DIR . 'system' . DS . 'include' . DS . 'app.php file. Please try again.';
            }
        }
        else
        {
            $aForm['msg'] = 'Using the prefix, there are table(s) that will the same name as SAA table(s). Please use a prefix that does not cause a confliction.';
        }

    }
    else
    {
        $aForm = array(
            'msg' => 'The database information provided could not establish a database connection.',
            'driver' => $aForm['driver'],
            'host' => $aForm['host'],
            'name' => $aForm['name'],
            'user' => $aForm['user'],
            'password' => $aForm['password'],
            'port' => $aForm['port'],
            'prefix' => $aForm['prefix'],
        );
    }

    SAA_Debug::toggle('on');
}

?>

<?php
/**
 * Header Include
 */
require_once(SAA_DIR . 'install' . DS . 'page' . DS . 'include' .  DS . 'header.php');
?>

<?php if( $aForm['msg'] ) {?>
<div class="errBox"><?php echo $aForm['msg']; ?></div>
<?php } ?>

<div class="spacer"></div>

<script type="text/javascript">
function validateForm()
{
    if( $('#js_form_name').val() == '' )
    {
        SAA.error.add('Please enter the database name.');
    }

    if( $('#js_form_user').val() == '' )
    {
        SAA.error.add('Please enter the user.');
    }

    if( $('#js_form_password').val() == '' )
    {
        SAA.error.add('Please enter the password.');
    }

    bPass = true;

    if( SAA.error.has() )
    {
        bPass = false;

        SAA.error.show();
    }

    return bPass;
}

$(function()
{
    $("input:submit").button();
});
</script>

<form method="POST" action="./install.php?c=db-setup" id="js_form" onsubmit="return validateForm();">
    <table class="details">
        <tr>
            <th class="table_top_left">Database Connection</th>
            <th class="table_top_right"></th>
        </tr>
        <tr>
            <td class="col_left">Driver</td>
            <td class="col_right">
                <select name="aForm[driver]">
                    <option value="mysql" <?php if( $aForm['driver'] == 'mysql' ) echo ' selected'; ?>>MYSQL</option>
                </select>
            </td>
        </tr>
        <tr>
            <td class="col_left">Host</td>
            <td class="col_right"><input type="text" name="aForm[host]" size="30" id="js_form_host" <?php if( $aForm['host'] ) echo ' value="'.htmlentities($aForm['host']).'"'; ?>></td>
        </tr>
        <tr>
            <td class="col_left">Database Name</td>
            <td class="col_right"><input type="text" name="aForm[name]" size="30" id="js_form_name" <?php if( $aForm['name'] ) echo ' value="'.htmlentities($aForm['name']).'"'; ?>></td>
        </tr>
        <tr>
            <td class="col_left">Database User</td>
            <td class="col_right"><input type="text" name="aForm[user]" size="30" id="js_form_user" <?php if( $aForm['user'] ) echo ' value="'.htmlentities($aForm['user']).'"'; ?>></td>
        </tr>
        <tr>
            <td class="col_left">Database Password</td>
            <td class="col_right"><input type="password" name="aForm[password]" size="30" id="js_form_password" <?php if( $aForm['password'] ) echo ' value="'.htmlentities($aForm['password']).'"'; ?>></td>
        </tr>
        <tr>
            <td class="col_left">Database Port</td>
            <td class="col_right"><input type="text" name="aForm[port]" size="30" id="js_form_port" <?php if( $aForm['port'] ) echo ' value="'.htmlentities($aForm['port']).'"'; ?>></td>
        </tr>
        <tr>
            <td class="col_left">Database Table Prefix</td>
            <td class="col_right"><input type="text" name="aForm[prefix]" size="30" id="js_form_prefix" <?php if( $aForm['prefix'] ) echo ' value="'.htmlentities($aForm['prefix']).'"'; ?>></td>
        </tr>
    </table>
    <div class="table_bottom">
        <input type="submit" name="aForm[submit]" value="Connect"/>
    </div>
</form>

<?php
/**
 * Footer Include
 */
require_once(SAA_DIR . 'install' . DS . 'page' . DS . 'include' .  DS . 'footer.php');
?>