<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Create Admin Page
 * @license GoLevel LLC
 */

require_once(SAA_SYSTEM_INCLUDE . 'app.php');
require(SAA_SYSTEM_LIBRARY . 'model.class.php');

$sHeadTitle = 'Create Admin';

SAA_Sys::getLib('setting')->build();

$oDb = SAA_Sys::getLib('database');

$aAdmins = $oDb->select('email, user_name')
    ->from('user')
    ->where('is_admin = 1')
    ->get('rows');

if( $aAdmins )
{
    header('Location: ./update.php?'.$sPageNext);
    exit;
}
else
{
    if( isset($_POST['aForm']) )
    {
        $oSett = SAA_Sys::getLib('setting');

        $oSett->set('user.sign_up_questions', false);
        $oSett->set('user.validate_email', false);

        if( ($iId = SAA_Sys::getModel('user.process')->addFromRegister($_POST['aForm'])) )
        {
            $oDb->update('user', array(
                'is_admin' => 1
            ), 'user_id = '. (int) $iId);

            header('Location: ./update.php?'.$sPageNext);
            exit;
        }
        else
        {
            $aErrors = SAA_Error::get();
        }
    }
}

?>

<?php
/**
 * Header Include
 */
require_once(SAA_DIR . 'install' . DS . 'page' . DS . 'include' .  DS . 'header.php');
?>

<?php if( isset($aErrors) ) { ?>
<div class="errBox">
    <?php foreach($aErrors as $sError) echo $sError . '<br>'; ?>
</div>
<?php } ?>
<script type="text/javascript">
$(function()
{
    $("input:submit").button();
});
</script>

<form method="post" action="./update.php?<?=$sPageCurrent?>">
<table class="details">
    <tr>
        <th class="table_top_left">Create Admin</th>
        <th class="table_top_right"></th>
    </tr>
    <tr>
        <td class="col_left">Email:</td>
        <td class="col_right"><input type="text" name="aForm[email]" size="16" id="create-email" value="<?php if( isset($_POST['aForm'], $_POST['aForm']['email']) ) echo htmlentities($_POST['aForm']['email']); ?>"/></td>
    </tr>
    <tr>
        <td class="col_left">User Name:</td>
        <td class="col_right"><input type="text" name="aForm[name]" size="16" id="create-name" value="<?php if( isset($_POST['aForm'], $_POST['aForm']['name']) ) echo htmlentities($_POST['aForm']['name']); ?>"/></td>
    </tr>
    <tr>
        <td class="col_left">Password:</td>
        <td class="col_right"><input type="password" name="aForm[password]" size="16" id="create-password"/></td>
    </tr>
    <tr>
        <td class="col_left">Confirm:</td>
        <td class="col_right"><input type="password" name="aForm[confirm]" size="16" id="create-confirm"/></td>
    </tr>
</table>
<div class="table_bottom">
    <input type="submit" name="submit" value="Create" />
</div>
</form>

<?php
/**
 * Footer Include
 */
require_once(SAA_DIR . 'install' . DS . 'page' . DS . 'include' .  DS . 'footer.php');
?>