<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Database Structures Page
 * @license GoLevel LLC
 */

require_once(SAA_SYSTEM_INCLUDE . 'app.php');

$sHeadTitle = 'Adding Database Structures';

$oDb = SAA_Sys::getLib('database');

require_once(SAA_DIR . 'install' . DS . 'include' . DS . 'tables.php');

$iLimit = 10;
$iCompleted = (isset($_GET['completed']) ? (int) $_GET['completed'] : 0);
$iMax = $iCompleted + $iLimit;

$i = 0;
$aInserted = array();

foreach($_aTables as $sTable => $aTable)
{
    if( $i < $iCompleted )
    {
        $i++;

        continue;
    }
    elseif( $i > $iMax )
    {
        break;
    }

    $mPrimary = (isset($aTable['primary']) ? $aTable['primary'] : false);
    $mKey = (isset($aTable['key']) ? $aTable['key'] : false);
    $mUnique = (isset($aTable['unique']) ? $aTable['unique'] : false);

    $oDb->createTable($sTable, $aTable['fields'], $mPrimary, $mKey, $mUnique);

    $aInserted[] = $oDb->table($sTable);

    $i++;
}

$iCompleted = $i;

if( $iCompleted < count($_aTables) )
{
    $sHead = '<meta http-equiv="refresh" content="2;url=./update.php?'.$sPageCurrent.'&completed='.(int) $iCompleted .'">';
}
elseif( $iCompleted == count($_aTables) )
{
    header('Location: ./update.php?'.$sPageNext);
    exit;
}
?>

<?php
/**
 * Header Include
 */
require_once(SAA_DIR . 'install' . DS . 'page' . DS . 'include' .  DS . 'header.php');
?>

<div class="goodBox">
    <p>Inserting tables....</p>
<?php foreach($aInserted as $sTable) { echo $sTable; ?><br/> <?php } ?>
</div>

<?php
/**
 * Footer Include
 */
require_once(SAA_DIR . 'install' . DS . 'page' . DS . 'include' .  DS . 'footer.php');
?>