<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Migrate Users Page
 * @license GoLevel LLC
 */

require_once(SAA_SYSTEM_INCLUDE . 'app.php');

$sHeadTitle = 'Migrating Users';

$oDb = SAA_Sys::getLib('database');
$oParse = SAA_Sys::getLib('parse.input');

$iLimit = 50;
$iPage = (isset($_GET['page']) ? (int) $_GET['page'] : 0);
$bImport = (isset($_GET['import']) ? (int) $_GET['import'] : 0);

if( $bImport )
{
	//If there is no legacy user table, move to next stage
	if( !$oDb->togglePrefix(false)->tableExists('arcade_users') )
	{
		header('Location: ./update.php?'.$sPageNext);
        exit;
	}

    if( !$oDb->togglePrefix(true)->isColumn('user', 'old_id') )
    {
        $oDb->alterTable('add', 'user', array(
            'old_id INT( 12 ) UNSIGNED NOT NULL'
        ));
    }

    $aUsers = $oDb->select('au.*')
        ->togglePrefix(false)
        ->from('arcade_users', 'au')
        ->togglePrefix(true)
        ->leftjoin('user', 'u', 'u.old_id = au.id')
        ->where('u.user_id IS NULL')
        ->limit($iLimit, $iPage)
        ->get('rows');

    if( !$aUsers )
    {
        header('Location: ./update.php?'.$sPageNext);
        exit;
    }

    $aSql = array();

    foreach($aUsers as $aUser)
    {
        $aUser['user'] = trim($aUser['user']);
        $aUser['user'] = $oParse->removeTags(html_entity_decode($aUser['user']), false);

        $sSalt = $oParse->salt(5);

        $aSql[] = array(
            $aUser['id'],
            $aUser['verified'],
            $aUser['user'],
            $aUser['email'],
            md5($aUser['password'] . $sSalt),
            $sSalt,
            $aUser['time'],
            $aUser['time'],
            $aUser['arcade_champs'],
            $aUser['points']
        );
    }

    if( $aSql )
    {
        $oDb->insertMultiple('user', array(
            'old_id',
            'is_verified',
            'user_name',
            'email',
            'password',
            'salt',
            'date_added',
            'last_login',
            'total_champs',
            'total_points'
        ), $aSql);
    }

    $sHead = '<meta http-equiv="refresh" content="2;url=./update.php?'.$sPageCurrent.'&import=1&page='.($iPage+1).'">';
}
?>

<?php
/**
 * Header Include
 */
require_once(SAA_DIR . 'install' . DS . 'page' . DS . 'include' .  DS . 'header.php');

if( $bImport )
{
?>

<div class="goodBox">
    Importing Users.... Stage <?php echo $iPage; ?>
</div>

<?php
}
else
{
?>
<div class="goodBox">
    Migrate users from legacy table. Click start to begin.
</div>

<div class="spacer"></div>

<div class="p_t_8 m_b_4" align="right">
    <a href="./update.php?<?=$sPageNext?>" class="link_box" id="js_next_btn">Skip</a>
    <a href="./update.php?<?=$sPageCurrent?>&import=1" class="link_box" id="js_next_btn">Start</a>
</div>
<?php
}

/**
 * Footer Include
 */
require_once(SAA_DIR . 'install' . DS . 'page' . DS . 'include' .  DS . 'footer.php');
?>