<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Old Files Page
 * @license GoLevel LLC
 */

$sHeadTitle = 'Legacy Files';

$oFile = SAA_Sys::getLib('file');

$aFilesAdmin = ($oFile->exists(SAA_DIR . 'admin') ? $oFile->getFilesAll(SAA_DIR . 'admin') : array());
$aFilesInclude = ($oFile->exists(SAA_DIR . 'include') ? $oFile->getFilesAll(SAA_DIR . 'include') : array());
$aFilesTemplates = ($oFile->exists(SAA_DIR . 'templates') ? $oFile->getFilesAll(SAA_DIR . 'templates') : array());
$aFilesThemes = ($oFile->exists(SAA_DIR . 'themes') ? $oFile->getFilesAll(SAA_DIR . 'themes') : array());
$aFilesController = $oFile->getFiles(SAA_DIR, 'php');

$iKey = array_search('index.php', $aFilesController);
unset($aFilesController[$iKey]);

if( count($aFilesAdmin) + count($aFilesInclude) + count($aFilesTemplates) + count($aFilesThemes) + count($aFilesController) == 0 )
{
    header('Location: ./update.php?'.$sPageNext);
    exit;
}

?>

<?php
/**
 * Header Include
 */
require_once(SAA_DIR . 'install' . DS . 'page' . DS . 'include' .  DS . 'header.php');
?>

<div class="errBox">
    In order to prevent security, duplicate content, and a bunch of other issues, legacy files must be removed. If there is custom content you desire to keep, please move them to a non-public directory. Please remove the following legacy files from the below list.
</div>

<?php
if( $aFilesAdmin )
{
    ?>
    <div class="spacer"></div>
    <h4>Admin Files:</h4>
    
    <div>
        <ul>

    <?php
    foreach($aFilesAdmin as $sFile)
    {
        ?>
            <li><?php echo $sFile; ?></li>
        <?php
    }
    ?>
        </ul>
    </div>
    <?php
}
?>

<?php
if( $aFilesInclude )
{
    ?>
    <div class="spacer"></div>
    <h4>Include Files:</h4>

    <div>
        <ul>

    <?php
    foreach($aFilesInclude as $sFile)
    {
        ?>
            <li><?php echo $sFile; ?></li>
        <?php
    }
    ?>
        </ul>
    </div>
    <?php
}
?>

<?php
if( $aFilesController )
{
    ?>
    <div class="spacer"></div>
    <h4>Root PHP Files:</h4>

    <div>
        <ul>

    <?php
    foreach($aFilesController as $sFile)
    {
        ?>
            <li><?php echo $sFile; ?></li>
        <?php
    }
    ?>
        </ul>
    </div>
    <?php
}
?>

<?php
if( $aFilesTemplates )
{
    ?>
    <div class="spacer"></div>
    <h4>Template Files:</h4>

    <div>
        <ul>

    <?php
    foreach($aFilesTemplates as $sFile)
    {
        ?>
            <li><?php echo $sFile; ?></li>
        <?php
    }
    ?>
        </ul>
    </div>
    <?php
}
?>

<?php
if( $aFilesThemes )
{
    ?>
    <div class="spacer"></div>
    <h4>Themes Files:</h4>

    <div>
        <ul>

    <?php
    foreach($aFilesThemes as $sFile)
    {
        ?>
            <li><?php echo $sFile; ?></li>
        <?php
    }
    ?>
        </ul>
    </div>
    <?php
}
?>

<div class="spacer"></div>

<div class="p_t_8 m_b_4" align="right">
    <a href="./update.php?<?=$sPageNext?>" class="link_box">Skip</a>
    <a href="./update.php?<?=$sPageCurrent?>" class="link_box" id="js_next_btn">Next</a>
</div>



<?php
/**
 * Footer Include
 */
require_once(SAA_DIR . 'install' . DS . 'page' . DS . 'include' .  DS . 'footer.php');
?>