<?php
defined('Trapper') or exit('Trespasser!');

/**
 * Executes the required includes, error reporting, etc
 *
 * @author Hutton
 * @license GoLevel LLC
 */

//load all constants
require_once(SAA_DIR . 'system' . DS . 'include' . DS . 'const.php');
require_once(SAA_SYSTEM_INCLUDE . 'app.php');

//load essential classes
require(SAA_SYSTEM_LIBRARY . 'debug.class.php');
require(SAA_SYSTEM_LIBRARY . 'error.class.php');
require(SAA_SYSTEM_LIBRARY . 'system.class.php');
require(SAA_SYSTEM_LIBRARY . 'controller.class.php');
require(SAA_SYSTEM_LIBRARY . 'model.class.php');

//Start session
SAA_Sys::getLib('session');

define(SAA_DEBUG, true);

error_reporting((SAA_DEBUG ? E_ALL | E_STRICT : 0));

//Error handler
set_error_handler(array('SAA_Debug', 'handle'));

//Load settings from db then cache
SAA_Sys::getLib('setting')->build();

//Set time zone
if( function_exists('date_default_timezone_set') )
{
	$sTimeZone = SAA_Sys::getLib('setting')->get('global.default_timezone');

	//Timezone via saa setting
	if( $sTimeZone )
	{
		date_default_timezone_set($sTimeZone);
	}
	//Default timezone to America/New_York
	else
	{
		date_default_timezone_set('America/New_York');
	}
}
?>