<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Browser Library Class
 * @license GoLevel LLC
 */

Class SAA_Browser
{

    /**
     * Class Constructor
     */
    public function  __construct()
    {

    }

    /**
    * Gets the ip of the current user
    *
    * @return string
    */
    public function getIp()
    {

        $sIP = $_SERVER['REMOTE_ADDR'];

        if( isset($_SERVER['HTTP_CLIENT_IP']) )
        {
            $sIP = $_SERVER['HTTP_CLIENT_IP'];
        }
        elseif( isset($_SERVER['HTTP_X_FORWARDED_FOR']) AND preg_match_all('#\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}#s', $_SERVER['HTTP_X_FORWARDED_FOR'], $aMatches) )
        {
            foreach ($aMatches[0] AS $sIP)
            {
                if (!preg_match("#^(10|172\.16|192\.168)\.#", $sIP))
                {
                    $sIP = $sIP;
                    break;
                }
            }
        }
        elseif( isset($_SERVER['HTTP_FROM']) )
        {
            $sIP = $_SERVER['HTTP_FROM'];
        }

        return $sIP;
    }

    /**
     * Turns ip address to a numeric value
     *
     * @return int
     */
    function ipToNum()
    {
        $sIp = $this->getIp();

        if( !$sIp )
        {
            return 0;
        }

        $iNum = 0;
        $aParts = explode('.', $sIp);
        $iCnt = count($aParts) - 1;

        foreach($aParts as $i => $iPart)
        {
            $iNum += pow(256, ($iCnt - $i)) * $iPart;
        }

        return $iNum;
    }
}
?>
