<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Controller Library Class
 * @license GoLevel LLC
 */

Class SAA_Controller
{
    public $_aStored = array();

    /**
     * Get stored variables from the controller
     *
     * @param string $sKey
     * @param mixed $mDefault
     * @return mixed
     */
    public function getStored($sKey = null, $mDefault = false)
    {
        if( is_null($sKey) )
        {
            return $this->_aStored;
        }

        return (isset($this->_aStored[$sKey]) ? $this->_aStored[$sKey] : $mDefault);
    }

    /**
     * Store variables in the controller
     *
     * @return object
     */
    public function setStored($mKey, $mValue = null)
    {
        if( is_array($mKey) )
        {
            foreach($mKey as $sKey => $mValue)
            {
                $this->_aStored[$sKey] = $mValue;
            }
        }
        else
        {
            $this->_aStored[$sKey] = $mValue;
        }
    }

    /**
     * Call Request Class
     *
     * @return object
     */
    protected function request()
    {
    	return SAA_Sys::getLib('request');
    }

    /**
     * Call Template Class
     *
     * @return object
     */
    protected function template()
    {
    	return SAA_Sys::getLib('template');
    }

    /**
     * Call Url Class
     *
     * @return object
     */
    protected function url()
    {
	return SAA_Sys::getLib('url');
    }
}
?>
