<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Database Library Class
 * @license GoLevel LLC
 */

require_once(SAA_SYSTEM_LIBRARY . 'database' . DS . 'abstraction.class.php');

class SAA_Database
{
    private $_oDb = null;

    /**
     * Class Constructor
     */
    public function __construct()
    {
	if( !$this->_oDb )
	{
	    switch(SAA_Sys::getSett('db.driver'))
	    {
		/*
		 * Add your driver here
		 *
		 * SAA_Sys::getSett('db.driver') can be found in the system/include/app.php
		 *
		 * Example:
		    case 'mysql':
		    $sDriver = 'database.driver.mysql';
		    break;
		 *
		 */
		case 'sqlite':
		    $sDriver = 'database.driver.sqlite';
		    break;
		default:
		    $sDriver = 'database.driver.mysql';
		    break;
	    }

	    $this->_oDb = SAA_Sys::getLib($sDriver);

	    $this->_oDb->connect(SAA_Sys::getSett('db.host'), SAA_Sys::getSett('db.user'), SAA_Sys::getSett('db.pass'), SAA_Sys::getSett('db.name'), SAA_Sys::getSett('db.port'));
	}
    }

    /**
     *
     * @return object
     */
    public function &getInstance()
    {
	return $this->_oDb;
    }
}
?>