<?php
defined('Trapper') or exit('Trespasser!');

/**
*
* @author Hutton
* @name Session Library Class
* @license GoLevel LLC
*/

Class SAA_Session
{
	private $_sPrefix = 'SAA';

	/**
	* Class Constructor
	*/
	function __construct()
	{
		$this->_sPrefix = SAA_Sys::getSett('session.prefix');

		session_start();
	}

	/**
	* Stores a given value to an existing set of values
	*
	* @param string $sName
	* @param string $mValue
	*/
	public function add($sName, $mValue)
	{
		$_SESSION[$this->_sPrefix][$sName][] = $mValue;
	}

	/**
	* Resets the session values
	*/
	public function clear()
	{
		$_SESSION[$this->_sPrefix] = array();
	}

	/**
	* Removes any values using a given array/string of names
	*
	* @param mixed $mName
	*/
	public function delete($mName)
	{
		if (!is_array($mName))
		{
			$mName = array($mName);
		}

		foreach ($mName as $sName)
		{
			unset($_SESSION[$this->_sPrefix][$sName]);
		}
	}

	/**
	* Gets a stored value
	*
	* @param string $sName
	* @return mixed
	*/
	public function get($sName)
	{
		if (isset($_SESSION[$this->_sPrefix][$sName]))
		{
			return (empty($_SESSION[$this->_sPrefix][$sName]) ? true : $_SESSION[$this->_sPrefix][$sName]);
		}

		return false;
	}

	/**
	* Stores a given value
	*
	* @param string $sName
	* @param mixed $mValue
	*/
	public function set($sName, $mValue)
	{
		$_SESSION[$this->_sPrefix][$sName] = $mValue;
	}
}
?>