<?php
defined('Trapper') or exit('Trespasser!');

/**
*
* @author Hutton
* @name Setting Library Class
* @license GoLevel LLC
*/

Class SAA_Setting
{
	private $_aSettings = array();

	/**
	* Class Constructor
	*
	* @global array $_SYSTEM
	*/
	public function __construct()
	{
		global $_SYSTEM;

		foreach($_SYSTEM as $sKey => $aSetting)
		{
			foreach($aSetting as $sSetting => $mValue)
			{
				$this->_aSettings[$sKey . '.' . $sSetting] = $mValue;
			}
		}

	}

	/**
	* Adds settings from db
	*/
	public function build()
	{
		if( !($aSettings = SAA_Sys::getLib('cache')->get('settings')) )
		{
			$aSettings = SAA_Sys::getModel('setting')->getAll(true);

			SAA_Sys::getLib('cache')->create('settings', $aSettings);
		}

		$this->_aSettings = array_merge($aSettings, $this->_aSettings);
	}

	/**
	* Gets a given setting
	*
	* @param string $sParam
	* @return mixed
	*/
	public function get($sParam)
	{
		if( !isset($this->_aSettings[$sParam]) )
		{
			SAA_Debug::trigger('Setting does not exist: '. $sParam);
		}

		return $this->_aSettings[$sParam];
	}

	/**
	* Adds a setting
	*
	* @param string $sParam
	* @param mixed $mValue
	* @return true
	*/
	public function set($sParam, $mValue)
	{
		$this->_aSettings[$sParam] = $mValue;

		return true;
	}
}
?>