<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Validator Library Class
 * @license GoLevel LLC
 */

Class SAA_Validator
{
    private $aRegex = array(
        'email' => '/^[0-9a-zA-Z]([\-.\w]*[0-9a-zA-Z]?)*@([0-9a-zA-Z][\-\w]*[0-9a-zA-Z]\.)+[a-zA-Z]{2,}$/',
        'urlName' => '/^[a-zA-Z0-9\-]$/',
        'url' => '/^(?:(ftp|http|https):)?(?:\/\/(?:((?:%[0-9a-f]{2}|[\-a-z0-9_.!~*\'\(\);:&=\+\$,])+)@)?(?:((?:[a-z0-9](?:[\-a-z0-9]*[a-z0-9])?\.)*[a-z](?:[\-a-z0-9]*[a-z0-9])?)|([0-9]{1,3}(?:\.[0-9]{1,3}){3}))(?::([0-9]*))?)?((?:\/(?:%[0-9a-f]{2}|[\-a-z0-9_.!~*\'\(\):@&=\+\$,;])+)+)?\/?(?:\?.*)?$/i'
    );

    /**
     * Class Constructor
     */
    public function  __construct()
    {

    }

    /**
     * Determines the string passes a given regular expression check
     *
     * @param string $sType
     * @param string $sValue
     * @return bool
     */
    public function checkRegex($sType, $sValue)
    {
	if( !isset($this->aRegex[$sType]) )
        {
            SAA_Debug::trigger('Invalid regex type '.$sType.' for validator.');
        }

	if( preg_match($this->aRegex[$sType], $sValue) )
        {
            return true;
        }

        return false;
    }
}
?>
