<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Xml Builder Library
 * @license GoLevel LLC
 */

class SAA_Xml_Builder
{
    private $_sXml = '';

    public function __construct()
    {

    }

    public function generate($aXml)
    {
        $this->_sXml = '';

        $this->_sXml = '<?xml version="1.0"?>' . $this->_build($aXml);

	return $this->_sXml;
    }

    public function generateFile($aXml, $sFile, $bDownload = true, $bDelete = true)
    {
        $this->generate($aXml);

        $oFile = SAA_Sys::getLib('file');
        $oFile->write(SAA_APP_CACHE . $sFile, $this->_sXml);
        $oFile->downloadLocal(SAA_APP_CACHE . $sFile, $sFile, 'text/xml', $bDelete);
    }

    private function _build($aXml)
    {
        $sXml = '';
        foreach($aXml as $aElement)
        {
            $sXml .= "\n".'<'.$aElement['tag'];

            if( isset($aElement['attributes']) )
            {
                foreach($aElement['attributes'] as $sKey => $sValue)
                {
                    $sXml .= ' '.$sKey . '="'.htmlentities($sValue, ENT_QUOTES).'"';
                }
            }

            if( isset($aElement['value']) )
            {
                $sXml .= '>' . $this->_escape($aElement['value']) . '</'. $aElement['tag'] . '>';
            }
            elseif( isset($aElement['children']) && count($aElement['children']) )
            {
                $sXml .= '>' . $this->_build($aElement['children']) . '</'. $aElement['tag'] . '>';
            }
            else
            {
                $sXml .= '/>';
            }
            
        }

        return $sXml;
    }

    private function _escape($sData)
    {
        if( preg_match('/[\<\>\&\'\"\[\]]/', $sData) )
        {
            $sData = preg_replace('#[\\x00-\\x08\\x0B\\x0C\\x0E-\\x1F]#', '', $sData);
            $sData = str_replace(array('<![CDATA[', ']]>'), array('�![CDATA[', ']]�'), $sData);
            $sData = '<![CDATA[' . $sData . ']]>';
        }

        return $sData;
    }
}
?>
