<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Xml Simplexml
 * @license GoLevel LLC
 */

class SAA_Xml_Parser_Simplexml
{
    private $_aXml = array();

    private $_oXml;

    public function  __construct()
    {

    }

    public function loadFile($sFile)
    {
        $this->_oXml = simplexml_load_file($sFile, 'SimpleXMLElement', LIBXML_NOCDATA);

        return $this->_oXml;
    }

    public function loadString($sXml)
    {
        $this->_oXml = simplexml_load_string($sXml, 'SimpleXMLElement', LIBXML_NOCDATA);

        return $this->_oXml;
    }

    public function parse($mXml, $sType = 'string')
    {
        if( $sType == 'string' )
        {
            $this->loadString($mXml);
        }
        else
        {
            $this->loadFile($mXml);
        }

        $sParent = $this->_oXml->getName();

        $this->_aXml[$sParent] = $this->getChildren($this->_oXml, 0);

        return $this->_aXml;
    }

    public function getChildren($oParent, $iParent)
    {
        $aXml = array();

        foreach($oParent->children() as $i=>$oChild)
        {
            $aChild = array();
            $sChild = $oChild->getName();

            $iChild = $oChild->count();

            if( $iChild )
            {
                $aChild = $this->getChildren($oChild, $iChild);
            }
            else
            {
                $aAttributes = get_object_vars($oChild);

                if( $aAttributes )
                {
                    $aChild['@attributes'] = $aAttributes['@attributes'];
                    $aChild['@value'] = (string) $oChild[0];
                }
                else
                {
                    $aChild = (string) $oChild[0];
                }
            }

            if( $oParent->$sChild->count() > 1 )
            {
                $aXml[$sChild][] = $aChild;
            }
            else
            {
                $aXml[$sChild] = $aChild;
            }
        }

        return $aXml;
    }
	
}
?>