<?php
defined('Trapper') or exit('Trespasser!');

/**
 *
 * @author Hutton
 * @name Xml Xml Parser
 * @license GoLevel LLC
 */

class SAA_Xml_Parser_Xmlparser
{
    private $_aXml = array();

    private $_oXml;

    private $_sXml;

    private $_aTree = array();

    private $_sData;

    private $_iElements = 0;

    private $_aFind = array('�![CDATA[', ']]�', "\r\n", "\n");

    private $_aReplace = array('<![CDATA[', ']]>', "\n", "\r\n");

    public function  __construct()
    {

    }

    public function loadFile($sFile)
    {
        $this->_sXml = file_get_contents($sFile);

        return $this->_sXml;
    }

    public function loadString($sXml)
    {
        $this->_sXml = $sXml;

        return $this->_sXml;
    }

    public function parse($mXml, $sType = 'string')
    {
        if( $sType == 'string' )
        {
            $this->loadString($mXml);
        }
        else
        {
            $this->loadFile($mXml);
        }

        $this->_oXml = xml_parser_create();

        xml_set_object($this->_oXml, $this);

        xml_parser_set_option($this->_oXml, XML_OPTION_SKIP_WHITE, 0);
        xml_parser_set_option($this->_oXml, XML_OPTION_CASE_FOLDING, 0);

        xml_set_element_handler($this->_oXml, '_startTag', '_endTag');
        xml_set_character_data_handler($this->_oXml, '_contents');

        xml_parse($this->_oXml, $this->_sXml);

        xml_parser_free($this->_oXml);

        return $this->_aXml;
    }

    function _startTag($oParser, $sName, $aAttributes)
    {
        $this->_sData = '';

        $aElement = array(
            'name' => $sName,
            'element_count' => ++$this->_iElements
        );

        if( count($aAttributes) )
        {
            $aElement['attributes'] = array('@attributes' => $aAttributes);
        }

        array_unshift($this->_aTree, $aElement);
    }

    function _contents($oParser, $sContent)
    {
        $this->_sData .= $sContent;
    }

    function _endTag($oParser, $sName)
    {
        $aTag = array_shift($this->_aTree);

        if ($aTag['name'] != $sName)
        {
            return;
        }

        if( isset($aTag['attributes']) )
        {
            $sOutput = $aTag['attributes'];
        }

        if( trim($this->_sData) !== '' || $aTag['element_count'] == $this->_iElements )
        {
            if( !isset($sOutput) )
            {
                $sOutput = $this->_unescapeData($this->_sData);
            }
            else
            {
                $this->_addNode($sOutput, '@value', $this->_unescapeData($this->_sData));
            }
        }

        if( isset($this->_aTree[0], $sOutput) )
        {
            $this->_addNode($this->_aTree[0]['attributes'], $sName, $sOutput);
        }
        else
        {
            $this->_aXml = array($sName => $sOutput);
        }

        $this->_sData = '';
    }

    private function _addNode(&$aChildrens, $sName, $sValue)
    {
        if( !is_array($aChildrens) || !in_array($sName, array_keys($aChildrens)) )
        {
            $aChildrens[$sName] = $sValue;
        }
        elseif( is_array($aChildrens[$sName]) && isset($aChildrens[$sName][0]) )
        {
            $aChildrens[$sName][] = $sValue;
        }
        else
        {
            $aChildrens[$sName] = array($aChildrens[$sName]);
            $aChildrens[$sName][] = $sValue;
        }
    }

    private function _unescapeData($sXml)
    {
        return str_replace($this->_aFind, $this->_aReplace, $sXml);
    }
}
?>