<?php
/**
  * Smarty plugin
  *
  * @package Smarty
  * @subpackage PluginsFunction
  */

/**
  * Smarty {form} function plugin
  *
  * Type:     function<br>
  * Name:     form<br>
  * Purpose:  used to populate form items
  * @author   StandAloneArcade <standalonearcade dot com>
  * @param array $params parameters
  * @param object $template template object
  * @return string 
  */

function smarty_function_form($params, $template)
{
    if( !empty($params['input']) )
    {
	$aVarParts = explode('.', $params['input']);

	$aVal = SAA_Sys::getLib('request')->get('val');

	if( !$aVal )
	{
	    $aVal = $template->getTemplateVars('aForm');
	}

	$mVal = (array) $aVal;

	foreach($aVarParts as $sVar)
	{
	    if( !array_key_exists($sVar, $mVal) )
	    {
		return '';
	    }

	    $mVal = $mVal[$sVar];
	}

	if( !is_string($mVal) )
	{
	    if( !empty($params['default']) )
	    {
		$mVal = (string) $params['default'];
	    }
	}

	return $mVal;
    }

    return '';
}
?>