<?php
/**
  * Smarty plugin
  *
  * @package Smarty
  * @subpackage PluginsFunction
  */

/**
  * Smarty {img} function plugin
  *
  * Type:     function<br>
  * Name:     img<br>
  * Purpose:  produce an img
  * @author   StandAloneArcade <standalonearcade dot com>
  * @param array $params parameters
  * @param object $template template object
  * @return string 
  */

function smarty_function_img($params, $template)
{
    if( isset($params['link']) )
    {
        $sLink = $params['link'];

        unset($params['link']);
    }
    //add link option as well as a user link option
    //if profiles are disabled, do not show the link

    if( isset($params['current']) )
    {
        $params['user'] = SAA_Sys::getModel('game.session')->get(array(
            'user_id',
            'facebook_id',
            'user_name',
            'email',
            'icon_loc'
        ));
    }

    if( isset($params['user']) )
    {
        if( isset($params['user_prefix']) )
        {
            $sPrefix = $params['user_prefix'];

            unset($params['user_prefix']);
        }
        else
        {
            $sPrefix = '';
        }
        

        if( $params['user'][$sPrefix . 'facebook_id'] )
        {
            $sImage = '<img src="https://graph.facebook.com/'.$params['user'][$sPrefix . 'facebook_id'].'/picture?type=square"';
        }
        else
        {
            //the user image location will have to be located in the /file/user/image folder
            //have to make a generated sub folder via unique id (make a function within the file class and have the game adder class use the new file function)
            $sSrc = SAA_Sys::getLib('url')->makeUrl(array(
                'file' => ($params['user'][$sPrefix . 'icon_loc'] && file_exists(SAA_APP_USER_IMAGE_URL . $params['user'][$sPrefix . 'icon_loc']) ? $params['user'][$sPrefix . 'icon_loc'] : 'no_image_50.jpg'),
                'folder' => SAA_APP_USER_IMAGE_URL

            ));

            $sImage = '<img src="'.$sSrc.'"';
        }

        if( isset($sLink) )
        {
            if( !SAA_Sys::getSett('user.enable_profile') )
            {
                unset($sLink);
            }
            elseif( $sLink == true )
            {
                $sLink = SAA_Sys::getLib('url')->makeUrl(array(
                    'controller' => 'profile',
                    'vars' => array('user' => $params['user'][$sPrefix . 'user_id'])
                ));
            }
        }

        unset($params['user']);
    }
    elseif( isset($params['file']) )
    {
        if( isset($params['folder']) )
        {
            $sFolder = $params['folder'];

            unset($params['folder']);
        }

        $sSrc = (isset($sFolder) ? $sFolder : '') . $params['file'];
        $sSrc = (!preg_match("/(http|https):\/\//i", $sSrc) ? "http://" : "") . $sSrc;

        $sImage = '<img src="'.$sSrc.'"';

        unset($params['file']);
    }

    if( isset($params['sq_size']) )
    {
        if( isset($sSrc) && ($aInfo = @getImageSize($sSrc)) )
        {
            $iWidthActual = $aInfo[0];
            $iHeightActual = $aInfo[1];

            $iWidth = $iHeight = $iSquare = $params['sq_size'];

            if( $iWidthActual > $iSquare )
            {
                $iWidth  = $iSquare;
                $iHeight  = floor($iHeightActual * $iSquare/$iWidthActual);
                if ($iHeight > $iSquare)
                {
                  $iHeight  = $iSquare;
                  $iWidth  = floor($iWidthActual * $iSquare/$iHeightActual);
                }
            }
            elseif( $iHeightActual > $iSquare )
            {
                $iHeight  = $iSquare;
                $iWidth  = floor($iWidthActual * $iSquare/$iHeightActual);
            }

            $params['height'] = $iHeight.'px';
            $params['width'] = $iWidth.'px';
        }

        unset($params['sq_size']);
    }

    $sImage .= " ";

    foreach($params as $sAttr => $sAttrValue)
    {
        $sImage .= $sAttr . '="'.$sAttrValue.'" ';
    }

    $sImage .= "/>";

    if( isset($sLink) )
    {
        return '<a href="'.$sLink.'">' . $sImage . '</a>';
    }

    return $sImage;
}
?>