<?php
/**
  * Smarty plugin
  *
  * @package Smarty
  * @subpackage PluginsFunction
  */

/**
  * Smarty {paginator} function plugin
  *
  * Type:     function<br>
  * Name:     paginator<br>
  * Purpose:  produce a paginator
  * @author   StandAloneArcade <standalonearcade dot com>
  * @param array $params parameters
  * @param object $template template object
  * @return string 
  */

function smarty_function_paginator($params, $template)
{
    $iPg = $params['page'];
    $iPgSize = $params['page_size'];
    $iTotal = $params['total'];

    unset($params['page'], $params['page_size'], $params['total']);

    $sPages = '<ul class="pager">';
    $aPages = SAA_Sys::getLib('paginator')->get($iPg, $iPgSize, $iTotal, $params);

    if( count($aPages) < 2 )
    {
        return '';
    }

    foreach($aPages as $sPage)
    {
        $sPages .= '<li>' . $sPage . '</li>';
    }

    $sPages .= '</ul>';

    return $sPages;
}
?>