<?php
/**
  * Smarty plugin
  *
  * @package Smarty
  * @subpackage PluginsFunction
  */

/**
  * Smarty {url} function plugin
  *
  * Type:     function<br>
  * Name:     url<br>
  * Purpose:  produce a url
  * @author   StandAloneArcade <standalonearcade dot com>
  * @param array $params parameters
  * @param object $template template object
  * @return string 
  */

function smarty_function_url($params, $template)
{
    $url = array();

    if( isset($params['link']) )
    {
        if( $params['link'] == 'current' )
        {
            $aSlugs = SAA_Sys::getLib('request')->getSlugs(false);

            return SAA_Sys::getLib('url')->makeSimple(implode('.', $aSlugs));
        }

	$url['controller'] = $params['link'];

	unset($params['link']);
    }

    if( isset($params['folder']) )
    {
        $url['folder'] = $params['folder'];

	unset($params['folder']);
    }
    elseif( isset($params['theme']) )
    {
        $url['folder'] = SAA_Sys::getLib('theme')->getFile('design.theme', $params['theme'], (isset($params['file']) ? $params['file'] : 'index.html'));

        unset($params['theme']);
    }

    if( isset($params['file']) )
    {
        $url['file'] = $params['file'];

	unset($params['file']);
    }
    elseif( isset($params['no_file']) )
    {
        $url['no_file'] = $params['no_file'];

	unset($params['no_file']);
    }

    if( count($params) )
    {
        $url['vars'] = $params;
    }

    return SAA_Sys::getLib('url')->makeUrl($url);
}
?>